<?php
defined('BASEPATH') OR exit('No direct script access allowed');

	class Dashboard extends CI_Controller {

		public function index()
		{
			$this-> permissions-> validate_access();
			
			$data['title'] = 'Dashboard';
			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/jvectormap/jquery-jvectormap.css"); //jvectormap
			$data['add_js'] = array(
					"/sellercenter/assets/adminlte/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js",//Sparkline
					"/sellercenter/assets/adminlte/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js",//jvectormap
					"/sellercenter/assets/adminlte/plugins/jvectormap/jquery-jvectormap-world-mill-en.js",
					"/sellercenter/assets/adminlte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js",//SlimScroll
					"/sellercenter/assets/adminlte/bower_components/chart.js/Chart.js",//ChartJS
					//"/sellercenter/assets/adminlte/dist/js/pages/dashboard2.js"//AdminLTE dashboard demo (This is only for demo purposes) 
				);
			//order count summary data	
			$data['confirm_orders'] = $this-> Report_model-> get_order_count_by_status('confirm');
			$data['pending_orders'] = $this-> Report_model-> get_order_count_by_status('pending');
			$data['not_confirm_orders'] = $this-> Report_model-> get_order_count_by_status('not_confirm');
			$data['hold_orders'] = $this-> Report_model-> get_order_count_by_status('hold');
			$data['total_orders'] = $this-> Report_model-> get_successful_order_count_by_date(date("Y-m-d"));
			
			//30 dyas order count data
			$data['weekly_sales'] = $this-> Report_model-> get_order_count_by_date("order_status='in_courier' OR order_status='settled' OR order_status='delivered'",date("Y-m-d", strtotime( '-30 days')),date("Y-m-d", strtotime( '+1 days')),'dispatched_date');
			
			//order composition report
			$data['order_composition'] = $this-> Report_model-> get_order_composition(date("Y-m-d", strtotime( '-30 days')));
			
			//product wise sale report
			$data['product_wise_sales'] = $this-> Report_model-> get_sales_by_product('created_date',date("Y-m-d", strtotime( '-30 days')),date("Y-m-d", strtotime( '+1 days')));
			
			//required products
			$data['required_products'] = $this-> Report_model-> get_required_stock();
			
			//personal performance
			if($this-> session-> userdata('user_role')=='franchise_moderator' || $this-> session-> userdata('user_role')=='franchise_admin'){
				$data['personal_performance'] = $this-> Report_model-> get_personal_performance(date("Y-m-d"));
			}

			//todays created and cancelled orders
			if($this-> session-> userdata('user_role')=='admin'){
				$data['created_orders'] = $this-> Report_model-> get_created_order_count_by_date(date("Y-m-d"));
				$data['cancelled_orders'] = $this-> Report_model-> get_cancelled_order_count_by_date(date("Y-m-d"));
			}
			
			$this->template->loadAdmin('dashboard',$data);
		}
		
		public function admin(){
			$this-> permissions-> validate_access();
			
			$data['title'] = 'Dashboard';
			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/jvectormap/jquery-jvectormap.css"); //jvectormap
			$data['add_js'] = array(
					"/sellercenter/assets/adminlte/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js",//Sparkline
					"/sellercenter/assets/adminlte/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js",//jvectormap
					"/sellercenter/assets/adminlte/plugins/jvectormap/jquery-jvectormap-world-mill-en.js",
					"/sellercenter/assets/adminlte/bower_components/jquery-slimscroll/jquery.slimscroll.min.js",//SlimScroll
					"/sellercenter/assets/adminlte/bower_components/chart.js/Chart.js",//ChartJS
					//"/sellercenter/assets/adminlte/dist/js/pages/dashboard2.js"//AdminLTE dashboard demo (This is only for demo purposes) 
				);
			$data['couriers'] = $this->Shipping_model->get_couriers();
			//order count summary data	
			$data['confirm_orders'] = $this-> Report_model-> get_order_count_by_status('confirm',FALSE);
			$data['pending_orders'] = $this-> Report_model-> get_order_count_by_status('pending',FALSE);
			$data['not_confirm_orders'] = $this-> Report_model-> get_order_count_by_status('not_confirm',FALSE);
			$data['hold_orders'] = $this-> Report_model-> get_order_count_by_status('hold',FALSE);
			$data['total_orders'] = $this-> Report_model-> get_successful_order_count_by_date(date("Y-m-d"),FALSE);
			
			//30 dyas order count data
			$data['weekly_sales'] = $this-> Report_model-> get_order_count_by_date("order_status='in_courier' OR order_status='settled' OR order_status='delivered'",date("Y-m-d", strtotime( '-30 days')),date("Y-m-d", strtotime( '+1 days')),'dispatched_date',FALSE);
			
			//order composition report
			$data['order_composition'] = $this-> Report_model-> get_order_composition(date("Y-m-d", strtotime( '-30 days')),FALSE);
			
			//product wise sale report
			$data['product_wise_sales'] = $this-> Report_model-> get_sales_by_product('created_date',date("Y-m-d", strtotime( '-30 days')),date("Y-m-d", strtotime( '+1 days')),FALSE);

			//required products
			$data['required_products'] = $this-> Report_model-> get_required_stock();

			//courier wise order count
			$data['courierwise_daily_orders'] = $this-> Report_model-> get_courierwise_order_count_by_date("order_status='in_courier' OR order_status='settled' OR order_status='delivered' OR order_status='pending_return' OR order_status='returned'",date("Y-m-d", strtotime( '-30 days')),date("Y-m-d", strtotime( '+1 days')),'dispatched_date');	
			$data['courierwise_weekly_orders'] = $this-> Report_model-> get_courierwise_order_count_by_week("order_status='in_courier' OR order_status='settled' OR order_status='delivered' OR order_status='pending_return' OR order_status='returned'",date("Y-m-d", strtotime( '-60 days')),date("Y-m-d", strtotime( '+1 days')),'dispatched_date');	
			$data['courierwise_monthly_orders'] = $this-> Report_model-> get_courierwise_order_count_by_month("order_status='in_courier' OR order_status='settled' OR order_status='delivered' OR order_status='pending_return' OR order_status='returned'",date("Y-m-01", strtotime( '-365 days')),date("Y-m-d", strtotime( '+1 days')),'dispatched_date');

			//courier wise order value
			$data['courierwise_daily_order_value'] = $this-> Report_model-> get_courierwise_order_value_by_date("order_status='in_courier' OR order_status='settled' OR order_status='delivered' OR order_status='pending_return' OR order_status='returned'",date("Y-m-d", strtotime( '-30 days')),date("Y-m-d", strtotime( '+1 days')),'dispatched_date');	
			$data['courierwise_weekly_order_value'] = $this-> Report_model-> get_courierwise_order_value_by_week("order_status='in_courier' OR order_status='settled' OR order_status='delivered' OR order_status='pending_return' OR order_status='returned'",date("Y-m-d", strtotime( '-60 days')),date("Y-m-d", strtotime( '+1 days')),'dispatched_date');	
			$data['courierwise_monthly_order_value'] = $this-> Report_model-> get_courierwise_order_value_by_month("order_status='in_courier' OR order_status='settled' OR order_status='delivered' OR order_status='pending_return' OR order_status='returned'",date("Y-m-01", strtotime( '-365 days')),date("Y-m-d", strtotime( '+1 days')),'dispatched_date');	
			
			//todays created and cancelled orders
			$data['created_orders'] = $this-> Report_model-> get_created_order_count_by_date(date("Y-m-d"),FALSE);
			$data['cancelled_orders'] = $this-> Report_model-> get_cancelled_order_count_by_date(date("Y-m-d"),FALSE);
			
			$this->template->loadAdmin('admin_dashboard',$data);
		}
		
		public function error_403(){
			$data['title'] = '403 Forbidden';
			$this->template->loadAdmin('error_403',$data);
		}
		
		public function koombiyo_api($waybill=NULL){
			$data['title'] = 'Koombiyo Deliveries';
			$data['waybill'] = $waybill;
			$this->template->loadAdmin('koombiyo_api',$data);
		}

	}
