<?php
 	class Order_batch extends CI_Controller{

 		public function create_packing_batch($courier){

 			$data['courier'] = $this-> Shipping_model-> get_couriers($courier);
 			if (is_null($data['courier'])) {
 				redirect('dashboard');
 			}

 			$this-> permissions-> validate_access();
 			$data['title'] = 'Create Packing Batch';
 			$data['formMethod'] = 'admin/order_batch/create_packing_batch/'.$courier;
 			$user_id = $this-> session-> userdata('user_id');
 			
 			$data['add_js'] = array("/sellercenter/assets/js/xlsx.full.min.js","/sellercenter/assets/js/updatecourierref.js");
 			
 			if ($courier==1) {
 				$data['columns'] = $this-> get_gh_courier_ref_columns();	
 			}elseif($courier==2){
 				$data['columns'] = $this-> get_kb_courier_ref_columns();
 			}elseif($courier==4){
 				$data['columns'] = $this-> get_spdx_courier_ref_columns();
 			}elseif($courier==5){
 				$data['columns'] = $this-> get_dmx_courier_ref_columns();
 			}

 			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 
 				$this-> form_validation->set_rules('WAYBILL_NO_'.$i,'Reference No '.$i,'required|trim|is_unique[order.courier_reference]');
 				$this-> form_validation->set_rules('INTERNAL_REF_'.$i,'Search Code '.$i,'required|trim|callback_check_search_code_valid');
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('admin/create_packing_batch',$data);

 			} else {
 				$batch_code = $this-> Order_batch_model-> insert_packing_batch($courier,$user_id);
				$this-> session-> set_flashdata('courier_ref_updated','Packing batch created successfuly');
				//$this-> view_packing_batch($batch_code);
				redirect('admin/order_batch/view_packing_batch/'.$batch_code);
 			}

 		}

 		public function create_internal_packing_batch($courier,$order_criteria=1){

 			$data['courier'] = $this-> Shipping_model-> get_couriers($courier);
 			if (is_null($data['courier'])) {
 				redirect('dashboard');
 			}

 			$this-> permissions-> validate_access();
 			$data['title'] = 'Create Packing Batch';
 			$data['formMethod'] = 'admin/order_batch/create_internal_packing_batch/'.$courier;
 			$data['products'] = $this-> Product_model-> get_franchises_products(1);
 			
 			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/select2/dist/css/select2.min.css");
			$data['add_js'] = array("/sellercenter/assets/adminlte/bower_components/select2/dist/js/select2.full.min.js");

            $filter_string = "";
 			if($this->input->post('submit') == "filter"){
 			    $products = $this->input->post('products');
 			    if(!empty($products)){
     			    foreach($products as $product){
     			        $filter_string .= "'".$product."-1',";
     			    }
     			    $filter_string = rtrim($filter_string, ",");
     			    $filter_string = "AND (order.item_description IN (".$filter_string."))";
 			    }    
 			}
 			
 			if($order_criteria==2){
 			    $data['orders'] = $this-> Order_model-> get_orders($data['courier']->get_order_criteria_2.$filter_string);
 			}else{
 			    $data['orders'] = $this-> Order_model-> get_orders($data['courier']->get_order_criteria.$filter_string);
 			}

 			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 
 				$this-> form_validation->set_rules('Search_Code_'.$i,'Search Code '.$i,'required|trim|callback_check_search_code_valid');
 			}
 			
 			if ($this-> form_validation-> run() === FALSE || $this->input->post('submit') == "filter") {
 				//loading the page with templates
 				$this->template->loadAdmin('admin/create_internal_packing_batch',$data);

 			} elseif($this->input->post('submit') == "submit") {
 				$batch_code = $this-> Order_batch_model-> insert_internal_packing_batch($data['courier']);
				$this-> session-> set_flashdata('courier_ref_updated','Packing batch created successfuly');
				//$this-> view_packing_batch($batch_code);
				redirect('admin/order_batch/view_packing_batch/'.$batch_code);
 			}

 		}

 		public function packing_batch_list(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Packing Batch List';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['packing_batches'] = $this-> Order_batch_model-> get_packing_batch();

 			$this->template->loadAdmin('admin/packing_batch_list',$data);

 		}

 		public function view_packing_batch($batch_code){
 			$data['packing_batch'] = $this-> Order_batch_model-> get_packing_batch($batch_code);
 			if (is_null($data['packing_batch'])) {
 				redirect('dashboard');
 			}
 			
 			$this-> permissions-> validate_access();
 			$data['title'] = 'View Packing Batch';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['batch_items'] = $this-> Order_batch_model-> get_packing_batch_items($batch_code);
 			$data['batch_products'] = $this-> Order_batch_model-> get_packing_batch_products($batch_code);

 			$this->template->loadAdmin('admin/view_packing_batch',$data);

 		}

 		public function print_packing_batch($batch_code,$size){
 			$data['packing_batch'] = $this-> Order_batch_model-> get_packing_batch_items($batch_code);
 			if (is_null($data['packing_batch'])) {
 				redirect('dashboard');
 			}
 			$data['order_items'] = array();
 			foreach ($data['packing_batch'] as $key => $item) {
 				$data['order_items'][$item['search_code']] = array();
 				$temp = $this-> Order_model-> get_order_items_for_print($item['id']);
 				foreach($temp as $order_item){
 				 	for ($i=0; $i < $order_item['quantity']; $i++) { 
 				 		 array_push($data['order_items'][$item['search_code']], $order_item);  	
 				 	}   
 				}
 			}
 			$this->load->view('admin/print_packing_batch_'.$size,$data);
 		}

 		/*public function create_return_batch(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Update Returns';
 			$data['formMethod'] = 'admin/order_batch/create_return_batch';
 			$data['couriers'] = $this-> Shipping_model-> get_couriers();
 			
 			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 
 				if (!(is_null($this-> input-> post('courier_reference_'.$i)))) {
 					$this-> form_validation->set_rules('courier_reference_'.$i,'Courier Reference '.$i,'trim|callback_is_ready_for_return'); 	
 				} 
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('admin/create_return_batch',$data);

 			} else {
 				$batch_code = $this-> Order_batch_model-> insert_return_batch();
				$this-> session-> set_flashdata('return_batch_created','Return batch created successfuly');
				redirect('dashboard');
 			}
 		}*/

 		public function return_batch_list(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Return Batch List';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['return_batches'] = $this-> Order_batch_model-> get_return_batch();

 			$this->template->loadAdmin('admin/return_batch_list',$data);

 		}
 		
 		public function reverse_packing_batch($batch_code){
			$this-> permissions-> validate_access();
				if (is_null($batch_code)){
					redirect('admin/order_batch/packing_batch_list');
				}
				$packing_batch_orders = $this->Order_model->get_packing_batch_order($batch_code);
				foreach ($packing_batch_orders as $value)
				{
					if ($value['order_status']=='in_courier'|| $value['order_status'] == 'in_packing'){
						if($value['order_status']=='in_courier'){
							$return_stock = $this->Inventory_model->returned_stock_by_order($value['id']);
						}
						$update_order = $this->Order_model->update_only_order_status($value['id'],'confirm');
					}
				}
				redirect('admin/order_batch/view_packing_batch/'.$batch_code);
		}



 		public function create_return_batch($courier){
 			$data['courier'] = $this-> Shipping_model-> get_couriers($courier);
 			if (is_null($data['courier'])) {
 				redirect('dashboard');
 			}

 			$this-> permissions-> validate_access();
 			$data['title'] = 'Create Return Batch';
 			$data['formMethod'] = 'admin/order_batch/create_return_batch/'.$courier;
 			$data['add_css'] = array("/sellercenter/assets/adminlte/plugins/pace/pace.min.css");
 			$data['add_js'] = array("/sellercenter/assets/js/updatereturns.js","/sellercenter/assets/adminlte/bower_components/PACE/pace.min.js");
 			//$data['couriers'] = $this-> Shipping_model-> get_couriers();
 			
 			$user_id = $this-> session-> userdata('user_id');
 			
 			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) {
 				if (!(is_null($this-> input-> post('courier_reference_'.$i)))) {
 					$this-> form_validation->set_rules('courier_reference_'.$i,'Courier Reference '.$i,'trim|callback_is_ready_for_return'); 	
 				} 
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('admin/create_return_batch',$data);

 			} else {
 				$batch_code = $this-> Order_batch_model-> insert_return_batch($courier,$user_id);
				$this-> session-> set_flashdata('return_batch_created','Return batch created successfuly');
				redirect('admin/order_batch/view_return_batch/'.$batch_code);
 			}
 		}

 		public function view_return_batch($batch_code){
 			$data['return_batch'] = $this-> Order_batch_model-> get_return_batch($batch_code);
 			if (is_null($data['return_batch'])) {
 				redirect('dashboard');
 			}
 			
 			$this-> permissions-> validate_access();
 			$data['title'] = 'View Return Batch';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['batch_items'] = $this-> Order_batch_model-> get_return_batch_items($batch_code);
 			$data['batch_products'] = $this-> Order_batch_model-> get_return_batch_products($batch_code);

 			$this->template->loadAdmin('admin/view_return_batch',$data);

 		}

 		public function dispatch_order_batch(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Dispatch Orders';
 			$data['formMethod'] = 'admin/order_batch/dispatch_order_batch';
 			$user_id = $this-> session-> userdata('user_id');
 			$data['add_css'] = array("/sellercenter/assets/adminlte/plugins/pace/pace.min.css");
 			$data['add_js'] = array("/sellercenter/assets/js/dispatchorders.js","/sellercenter/assets/adminlte/bower_components/PACE/pace.min.js");
 			//get permissions to edit dispatch date
 			$data['edit_dispatch_date'] = true;
 			
 			
 			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) {
 				if (!(is_null($this-> input-> post('courier_reference_'.$i)))) {
 					$this-> form_validation->set_rules('courier_reference_'.$i,'Courier Reference '.$i,'trim|callback_is_ready_for_dispatch'); 	
 				} 
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('admin/dispatch_order_batch',$data);

 			} else {
 				$dispatched_date = date("Y-m-d");
 				if ($data['edit_dispatch_date']) {
 					$dispatched_date = $this-> input-> post('dispatched_date');
 				}
 				$batch_code = $this-> Order_batch_model-> update_dispatched_orders($user_id,$dispatched_date);
				$this-> session-> set_flashdata('order_batch_dispatched','Order batch dispatched successfuly');
				redirect(base_url().'admin/order_batch/dispatch_order_batch');
 			}
 		}
 		
 		public function dispatch_orders(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Dispatch Orders';
 			$data['formMethod'] = 'admin/order_batch/dispatch_orders';
 			$user_id = $this-> session-> userdata('user_id');
 			$data['add_css'] = array("/sellercenter/assets/adminlte/plugins/pace/pace.min.css");
 			$data['add_js'] = array("/sellercenter/assets/js/dispatchordersv2.js","/sellercenter/assets/adminlte/bower_components/PACE/pace.min.js");
 			//get permissions to edit dispatch date
 			$data['edit_dispatch_date'] = true;
 			
 			//loading the page with templates
 			$this->template->loadAdmin('admin/dispatch_orders',$data);
 		}

 		public function settlement_batch_list(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Settlement Batch List';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");
 			$data['users'] = $this-> User_model-> get_shop_admins();

 			$data['settlement_batches'] = $this-> Order_batch_model-> get_settlement_batch();

 			$this->template->loadAdmin('admin/settlement_batch_list',$data);

 		}

 		public function create_settlement_batch($courier){
 			$data['courier'] = $this-> Shipping_model-> get_couriers($courier);
 			if (is_null($data['courier'])) {
 				redirect('dashboard');
 			}

 			$this-> permissions-> validate_access();
 			
 			$data['title'] = 'Create Settlement Batch';
 			$data['formMethod'] = 'admin/order_batch/create_settlement_batch/'.$courier;
 			$user_id = $this-> session-> userdata('user_id');
 			
 			$data['add_js'] = array("/sellercenter/assets/js/xlsx.full.min.js","/sellercenter/assets/js/updatesettlement.js","/sellercenter/assets/adminlte/bower_components/PACE/pace.min.js");
 			
 			//$data['couriers'] = $this-> Shipping_model-> get_couriers();
 			$data['columns'] = $this-> get_settlement_columns();


 			if ($this->input->post('submit')=="submit"){
				$waybills = $this-> input-> post('courier_ref');
				$errors = "";
				foreach ($waybills as $key => $waybill) {
					$validation = $this->is_ready_for_settlement($waybill);
					if ($validation['success']==false) {
						$errors.=$validation['msg'];
					}
				}	 
				if ($errors=="") {
					$batch_code = $this-> Order_batch_model-> insert_settlement_batch($courier,$user_id);
					$this-> session-> set_flashdata('settlement_batch_created','Settlement batch created successfuly');
					redirect('admin/order_batch/view_settlement_batch/'.$batch_code);
				}else{
					$this-> session-> set_flashdata('settlement_batch_error',$errors);
					redirect('admin/order_batch/create_settlement_batch/'.$courier);
				}

			}else{
				//loading the page with templates
 				$this->template->loadAdmin('admin/create_settlement_batch',$data);
			}
 		}

 		public function create_internal_settlement_batch($courier){

 			$data['courier'] = $this-> Shipping_model-> get_couriers($courier);
 			if (is_null($data['courier'])) {
 				redirect('dashboard');
 			}

 			$this-> permissions-> validate_access();
 			$data['title'] = 'Update courier ref';
 			$data['formMethod'] = 'admin/order_batch/create_internal_settlement_batch/'.$courier;
 			
 			//$data['add_js'] = array("/sellercenter/assets/js/xlsx.full.min.js","/sellercenter/assets/js/updatesettlement.js");
 			
 			//$data['couriers'] = $this-> Shipping_model-> get_couriers();
 			$data['orders'] = $this-> Order_model-> get_orders("order.courier='".$courier."' AND order.order_status='in_courier'");
 			$data['columns'] = $this-> get_settlement_columns();

 			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 
 				$this-> form_validation->set_rules('courier_ref_'.$i,'Search Code'.$i,'required|trim|callback_is_ready_for_settlement');
 				$this-> form_validation->set_rules('received_cod_'.$i,'COD Received '.$i,'numeric|required|trim');
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('admin/create_internal_settlement_batch',$data);

 			} else {
 				$batch_code = $this-> Order_batch_model-> insert_internal_settlement_batch($courier);
				$this-> session-> set_flashdata('settlement_batch_created','Settlement batch created successfuly');
				redirect('admin/order_batch/view_settlement_batch/'.$batch_code);
 			}
 		}

 		public function view_settlement_batch($batch_code){
 			$data['settlement_batch'] = $this-> Order_batch_model-> get_settlement_batch($batch_code);
 			if (is_null($data['settlement_batch'])) {
 				redirect('dashboard');
 			}
 			$this-> permissions-> validate_access();
 			$data['title'] = 'View Settlement Batch';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['batch_items'] = $this-> Order_batch_model-> get_settlement_batch_items($batch_code);
 			$data['batch_products'] = $this-> Order_batch_model-> get_settlement_batch_products($batch_code);

 			$this->template->loadAdmin('admin/view_settlement_batch',$data);

 		}

 		public function update_pending_returns(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Update Pending Returns';
 			$data['formMethod'] = 'admin/order_batch/update_pending_returns';
 			$user_id = $this-> session-> userdata('user_id');
 			$data['add_css'] = array("/sellercenter/assets/adminlte/plugins/pace/pace.min.css");
 			$data['add_js'] = array("/sellercenter/assets/js/updatependingreturns.js","/sellercenter/assets/adminlte/bower_components/PACE/pace.min.js");
 			//$data['couriers'] = $this-> Shipping_model-> get_couriers();
 			
 			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) {
 				if (!(is_null($this-> input-> post('courier_reference_'.$i)))) {
 					$this-> form_validation->set_rules('courier_reference_'.$i,'Courier Reference '.$i,'trim|callback_is_ready_for_pending_return'); 	
 				} 
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('admin/update_pending_returns',$data);

 			} else {
 				$this-> Order_batch_model-> update_pending_returns($user_id);
				$this-> session-> set_flashdata('pending_returns_updated','Pending returns updated successfuly');
				redirect(base_url().'admin/order_batch/update_pending_returns');
 			}
 		}
 		
 		public function update_delivered_orders(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Update Delivered Orders';
 			$data['formMethod'] = 'admin/order_batch/update_delivered_orders';
 			$user_id = $this-> session-> userdata('user_id');
 			$data['add_css'] = array("/sellercenter/assets/adminlte/plugins/pace/pace.min.css");
 			$data['add_js'] = array("/sellercenter/assets/js/updatependingreturns.js","/sellercenter/assets/adminlte/bower_components/PACE/pace.min.js");
 			//$data['couriers'] = $this-> Shipping_model-> get_couriers();
 			
 			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) {
 				if (!(is_null($this-> input-> post('courier_reference_'.$i)))) {
 					$this-> form_validation->set_rules('courier_reference_'.$i,'Courier Reference '.$i,'trim|callback_is_ready_for_pending_return'); 	
 				} 
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('admin/update_pending_returns',$data);

 			} else {
 				$this-> Order_batch_model-> update_delivered_orders($user_id);
				$this-> session-> set_flashdata('delivered_orders_updated','Delivered orders updated successfuly');
				redirect(base_url().'admin/order_batch/update_delivered_orders');
 			}
 		}
 		
 		public function create_franchise_settlement(){
 			$this-> permissions-> validate_access();
			$selected_batches = $this->input->get('batches');
			$batch_array = explode(',', $selected_batches);
			$validation = true;
			$user_id = $this-> session-> userdata('user_id');

			if ($selected_batches!='') {
				foreach ($batch_array as $key => $value) {
					$batch = $this-> Order_batch_model-> get_settlement_batch($value);
					if (empty($batch)) {
						$validation = false;
					}
				}
			}else{
				$validation = false;
			}

			if ($validation) {
				$this-> Order_batch_model-> insert_franchise_settlement($batch_array,$user_id);
				$this-> session-> set_flashdata('franchise_settlement_created','Franchise settlements created successfuly');
				redirect($_SERVER['HTTP_REFERER']);	
			}else{
				$this-> session-> set_flashdata('franchise_settlement_failed','Oops something went wrong when creating franchise settlements');
				redirect($_SERVER['HTTP_REFERER']);	
			}
		} 

		public function overall_settlement($user_id){
 			//$this-> permissions-> validate_access();
			$selected_batches = $this->input->get('batches');
			$batch_array = explode(',', $selected_batches);
			$validation = true;

			if ($selected_batches!='') {
				foreach ($batch_array as $key => $value) {
					$batch = $this-> Order_batch_model-> get_settlement_batch($value);
					if (empty($batch)) {
						$validation = false;
					}
				}
			}else{
				$validation = false;
			}

			if ($validation) {
				$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 				$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");
				$data['title'] = 'Overall Settlement';
				$data['orders'] = $this-> Order_batch_model-> get_overall_settlement($batch_array,$user_id);
				$this->template->loadAdmin('admin/overall_settlement',$data);
			}else{
				$this-> session-> set_flashdata('franchise_settlement_failed','Oops something went wrong getting overall settlement');
				redirect($_SERVER['HTTP_REFERER']);	
			}
		} 
		
		public function mark_franchise_settlements_as_paid(){
 			$this-> permissions-> validate_access();
			$selected_batches = $this->input->get('batches');
			$batch_array = explode(',', $selected_batches);
			$validation = true;
			$user_id = $this-> session-> userdata('user_id');

			if ($selected_batches!='') {
				foreach ($batch_array as $key => $value) {
					$batch = $this-> Order_batch_model-> get_franchise_settlement(FALSE,$value);
					if (empty($batch)) {
						$validation = false;
					}
					if($batch['payment_status']!='pending_payment'){
					    $validation = false;
					}
				}
			}else{
				$validation = false;
			}

			if ($validation) {
				$this-> Order_batch_model-> update_franchise_settlements_as_paid($batch_array,$user_id);
				$this-> session-> set_flashdata('success','Franchise settlements updated successfuly');
				redirect($_SERVER['HTTP_REFERER']);	
			}else{
				$this-> session-> set_flashdata('error','Oops something went wrong when updating franchise settlements');
				redirect($_SERVER['HTTP_REFERER']);	
			}
		} 

		public function franchise_settlement_list(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Franchise Settlements';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			//allow admins to view all franchise settlements
 			$data['can_view_all'] = $this-> User_model-> has_permission('view_all_franchise_settlements');
 			$data['franchise_settlements'] = $this-> Order_batch_model-> get_franchise_settlement($data['can_view_all']);  
 			
 			$this->template->loadAdmin('admin/franchise_settlement_list',$data);
 		}

 		public function view_franchise_settlement($batch_code){
 			$data['franchise_settlement'] = $this-> Order_batch_model-> get_franchise_settlement(FALSE,$batch_code);
 			if (is_null($data['franchise_settlement'])) {
 				redirect('dashboard');
 			}

 			//allow admins to view all franchise settlements
 			$can_view_all = $this-> User_model-> has_permission('view_all_franchise_settlements');
 			if (!$can_view_all) {
 				$user_id = $this-> session-> userdata('user_id');
				//check whether user is allowed for settlements franchise
	 			if (!$this-> Order_model->is_user_allowed_franchise($data['franchise_settlement'] ['franchise_id'],$user_id)) {
	 				redirect('dashboard');
	 			}	
 			}
 			
 			$this-> permissions-> validate_access();
 			$data['title'] = 'View Franchise Settlement';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['batch_items'] = $this-> Order_batch_model-> get_franchise_settlement_items($batch_code);
 			$data['batch_products'] = $this-> Order_batch_model-> get_franchise_settlement_products($batch_code);

 			$this->template->loadAdmin('admin/view_franchise_settlement',$data);
 		}

 		function check_search_code_valid($search_code){
			$this-> form_validation-> set_message('check_search_code_valid', $search_code.' do not exist or not ready for packing');
			if ($this-> Order_model-> is_ready_for_packing($search_code)){
				return true;
			}else{
				return false;
			}
		}

		function is_ready_for_settlement($courier_ref){
			if ($this-> Order_model-> is_ready_for_settlement($courier_ref)){
				$return = array('success' => true);
			}else{
				$return = array(
					'success' => false,
					'msg'=> $courier_ref.' do not exist or not ready for settlement<br>'
				);
			}
			return $return;
		}

		function is_ready_for_return($courier_reference){
			$this-> form_validation-> set_message('is_ready_for_return', $courier_reference.' do not exist or not ready for return');
			if ($this-> Order_model-> is_ready_for_return($courier_reference)){
				return true;
			}else{
				return false;
			}
		}

		function is_ready_for_dispatch($courier_reference){
			$this-> form_validation-> set_message('is_ready_for_dispatch', $courier_reference.' do not exist or not ready to dispatch');
			if ($this-> Order_model-> is_ready_for_dispatch($courier_reference)){
				return true;
			}else{
				return false;
			}
		}

		function is_ready_for_pending_return($courier_reference){
			$this-> form_validation-> set_message('is_ready_for_pending_return', $courier_reference.' do not exist or not ready to be pending return');
			if ($this-> Order_model-> is_ready_for_pending_return($courier_reference)){
				return true;
			}else{
				return false;
			}
		}


//*************************courier configurations***************************************************		

 		private function get_gh_courier_ref_columns(){
 			//return the column list of the XL sheet to update courier refference of orders
 			$columns = array(
 				"Num",
 				"WAYBILL_NO",
 				"Status",
 				"INTERNAL_REF",
 				"Recipient_City",
 				"Create_Date",
 				"Delivered_Date",
 				"Sender_Contact",
 				"Delivery_Address",
 				"Delivery_City",	
 				"Payment_Type",
 				"Pickup_Address",
 				"Recipient_Mobile",
 				"Recipient_Home"
 			);

 			return $columns;
 		}

 		private function get_kb_courier_ref_columns(){
 			//return the column list of the XL sheet to update courier refference of orders
 			$columns = array(
 				"WAYBILL_NO",
 				"INTERNAL_REF",
 				"Receiver_Name",
 				"Delivery_Address",
 				"District_ID",
 				"City_ID",
 				"Receiver_Phone",
 				"COD",
 				"Description"
 			);

 			return $columns;
 		}
 		
 		private function get_spdx_courier_ref_columns(){
 			//return the column list of the XL sheet to update courier refference of orders
 			$columns = array(
 				"WAYBILL_NO",
 				"INTERNAL_REF",
 				"Receiver_Name",
 				"Delivery_Address",
 				"City",
 				"Receiver_Phone",
 				"COD",
 				"Item_Description"
 			);

 			return $columns;
 		}
 		
 		private function get_dmx_courier_ref_columns(){
 			//return the column list of the XL sheet to update courier refference of orders
 			$columns = array(
 			    "RECEIVER_NAME",
 			    "RECEIVER_ADDRESS_1",
 			    "RECEIVER_ADDRESS_2",
 			    "RECEIVER_CITY",
 			    "RECEIVER_CONTACT",
 			    "PCs",
 			    "WEIGHT_K",
 			    "WEIGHT_G",
 			    "INTERNAL_REF",
 			    "AMOUNT",
 			    "ITEM_NAME",
 			    "SHORT_NAME",
 			    "GPD_REF",
 			    "REF",
 			    "WAYBILL_NO",
 			    "BARCODE"
 			);

 			return $columns;
 		}

 		private function get_settlement_columns(){
 			//return the column list of the XL sheet to update courier refference of orders
 			$columns = array(
 				"courier_ref",
 				"cod_recieved"
 			);

 			return $columns;
 		}
 	}