<?php
	class Franchise extends CI_Controller{
        
        public function index(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Shops';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['franchises'] = $this-> Franchise_model-> get_all_franchises();

 			$this->template->loadAdmin('franchise/index',$data);

 		}
        
		public function switch_franchise($franchise){
			$this-> permissions-> validate_access();
			$is_allowed = $this-> Franchise_model-> is_user_allowed_franchise($franchise, $this-> session-> userdata('user_id'));
			if ($is_allowed) {
				$this->session->set_userdata('franchise', $franchise);
			}
			if($_SERVER['HTTP_REFERER']==base_url('dashboard/admin')){
			    redirect(base_url('dashboard'));
			}else{
			    redirect($_SERVER['HTTP_REFERER']);
			}
		}
		
		public function add_new(){
			if ($this-> session-> userdata('user_id')!='1') {
				redirect('dashboard');
			}
			$data['title'] = 'Create Franchise';
			$data['formMethod'] = 'franchise/franchise/add_new';
			$data['shipping_zones'] = $this-> Shipping_model-> get_shipping_zones();

			$this-> form_validation->set_rules('name','Franchise Name','required|trim');
 			$this-> form_validation->set_rules('phone_one','Phone No.#1','required|regex_match[/^[0-9]{10}$/]');
 			$this-> form_validation->set_rules('phone_two','Phone No.#2','regex_match[/^[0-9]{10}$/]');
			
			if (isset($_POST['franchise_shipping_cost'])) {
				foreach ($this-> input-> post('franchise_shipping_cost') as $key => $value) {
					$this-> form_validation->set_rules('shipping_zone['.$key.']','Shipping Zone','required|trim|numeric');
					$this-> form_validation->set_rules('franchise_shipping_cost['.$key.']','Shipping Zone Map','required|trim|numeric');
					$this-> form_validation->set_rules('franchise_charge_for_additional_kg['.$key.']','Shipping Zone Map','required|trim|numeric');	
					$this-> form_validation->set_rules('service_charge['.$key.']','Shipping Zone Map','required|trim|numeric');	
					$this-> form_validation->set_rules('charge_for_additional_kg['.$key.']','Shipping Zone Map','required|trim|numeric');		
				}
			}
				

			if ($this-> form_validation-> run() === FALSE) {
				//loading the page with templates
				$this->template->loadAdmin('franchise/add_new',$data);
			}else{
				$image_name = NULL;
				if ( ! empty($_FILES['logo']['name'])) {	
					$image_upload = $this-> image_upload('logo');
					if ($image_upload['success']) {
						$image_name = $image_upload['image_name'];
					}
				}
				$franchise_id = $this-> Franchise_model-> insert_franchise($image_name);
				$this-> session-> set_flashdata('order_created','Franchise created successfully');
				redirect('franchise/franchise/edit/'.$franchise_id);
			}	
		}

		public function edit($franchise_id){
			$this-> permissions-> validate_access();
			$data['franchise'] = $this-> Franchise_model-> get_franchise($franchise_id);
 			if (is_null($data['franchise'])) {
 				redirect('dashboard');
 			}

			$data['title'] = 'Edit Franchise';
			$data['formMethod'] = 'franchise/franchise/edit/'.$franchise_id;
			$data['shipping_zones'] = $this-> Franchise_model-> get_franchise_shipping_zone_map($franchise_id);

			$this-> form_validation->set_rules('name','Franchise Name','required|trim');
			$this-> form_validation->set_rules('address','Franchise Address','required|trim');
 			$this-> form_validation->set_rules('phone_one','Phone No.#1','required|regex_match[/^[0-9]{10}$/]');
 			$this-> form_validation->set_rules('phone_two','Phone No.#2','regex_match[/^[0-9]{10}$/]');
			
			if (isset($_POST['franchise_shipping_cost'])) {
				foreach ($this-> input-> post('franchise_shipping_cost') as $key => $value) {
					$this-> form_validation->set_rules('shipping_zone['.$key.']','Shipping Zone','required|trim|numeric');
					$this-> form_validation->set_rules('franchise_shipping_cost['.$key.']','Shipping Zone Map','required|trim|numeric');
					$this-> form_validation->set_rules('franchise_charge_for_additional_kg['.$key.']','Shipping Zone Map','required|trim|numeric');	
					$this-> form_validation->set_rules('service_charge['.$key.']','Shipping Zone Map','required|trim|numeric');	
					$this-> form_validation->set_rules('charge_for_additional_kg['.$key.']','Shipping Zone Map','required|trim|numeric');		
				}
			}
				
			if ($this-> form_validation-> run() === FALSE) {
				//loading the page with templates
				$this->template->loadAdmin('franchise/edit',$data);
			}else{
				$image_name = NULL;
				if ( ! empty($_FILES['logo']['name'])) {	
					$image_upload = $this-> image_upload('logo');
					if ($image_upload['success']) {
						$image_name = $image_upload['image_name'];
					}
				}
				$this-> Franchise_model-> update_franchise($franchise_id,$image_name);
				$this-> session-> set_flashdata('order_created','Franchise updated successfully');
				redirect($data['formMethod']);
			}	
		}
		
		public function edit_franchise_fb_sponsor_amounts(){
        	$this-> permissions-> validate_access();

			$data['title'] = 'FB Sponsors';
			$data['formMethod'] = 'franchise/franchise/edit_franchise_fb_sponsor_amounts';
        	$franchise = $this-> session-> userdata('franchise');
        	$data['products'] = $this-> Product_model-> get_franchises_products($franchise);

        	if (isset($_POST['products'])) {
				foreach ($this-> input-> post('products') as $key => $value) {
					$this-> form_validation->set_rules('products['.$key.']','Product '.$key,'required');
					$this-> form_validation->set_rules('daily_sponsor_amount['.$key.']','Daily Sponsor Amount '.$key,'required|trim|numeric');	
				}
			}

        	if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('franchise/edit_franchise_fb_sponsor_amounts',$data);

 			} else {
 				$this-> Franchise_model-> update_franchise_fb_sponsor_amounts($franchise);
				$this-> session-> set_flashdata('order_created','Daily FB sponsor amount updated successfully. ');
				redirect($data['formMethod']);
 			}

        }
        
        public function assign_franchise_products($franchise_id){
        	$this-> permissions-> validate_access();

			$data['title'] = 'Assign Products';
			$data['formMethod'] = 'franchise/franchise/assign_franchise_products/'.$franchise_id;

			$data['assigned_products'] = $this-> Product_model-> get_franchises_products($franchise_id);
        	$data['products'] = $this-> Product_model-> get_all_products();

        	if (isset($_POST['product'])) {
				foreach ($this-> input-> post('product') as $key => $value) {
					$this-> form_validation->set_rules('product['.$key.']','Product '.$key,'required|numeric');
					$this-> form_validation->set_rules('price['.$key.']','Selling Price '.$key,'required|trim|numeric');
					//$this-> form_validation->set_rules('commision['.$key.']','Wholesale Price '.$key,'required|trim|numeric');	
					$this-> form_validation->set_rules('daily_sponsor_amount['.$key.']','Daily Sponsor Amount '.$key,'required|trim|numeric');	
				}
			}

        	if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('franchise/assign_franchise_products',$data);

 			} else {
 				$this-> Franchise_model-> assign_franchise_products($franchise_id);
				$this-> session-> set_flashdata('order_created','Products were assigned successfully');
				redirect($data['formMethod']);
 			}

        }

		function image_upload($field){

            $config['upload_path']          = './assets/images/';
            $config['allowed_types']        = 'gif|jpg|png';
            $config['max_size']             = 2048;
            $config['max_width']            = 2000;
            $config['max_height']           = 2000;
            $config['encrypt_name']			= TRUE;

            $return = array();

            $this->load->library('upload', $config);
            $this-> upload-> initialize($config);		//**put above line in constructor without $config and uncomment this in issue**

            if ( ! $this-> upload-> do_upload($field)){
            	$return['success'] = false;
            	$return['error_msg'] = $this-> upload-> display_errors();
            }else{

                //$data = array('upload_data' => $this-> upload-> data());
                $return['image_name'] = $this-> upload-> data('file_name');
                $return['success'] = true;	
            } 
            return $return;    
        }

	}