<?php
	class Couriers extends CI_Controller{
        
		public function courierAdd(){

			$this-> permissions-> validate_access();
			$data['title']      		= 'Add Courier';
            $data['formMethod'] 		= 'courier/create/'; 

            $this-> form_validation->set_rules('name','Name','required|trim');
			$this-> form_validation->set_rules('label','Label','required|trim');
			$this-> form_validation->set_rules('label_colour','Label Colour','required|trim');
			$this-> form_validation->set_rules('last_waybill','Last Waybill','required|trim');
			$this-> form_validation->set_rules('get_order_criteria','Order Criteria One','required|trim');

            if ($this-> form_validation-> run() === FALSE) {
                //loading the page with templates
                $this->template->loadAdmin('order/couriers_add',$data);

            } else {
                $courier = $this-> Shipping_model-> insert_courier();
                $this-> session-> set_flashdata('success','Courier ('.$this-> input-> post('name').') is successfully created.');
    
               redirect(base_url().'courier/edit/'.$courier);
            }
	
		}

        public function courierEdit($courier){
		
            $data['courier'] = $this-> Shipping_model-> get_courier($courier);
			if (is_null($data['courier'])) {
				redirect('dashboard');
			}
			$this-> permissions-> validate_access();
		   $data['title']				= 'Edit Courier';
		   $data['formMethod'] 			= 'courier/edit/'.$courier;
		   $data['add_order_criteria'] 	= $this-> User_model-> has_permission('couriers_add_order_criteria');  

            $this-> form_validation->set_rules('name','Name','required|trim');
			$this-> form_validation->set_rules('label','Label','required|trim');
			$this-> form_validation->set_rules('label_colour','Label Colour','required|trim');
			$this-> form_validation->set_rules('last_waybill','Last Waybill','required|trim');
			if ($data['add_order_criteria']) {
				$this-> form_validation->set_rules('get_order_criteria','Order Criteria One','required|trim');
			}

		   if ($this-> form_validation-> run() === FALSE) {
				//loading the page with templates
				$this->template->loadAdmin('order/couriers_edit',$data);

			} else {
				$updated = $this-> Shipping_model-> update_courier($courier,$data['add_order_criteria']);
				$this-> session-> set_flashdata('success','Courier details updated successfully ('.$this-> input-> post('name').')');
			   
			   redirect(base_url().'courier/edit/'.$courier);
			}

        }

		// courier list
		public function courierList(){
			$this-> permissions-> validate_access();
			$data['title'] 		= 'Courier List';
			$data['add_css'] 	= array("/sellercenter/assets/datatables/datatables.css");
			$data['add_js'] 	= array("/sellercenter/assets/datatables/datatables.js");

			$data['courier_list'] = $this-> Shipping_model-> get_courier_list();

			$this->template->loadAdmin('order/courier_list',$data);

		}
        
    }