 <?php
 	class Orders extends CI_Controller{

 		public function index($from=0,$to=0,$key=0){

 			$this-> permissions-> validate_access();
 			ini_set('memory_limit', '512M');
 			$data['title'] = 'Orders';
 			$data['formMethod'] = 'orders';
 			
 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css","/sellercenter/assets/adminlte/plugins/pace/pace.min.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/js/orderindex.js","/sellercenter/assets/adminlte/bower_components/PACE/pace.min.js");
 			$data['order_list'] = array();
 			
 			if ($this->input->post('submit')=="search_field"){
				$key = $this->input->post('txt_search');
				redirect('orders/0/0/'.$key);
			}else if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				redirect('orders/'.$from.'/'.$to.'/0');	    
			}
			
 			$data['key'] = ""; 
 			$where = "";
 			if ($key) {
 				$data['key'] = $key;
 				$where = "search_code='".$key."' OR resipient LIKE '%".$key."%' OR order.phone_one LIKE '%".$key."%' OR order.phone_two LIKE '%".$key."%' OR order.address LIKE '%".$key."%' OR courier_reference='".$key."'";
 			} else {
 				if ($from==0 && $to==0) {
 					$from = date("Y-m-d", strtotime( '-35 days' ) );
 					$to = date("Y-m-d", strtotime( '+1 days' ) );
 				}
 				$where = "date_format(`order`.`created_date`, '%Y-%m-%d')>='".$from."' AND date_format(`order`.`created_date`, '%Y-%m-%d')<='".$to."'";
 			}
 			$data['orders'] = $this-> Order_model-> get_orders($where,true);

 			$data['from'] = $from; $data['to'] = $to;
 			//loading the page with templates
 			$this->template->loadAdmin('order/index',$data);

 		}

 		public function call_list($order_status='pending',$offset = 0){

 			$this-> permissions-> validate_access();
 			
 			//pagination
 			$this->load->library('pagination');
 			$config['base_url'] = base_url().'orders/call_list/'.$order_status.'/'; 
			$config['total_rows'] = $this-> Order_model-> get_call_list_count($order_status);
			$config['per_page'] = 10;
			$config['uri_segment'] = 4;
			$config['attributes'] = array('class' => 'btn btn-default');
			$this-> pagination-> initialize($config);
			$data['offset'] = $offset; $data['limit'] = $config['per_page']; $data['total_rows'] = $config['total_rows']; 
			
			
 			$data['title'] = 'Call lists';
 			$data['formMethod'] = 'call_list';
 			
 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css","/sellercenter/assets/adminlte/plugins/pace/pace.min.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/js/updateorder.js","/sellercenter/assets/adminlte/bower_components/PACE/pace.min.js");
 			$data['order_list'] = array();

 			$data['orders'] = $this-> Order_model-> get_call_list($order_status,$config['per_page'],$offset);

 			$this->template->loadAdmin('order/call_list',$data);

 		}

 		public function add_new(){

 			$this-> permissions-> validate_access();
 			
 			$data['title'] = 'Create Order';
 			$data['formMethod'] = 'orders/add_new';
 			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css");
 			$data['add_js'] = array("/sellercenter/assets/adminlte/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js");
 			$data['price_editable'] = $this-> User_model-> has_permission('product_price_edit'); 

 			$user_id = $this-> session-> userdata('user_id');
 			$franchise = $this-> session-> userdata('franchise');
 			$data['search_code'] = $this-> Order_model-> generate_order_search_code($franchise);
			
 			$data['products'] = $this-> Product_model-> get_franchises_products($franchise);
 			$data['order_status'] = $this-> Order_model-> get_users_allowed_status($user_id);
 			$data['cities'] = $this-> Shipping_model-> get_cities_franchise_rates($franchise);

 			$this-> form_validation->set_rules('resipient','Resipient','required|trim');
 			$this-> form_validation->set_rules('phone_one','Phone No.#1','required|regex_match[/^[0-9]{10}$/]');
 			$this-> form_validation->set_rules('phone_two','Phone No.#2','regex_match[/^[0-9]{10}$/]');
 			$this-> form_validation->set_rules('add_item','Items','callback_check_products');
 			$this-> form_validation->set_rules('order_status','Items','callback_check_status');
 			if ($data['price_editable']) {
 				$this-> form_validation->set_rules('delivery_charge','Delivery Charge','required|trim|numeric');
 				for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 
	 				if (!is_null($this-> input-> post('product_'.$i))) {
	 					$this-> form_validation->set_rules('amount_'.$i,'Amount '.$i,'required|trim|numeric');	
	 				}
	 			}
 			}
 			if ($this-> input-> post('order_status')=='hold') {
 				$this-> form_validation->set_rules('hold_until','Hold Until','required');
 			}
 			if ($this-> input-> post('order_status')=='not_confirm') {
 				$this-> form_validation->set_rules('reason','Reason - not confirm','required');
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('order/add_new',$data);

 			} else {
 			    //generating and updating search code
 			    $search_code = $this-> Order_model-> generate_order_search_code($franchise);
			    $this-> Order_model-> update_order_search_code($franchise);
 				$search_code = $this-> Order_model-> insert_order($search_code,$franchise,$user_id,$data['price_editable']);
				$this-> session-> set_flashdata('order_created','Your order ('.$search_code.') is successfully created.');
				redirect('orders/edit/'.$search_code);
 			}

 		}

 		function edit($search_code){
 			$data['order'] = $this-> Order_model-> get_order($search_code);
 			if (is_null($data['order'])) {
 				redirect('dashboard');
 			}

 			$this-> permissions-> validate_access();

 			$user_id = $this-> session-> userdata('user_id');
 			$franchise = $this-> session-> userdata('franchise');

 			//check whether user is allowed for order's franchise
 			if (!$this-> Order_model->is_user_allowed_franchise($data['order']-> franchise,$user_id)) {
 				redirect('dashboard');
 			}

 			$data['title'] = 'Edit Order';
 			$data['formMethod'] = 'orders/edit/'.$search_code;
 			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css");
 			$data['add_js'] = array("/sellercenter/assets/adminlte/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js");

 			$data['price_editable'] = $this-> User_model-> has_permission('product_price_edit');  
 			$data['waybill_editable'] = $this-> User_model-> has_permission('order_edit_waybill');  
 			$data['products'] = $this-> Product_model-> get_franchises_products($franchise);
 			$data['order_status'] = $this-> Order_model-> get_users_allowed_status($user_id);
 			$data['cities'] = $this-> Shipping_model-> get_cities_franchise_rates($franchise);
 			if($data['price_editable']){
 			    $data['couriers'] = $this-> Shipping_model-> get_couriers();   
 			}

 			$data['order_items'] = $this-> Order_model-> get_order_items($data['order']-> id);
 			$data['selected_city'] = $this-> Shipping_model-> get_city($data['order']-> city);

 			$this-> form_validation->set_rules('resipient','Resipient','required|trim');
 			$this-> form_validation->set_rules('phone_one','Phone No.#1','required|regex_match[/^[0-9]{10}$/]');
 			$this-> form_validation->set_rules('phone_two','Phone No.#2','regex_match[/^[0-9]{10}$/]');
 			$this-> form_validation->set_rules('add_item','Items','callback_check_products');
 			$this-> form_validation->set_rules('order_status','Items','callback_check_status');
 			$this-> form_validation->set_rules('status','Items','callback_check_existing_status['.$data['order']->order_status.']');
 			if ($this-> input-> post('order_status')=='hold') {
 				$this-> form_validation->set_rules('hold_until','Hold Until','required');
 			}
 			if ($this-> input-> post('order_status')=='not_confirm') {
 				$this-> form_validation->set_rules('reason','Reason - not confirm','required');
 			}

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('order/edit',$data);

 			} else {
 			    //10-02-2021 update
 				$this-> Order_model-> update_order($data['order']-> id,$data['order']->order_status,$franchise,$user_id,$data['price_editable'],$data['waybill_editable']);
				$this-> session-> set_flashdata('order_updated','Your order ('.$data['order']-> search_code.') is successfully modified.');
				redirect('orders/edit/'.$search_code);
 			}
 		}

 		function check_products($item){
			$this-> form_validation-> set_message('check_products','Atleast one product should be selected');
			$product_selected = false;
			for ($i=1; $i < $this-> input-> post('RowCount'); $i++) { 
				if (!is_null($this-> input-> post('product_'.$i))) {
					if ((int)$this-> input-> post('qty_'.$i)>0) {
						$product_selected = true;
					}
				}
			}
			return $product_selected;	
		}

		function check_status($status){
			$this-> form_validation-> set_message('check_status','You do not have permission for selected order status');
			if ($this-> Order_model-> check_status_allowed($status,$this-> session-> userdata('user_id'))) {
				return true;
			}else{
				return false;
			}
		}
		
		function check_existing_status($dummy,$status){
			$this-> form_validation-> set_message('check_existing_status','You do not have permission to edit orders in "'.$status.'" status');
			if ($this-> Order_model-> check_status_allowed($status,$this-> session-> userdata('user_id'))) {
				return true;
			}else{
				return false;
			}
		}
		
		public function view_order_history($search_code){
		    $this-> permissions-> validate_access();
		    $data['order'] = $this-> Order_model-> get_order_modification_history($search_code);
		    if (is_null($data['order'])) {
 				redirect('dashboard');
 			}
 			
 			$data['can_cancel_packed_order'] = $this-> User_model-> has_permission('orders_cancel_packed_order');
 			$data['can_mark_as_damaged'] = $this-> User_model-> has_permission('orders_mark_as_damaged');
 			$data['can_mark_as_urgent'] = $this-> User_model-> has_permission('orders_mark_as_urgent');
 			
 			$data['title'] = 'View Order History';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");
		    
		    $this->template->loadAdmin('order/view_order_history',$data);
		}
		
		public function additional_order_info($meta_type){
			$this-> permissions-> validate_access();
			$data['title'] = 'Additional order info';
			$data['meta_type'] = $meta_type;
			$data['orders'] = $this-> Order_model-> get_order_with_additional_info($meta_type);
			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

			$this->template->loadAdmin('order/additional_order_info',$data);
		}

		public function create_additional_order_info($meta_type,$search_code){
			$this-> permissions-> validate_access();
			
			$data['order'] = $this-> Order_model-> get_order($search_code);
			if (is_null($data['order'])) {
 				redirect('dashboard');
 			}
 			$order_meta= $this-> Order_model-> get_order_additional_info($meta_type,$data['order']->id);
			if (!empty($order_meta)) {
 				redirect(base_url('order/orders/edit_additional_order_info/'.$meta_type.'/'.$search_code));
 			}
 			
 			$data['order_meta'] = $this-> Order_model-> get_order_meta($meta_type);
 			$data['meta_type'] = $meta_type;

			$data['title'] = 'Additional order info';
			$data['formMethod'] = 'order/orders/create_additional_order_info/'.$meta_type.'/'.$search_code;

			foreach ($data['order_meta'] as $meta) {
				$this-> form_validation->set_rules($meta['meta_key'],$meta['meta_label'],'trim');
			}

			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('order/create_additional_order_info',$data);
 			} else {
 				$this-> Order_model-> insert_additional_order_info($data['order_meta'],$data['order']->id);
 				redirect(base_url('order/orders/edit_additional_order_info/'.$meta_type.'/'.$search_code));
 			}
		}

		public function edit_additional_order_info($meta_type,$search_code){
			$this-> permissions-> validate_access();
			$data['order'] = $this-> Order_model-> get_order($search_code);
			if (is_null($data['order'])) {
 				redirect('dashboard');
 			}
 			$data['order_meta'] = $this-> Order_model-> get_order_additional_info($meta_type,$data['order']->id);
 			$data['meta_type'] = $meta_type;

			$data['title'] = 'Additional order info';
			$data['formMethod'] = 'order/orders/edit_additional_order_info/'.$meta_type.'/'.$search_code;

			foreach ($data['order_meta'] as $meta) {
				$this-> form_validation->set_rules($meta['meta_key'],$meta['meta_label'],'trim');
			}

			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('order/edit_additional_order_info',$data);
 			} else {
 				$this-> Order_model-> update_additional_order_info($data['order_meta'],$data['order']->id);
 				redirect(base_url('order/orders/edit_additional_order_info/'.$meta_type.'/'.$search_code));
 			}
		}
		
		public function complaint_list(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Complaints';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['complaints'] = $this-> Order_model-> get_complaint();

 			$this->template->loadAdmin('order/complaint_list',$data);

 		}

		public function add_complaint($search_code){
			$this-> permissions-> validate_access();
			$order = $this-> Order_model-> get_order($search_code);
			if (is_null($order)) {
 				redirect('dashboard');
 			}
			$remark = $this-> input-> get('complaint');
			
			$complaint_id = $this-> Order_model-> insert_compaint($order->id,$remark);
			redirect('order/orders/view_order_complaints/'.$search_code);
		}

		public function check_order_complaint($complaint_id){
			$this-> permissions-> validate_access();
			$complaint = $this-> Order_model-> get_complaint($complaint_id);
			if (is_null($complaint)) {
 				redirect('dashboard');
 			}
			
			$this-> Order_model-> update_compaint($complaint_id);
			redirect($_SERVER['HTTP_REFERER']);
		}

		public function view_order_complaints($search_code){
		    $this-> permissions-> validate_access();
		    $data['order'] = $this-> Order_model-> get_order_complaints($search_code);
		    if (is_null($data['order'])) {
 				redirect('dashboard');
 			}
 			
 			$data['title'] = 'View Order Complaints';
 			$data['permission_to_check'] = $this-> User_model-> has_permission('orders_check_order_complaint');  
		    
		    $this->template->loadAdmin('order/view_order_complaints',$data);
		}
		
		public function dispatched_orders($courier=4,$from=0,$to=0){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Dispatched Orders';
 			$data['formMethod'] = 'order/orders/dispatched_orders';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");
 			
 			$data['couriers'] = $this-> Shipping_model-> get_couriers();

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d");
				$to = date("Y-m-d");
			}

			$data['orders'] = $this-> Order_model-> get_orders("(order.dispatched_date>='".$from."' AND order.dispatched_date<='".$to."' AND order.courier='".$courier."') AND (order_status='in_courier' OR order_status='settled' OR order_status='delivered' OR order_status='pending_return' OR order_status='returned')");

			$data['from'] = $from; $data['to'] = $to; $data['courier'] = $courier;
 			//loading the page with templates
 			if($courier==2){
 			    $this->template->loadAdmin('order/kb_upload_list',$data);
 			}elseif($courier==7){
 			    $this->template->loadAdmin('order/farda_upload_list',$data);
 			}elseif($courier==6){
 			    $this->template->loadAdmin('order/bt_upload_list',$data);
 			}elseif($courier==1){
 			    $this->template->loadAdmin('order/trans_upload_list',$data);
 			}elseif($courier==5){
 			    $this->template->loadAdmin('order/webstore_upload_list',$data);
 			}else{
 			   $this->template->loadAdmin('order/dispatched_orders',$data); 
 			}
 			

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				$courier = $this->input->post('courier');
				redirect('order/orders/dispatched_orders/'.$courier.'/'.$from.'/'.$to);	    
			}
 		}
 		
 		public function cancel_packed_order($search_code){
 			$this-> permissions-> validate_access();
 			$order = $this-> Order_model-> get_order($search_code);
			if (is_null($order)) {
 				redirect('dashboard');
 			}
 			if ($order->order_status=='in_packing') {
 				$this-> Order_model-> cancel_packed_order($order->id);
 				$this-> session-> set_flashdata('success','Order ('.$order->search_code.') is cancelled successfully');
 				redirect('orders/edit/'.$search_code);
 			}elseif($order->order_status=='in_courier' && $order->dispatched_date==date("Y-m-d")){
 			    $this-> Order_model-> cancel_packed_order($order->id,TRUE);
 				$this-> session-> set_flashdata('success','Order ('.$order->search_code.') is cancelled successfully');
 				redirect('orders/edit/'.$search_code);
 			}else{
 				$this-> session-> set_flashdata('error','Sorry this order ('.$order->search_code.') cannot be cancelled');
 				redirect($_SERVER['HTTP_REFERER']);
 			}
 		}
 		
 		public function mark_as_damaged($search_code){
 		    $this-> permissions-> validate_access();
 		    $order = $this-> Order_model-> get_order($search_code);
			if (is_null($order)) {
 				redirect('dashboard');
 			}
 			if ($order->order_status=='in_courier') {
 			    if($order->damaged_return==1){
 			        $this-> session-> set_flashdata('error','Sorry this order ('.$order->search_code.') is already marked as damaged');
 				    redirect($_SERVER['HTTP_REFERER']);
 			    }else{
 			        $this-> Order_model-> mark_as_damaged($order->id);
 				    $this-> session-> set_flashdata('success','Order ('.$order->search_code.') is marked as damaged successfully');
 			        redirect($_SERVER['HTTP_REFERER']);
 			    }
 			}else{
 			    $this-> session-> set_flashdata('error','Sorry this order ('.$order->search_code.') is not in courier');
 				redirect($_SERVER['HTTP_REFERER']);
 			}
 		}
 		
 		public function mark_as_urgent($search_code){
 		    $this-> permissions-> validate_access();
 		    $order = $this-> Order_model-> get_order($search_code);
			if (is_null($order)) {
 				redirect('dashboard');
 			}
 			if ($order->order_status=='confirm') {
 			    if($order->is_urgent==1){
 			        $this-> session-> set_flashdata('error','Sorry this order ('.$order->search_code.') is already marked as urgent');
 				    redirect($_SERVER['HTTP_REFERER']);
 			    }else{
 			        $this-> Order_model-> mark_as_urgent($order->id);
 				    $this-> session-> set_flashdata('success','Order ('.$order->search_code.') is marked as urgent successfully');
 			        redirect($_SERVER['HTTP_REFERER']);
 			    }
 			}else{
 			    $this-> session-> set_flashdata('error','Sorry this order ('.$order->search_code.') is not in confirm status');
 				redirect($_SERVER['HTTP_REFERER']);
 			}
 		}
 		
 		public function add_bulk_orders(){
			$this-> permissions-> validate_access();
			$data['title'] = 'Add Orders';
			$data['columns'] = $this-> get_bulk_order_columns();
			$data['formMethod'] = 'order/orders/add_bulk_orders';

			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/select2/dist/css/select2.min.css");
			$data['add_js'] = array("/sellercenter/assets/js/xlsx.full.min.js","/sellercenter/assets/js/add_bulk_orders.js","/sellercenter/assets/adminlte/bower_components/PACE/pace.min.js","/sellercenter/assets/adminlte/bower_components/select2/dist/js/select2.full.min.js");

			$franchise = $this-> session-> userdata('franchise');
			$user_id = $this-> session-> userdata('user_id');
			$data['products'] = $this-> Product_model-> get_franchises_products($franchise);
			$data['cities'] = $this-> Shipping_model-> get_cities_franchise_rates($franchise);

			if (isset($_POST['Private_reference'])) {
				foreach ($this-> input-> post('Private_reference') as $key => $value) {
					$this-> form_validation->set_rules('Private_reference['.$key.']','Private_reference '.$key,'required|trim');
					$this-> form_validation->set_rules('Resipient['.$key.']','Resipient '.$key,'required|trim');
					$this-> form_validation->set_rules('Address['.$key.']','Address '.$key,'required|trim');
					$this-> form_validation->set_rules('City['.$key.']','City '.$key,'required|trim');
					$this-> form_validation->set_rules('Phone['.$key.']','Phone '.$key,'required|regex_match[/^[0-9]{10}$/]');
					$this-> form_validation->set_rules('Product_id['.$key.']','Product_id '.$key,'required|trim');
					$this-> form_validation->set_rules('Order_status['.$key.']','Order_status '.$key,'required|trim');
				}	
			}

			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('order/add_bulk_orders',$data);

 			} else {
 				$this-> Order_model-> insert_bulk_orders($franchise,$user_id);
				$this-> session-> set_flashdata('order_created','Your orders created successfully.');
				redirect('orders/call_list');
 			}
		}

		private function get_bulk_order_columns(){
 			//return the column list of the XL sheet to update courier refference of orders
 			$columns = array(
 				"Private_reference",
 				"Resipient",
 				"Address",
 				"City",
 				"Phone",
 				"Product_id",
 				"Order_status"
 			);

 			return $columns;
 		}
		

//**********************functions for ajax operations**********************

	 	public function confirm_order_ajax(){
	        // POST data
	        $order = $this->input->post('order');
	        $call_duration = $this->input->post('call_duration');
	        $status = 'confirm';
	        $user = $this-> session-> userdata('user_id');
	        $franchise= $this-> Order_model-> get_order_field($order,'franchise');

	        if ($this-> Order_model-> check_status_allowed($status,$user) && $this-> Order_model->is_user_allowed_franchise($franchise,$user) && $this-> Order_model-> is_ready_for_call($order)) {
	        	//insert data
		        $result = $this-> Order_model-> update_order_status($order,$user,$status,$call_duration,TRUE);
		        if ($result) {
		        	$this-> send_ajax(array('message' => 'Order status changed to '.$status,'success'=> true));
		        }else{
		        	$this-> send_ajax(array('message' => 'Oops.. something went wrong changing status to '.$status,'success'=> false));
		        }	
	        }else{
	        	$this-> send_ajax(array('message' => 'Sorry, you do not have permission to change status to '.$status,'success'=> false));
	        }
	    }

	    public function not_confirm_order_ajax(){
	        // POST data
	        $order = $this->input->post('order');
	        $reason = $this->input->post('reason');
	        $call_duration = $this->input->post('call_duration');
	        $status = 'not_confirm';
	        $date = new DateTime('tomorrow');
	        $hold_until = $date-> format('y-m-d');
	        $user = $this-> session-> userdata('user_id');
	        $franchise= $this-> Order_model-> get_order_field($order,'franchise');

	        if ($this-> Order_model-> check_status_allowed($status,$user) && $this-> Order_model->is_user_allowed_franchise($franchise,$user) && $this-> Order_model-> is_ready_for_call($order)) {
	        	//insert data
		        $result = $this-> Order_model-> update_order_status($order,$user,$status,$call_duration,TRUE,$hold_until,$reason);
		        if ($result) {
		        	$this-> send_ajax(array('message' => 'Order status changed to '.$status,'success'=> true));
		        }else{
		        	$this-> send_ajax(array('message' => 'Oops.. something went wrong changing status to '.$status,'success'=> false));
		        }	
	        }else{
	        	$this-> send_ajax(array('message' => 'Sorry, you do not have permission to change status to '.$status,'success'=> false));
	        }
	    }

	    public function hold_order_ajax(){
	        // POST data
	        $order = $this->input->post('order');
	        $status = 'hold';
	        $date = new DateTime($this->input->post('hold_until'));
	        $hold_until = $date-> format('y-m-d');
	        $call_duration = $this->input->post('call_duration');
	        $user = $this-> session-> userdata('user_id');
	        $franchise= $this-> Order_model-> get_order_field($order,'franchise');

	        if ($this-> Order_model-> check_status_allowed($status,$user) && $this-> Order_model->is_user_allowed_franchise($franchise,$user) && $this-> Order_model-> is_ready_for_call($order)) {
	        	//insert data
		        $result = $this-> Order_model-> update_order_status($order,$user,$status,$call_duration,TRUE,$hold_until);
		        if ($result) {
		        	$this-> send_ajax(array('message' => 'Order status changed to '.$status,'success'=> true));
		        }else{
		        	$this-> send_ajax(array('message' => 'Oops.. something went wrong changing status to '.$status,'success'=> false));
		        }	
	        }else{
	        	$this-> send_ajax(array('message' => 'Sorry, you do not have permission to change status to '.$status,'success'=> false));
	        }
	    }

	    public function cancel_order_ajax(){
	        // POST data
	        $order = $this->input->post('order');
	        $call_duration = $this->input->post('call_duration');
	        $status = 'cancelled';
	        $user = $this-> session-> userdata('user_id');
	        $franchise= $this-> Order_model-> get_order_field($order,'franchise');

	        if ($this-> Order_model-> check_status_allowed($status,$user) && $this-> Order_model->is_user_allowed_franchise($franchise,$user) && $this-> Order_model-> is_ready_for_call($order)) {
	        	//insert data
		        $result = $this-> Order_model-> update_order_status($order,$user,$status,$call_duration,TRUE);
		        if ($result) {
		        	$this-> send_ajax(array('message' => 'Order status changed to '.$status,'success'=> true));
		        }else{
		        	$this-> send_ajax(array('message' => 'Oops.. something went wrong changing status to '.$status,'success'=> false));
		        }	
	        }else{
	        	$this-> send_ajax(array('message' => 'Sorry, you do not have permission to change status to '.$status,'success'=> false));
	        }
	    }

	    public function close_call_modal_ajax(){
	        // POST data
	        $order = $this->input->post('order');
	        $call_duration = $this->input->post('call_duration');
	        $user = $this-> session-> userdata('user_id');

        	//insert data
	        $this-> Order_model-> update_order_modification_history($order,$user,'Order viewed in call list (call duration: '.$call_duration.')');
	        $this-> send_ajax(array('message' => 'Order history updated','success'=> true));
	    }
	    
	    public function return_informed_ajax(){
	    // POST data
	        $order = $this->input->post('order');
	        $user = $this-> session-> userdata('user_id');
	        $franchise= $this-> Order_model-> get_order_field($order,'franchise');

	        if ($this-> Order_model->is_user_allowed_franchise($franchise,$user)) {
	        	//insert data
		        $result = $this-> Order_model-> update_order_field($order,$user,'return_informed',true);
		        if ($result) {
		        	$this-> send_ajax(array('message' => 'Marked as return informed successfully','success'=> true));
		        }else{
		        	$this-> send_ajax(array('message' => 'Oops.. something went wrong updating customer notes','success'=> false));
		        }	
	        }else{
	        	$this-> send_ajax(array('message' => 'Sorry, you do not have permission to updating customer notes','success'=> false));
	        }
	    }    

	    public function update_customer_notes_ajax(){
	        // POST data
	        $order = $this->input->post('order');
	        $customer_notes = $this->input->post('customer_notes');
	        $user = $this-> session-> userdata('user_id');
	        $franchise= $this-> Order_model-> get_order_field($order,'franchise');

	        if ($this-> Order_model->is_user_allowed_franchise($franchise,$user)) {
	        	//insert data
		        $result = $this-> Order_model-> update_order_field($order,$user,'customer_notes',$customer_notes);
		        if ($result) {
		        	$this-> send_ajax(array('message' => 'Customer Notes updated successfully','success'=> true));
		        }else{
		        	$this-> send_ajax(array('message' => 'Oops.. something went wrong updating customer notes','success'=> false));
		        }	
	        }else{
	        	$this-> send_ajax(array('message' => 'Sorry, you do not have permission to updating customer notes','success'=> false));
	        }
	    }

	    public function update_delivery_notes_ajax(){
	        // POST data
	        $order = $this->input->post('order');
	        $delivery_notes = $this->input->post('delivery_notes');
	        $user = $this-> session-> userdata('user_id');
	        $franchise= $this-> Order_model-> get_order_field($order,'franchise');

	        if ($this-> Order_model->is_user_allowed_franchise($franchise,$user)) {
	        	//insert data
		        $result = $this-> Order_model-> update_order_field($order,$user,'delivery_notes',$delivery_notes);
		        if ($result) {
		        	$this-> send_ajax(array('message' => 'Customer Notes updated successfully','success'=> true));
		        }else{
		        	$this-> send_ajax(array('message' => 'Oops.. something went wrong updating customer notes','success'=> false));
		        }	
	        }else{
	        	$this-> send_ajax(array('message' => 'Sorry, you do not have permission to updating customer notes','success'=> false));
	        }
	    }

	    public function get_dispatching_order_ajax(){
	    	$ref = $this->input->post('courier_reference');
	    	$order = $this-> Order_model-> get_order_field_by_key($ref,'courier_reference');
	    	if (empty((array)$order)) {
 				$data = array(
		    		'success' => false
		    	);
 			}else{
 				$data = array(
		    		'search_code' => $order-> search_code,
		    		'order_status'=> $order-> order_status,
		    		'damaged_return'=> $order-> damaged_return,
		    		'courier'=> $order-> courier,
		    		'success' => true
		    	);
 			}
	    	$this-> send_ajax($data);
	    }
	    
	    public function dispatch_order_ajax(){
	    	$ref = $this->input->post('courier_reference');
	    	$order = $this-> Order_model-> get_order_field_by_key($ref,'courier_reference');
	    	if (empty((array)$order)) {
 				$data = array(
		    		'success' => false,
		    		'message' => 'Waybill not valid'
		    	);
 			}else{
 				$data = array(
		    		'search_code' => $order-> search_code,
		    		'order_status'=> $order-> order_status,
		    		'success' => true,
		    		'message' => 'Dispatched'
		    	);
		    	if($order-> order_status=='in_packing'){
		    	    $this-> Order_model-> dispatch_order($order->id);
		    	}else{
		    	    $data['message'] = 'Not in packing';
		    	}
 			}
	    	$this-> send_ajax($data);
	    }
	    
	    public function check_city_and_product_ajax(){
	    	$city_name = $this->input->post('city');
	    	$product_id = $this->input->post('product');
	    	
	    	$city = $this-> Shipping_model-> get_city_by_name($city_name);
	    	$franchise = $this-> session-> userdata('franchise');
	    	$product = $this-> Product_model-> get_franchises_products($franchise,$product_id);
	    	if (empty((array)$city)||empty((array)$product)) {
 				$data = array(
		    		'success' => false
		    	);
 			}else{
 				$data = array(
		    		'success' => true,
		    		'city_name'=> $city['city'],
		    		'product_title'=> $product->title
		    	);
 			}
	    	$this-> send_ajax($data);
	    }

	    private function send_ajax($array) {

	        if (!is_array($array)) return false;

	        $send = array('token' => $this->security->get_csrf_hash(), 'response'=> $array);

	        if (!headers_sent()) {
	            header('Cache-Control: no-cache, must-revalidate');
	            header('Expires: ' . date('r'));
	            header('Content-type: application/json');
	        }

	        exit(json_encode($send, JSON_FORCE_OBJECT));

	    }

 	}




