 <?php
 	class Gatepass extends CI_Controller{

 		public function index(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Gatepass List';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['gatepasses'] = $this-> Inventory_model-> get_gatepass();

 			$this->template->loadAdmin('product/gatepass_list',$data);

 		}

 		public function view($search_code){
 			$this-> permissions-> validate_access();

 			$data['title'] = 'View Gatepass';
 			$data['gatepass'] = $this-> Inventory_model-> get_gatepass($search_code);
 			$data['gatepass_items'] = $this-> Inventory_model-> get_gatepass_items($search_code);
 			$this->template->loadAdmin('product/view_gatepass',$data);
 		}

 		public function add_new(){

 			$this-> permissions-> validate_access();

 			$data['title'] = 'Create Gatepass';
 			$data['formMethod'] = 'gatepass/add_new';

 			$user_id = $this-> session-> userdata('user_id');

 			$data['products'] = $this-> Product_model-> get_all_products();
 		

 			$this-> form_validation->set_rules('add_item','Items','callback_check_products');

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('product/create_gatepass',$data);

 			} else {
 				$search_code = $this-> Inventory_model-> insert_gatepass($user_id);
				$this-> session-> set_flashdata('order_created','Gatepass ('.$search_code.') is successfully created.');
				//redirect('supplier_invoice/edit/'.$search_code);
				redirect('gatepass/view/'.$search_code);
 			}

 		}


 		function check_products($item){
			$this-> form_validation-> set_message('check_products','Atleast one product should be selected');
			$product_selected = false;
			for ($i=1; $i < $this-> input-> post('RowCount'); $i++) { 
				if (!is_null($this-> input-> post('product_'.$i))) {
					if ((int)$this-> input-> post('qty_'.$i)>0) {
						$product_selected = true;
					}
				}
			}
			return $product_selected;	
		}

		public function approve($search_code,$is_approved=FALSE){
			$this-> permissions-> validate_access();
			$gatepass = $this-> Inventory_model-> get_gatepass($search_code);
			$user_id = $this-> session-> userdata('user_id');
			if ($gatepass['status']=='pending_approval' || $gatepass['status']=='not_approved') {
				if ($is_approved) {
					$this-> Inventory_model-> approve_gatepass($search_code,$user_id,$is_approved);
					$this-> session-> set_flashdata('gatepass_success','Gatepass ('.$search_code.') status changed to approved.');
				}else{
					$this-> Inventory_model-> approve_gatepass($search_code,$user_id,$is_approved);
					$this-> session-> set_flashdata('gatepass_success','Gatepass ('.$search_code.') status changed to not approved.');
				}
			}else{
				$this-> session-> set_flashdata('gatepass_error','Gatepass ('.$search_code.') cannot be approved.');
			}
 			redirect($_SERVER['HTTP_REFERER']);	
		}

		public function dispatch($search_code){
			$this-> permissions-> validate_access();
			$gatepass = $this-> Inventory_model-> get_gatepass($search_code);
			if ($gatepass['status']=='approved') {
				$this-> Inventory_model-> dispatch_gatepass($search_code);
				$this-> session-> set_flashdata('gatepass_success','Gatepass ('.$search_code.') is successfully dispatched');
			}else{
				$this-> session-> set_flashdata('gatepass_error','Gatepass ('.$search_code.') cannot be dispatched.');
			}
			redirect($_SERVER['HTTP_REFERER']);	
		}


 	}