 <?php
 	class Grn extends CI_Controller{

 		public function index(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'GRN List';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['grns'] = $this-> Inventory_model-> get_grn();

 			$this->template->loadAdmin('product/grn_list',$data);

 		}

 		public function view($search_code){
 			$this-> permissions-> validate_access();

 			$data['title'] = 'View GRN';
 			$data['grn'] = $this-> Inventory_model-> get_grn($search_code);
 			if (is_null($data['grn'])) {
 				redirect('dashboard');
 			}
 			$data['grn_items'] = $this-> Inventory_model-> get_grn_items($search_code);
 			$this->template->loadAdmin('product/view_grn',$data);
 		}

 		public function add_new(){

 			$this-> permissions-> validate_access();

 			$data['title'] = 'Create GRN';
 			$data['formMethod'] = 'grn/add_new';

 			$user_id = $this-> session-> userdata('user_id');

 			$data['products'] = $this-> Product_model-> get_all_products();
 		

 			$this-> form_validation->set_rules('add_item','Items','callback_check_products');

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('product/create_grn',$data);

 			} else {
 				$search_code = $this-> Inventory_model-> insert_grn($user_id);
				$this-> session-> set_flashdata('order_created','GRN ('.$search_code.') is successfully created.');
				//redirect('supplier_invoice/edit/'.$search_code);
				redirect('grn/view/'.$search_code);
 			}

 		}

 		public function edit($search_code){
 			$this-> permissions-> validate_access();
 			$data['grn'] = $this-> Inventory_model-> get_grn($search_code);
 			if (is_null($data['grn'])) {
 				redirect('dashboard');
 			}
 			if($data['grn']['status']=='approved'){
 			    redirect($_SERVER['HTTP_REFERER']);
 			}
 			$data['grn_items'] = $this-> Inventory_model-> get_grn_items($search_code);


 			$data['title'] = 'Edit GRN';
 			$data['formMethod'] = 'grn/edit/'.$search_code;

 			$data['products'] = $this-> Product_model-> get_all_products();
 		

 			$this-> form_validation->set_rules('add_item','Items','callback_check_products');

 			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('product/edit_grn',$data);

 			} else {
 				$this-> Inventory_model-> update_grn($search_code);
				$this-> session-> set_flashdata('success','GRN ('.$search_code.') is successfully updated.');
				//redirect('supplier_invoice/edit/'.$search_code);
				redirect('grn/view/'.$search_code);
 			}

 		}


 		function check_products($item){
			$this-> form_validation-> set_message('check_products','Atleast one product should be selected');
			$product_selected = false;
			for ($i=1; $i < $this-> input-> post('RowCount'); $i++) { 
				if (!is_null($this-> input-> post('product_'.$i))) {
					if ((int)$this-> input-> post('qty_'.$i)>0) {
						$product_selected = true;
					}
				}
			}
			return $product_selected;	
		}

		public function approve($search_code,$is_approved=FALSE){
			$this-> permissions-> validate_access();
			$grn = $this-> Inventory_model-> get_grn($search_code);
			$user_id = $this-> session-> userdata('user_id');
			if ($grn['status']=='pending_approval' || $grn['status']=='not_approved') {
				if ($is_approved) {
					$this-> Inventory_model-> approve_grn($search_code,$user_id,$is_approved);
					$this-> session-> set_flashdata('success','GRN ('.$search_code.') status changed to approved and stock updated.');
				}else{
					$this-> Inventory_model-> approve_grn($search_code,$user_id,$is_approved);
					$this-> session-> set_flashdata('success','GRN ('.$search_code.') status changed to not approved.');
				}
			}else{
				$this-> session-> set_flashdata('error','GRN ('.$search_code.') cannot be approved.');
			}
 			redirect($_SERVER['HTTP_REFERER']);	
		}


 	}