<?php
	class Products extends CI_Controller{
	    
	    public function index(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Product List';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['products'] = $this-> Product_model-> get_all_products();

 			$this->template->loadAdmin('product/index',$data);

 		}
 		
 		public function self_learning(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Product List';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['products'] = $this-> Product_model-> get_all_products();

 			$this->template->loadAdmin('product/self_learning',$data);

 		}

		public function edit($product){

			$data['product'] = $this-> Product_model-> get_product($product);
 			if (is_null($data['product'])) {
 				redirect('dashboard');
 			}

			$this-> permissions-> validate_access();

			$data['franchises'] = $this-> Franchise_model-> get_all_franchises();
			$data['assigned_franchises'] = $this-> Product_model-> get_assigned_franchises_details($product);
			$data['product_categories'] = $this-> Product_model-> get_all_product_categories();
			$data['assigned_categories'] = $this-> Product_model-> get_assigned_categories($product);
			$data['product_images'] = $this-> Product_model-> get_product_images($product);
			$data['products'] = $this-> Product_model-> get_all_products();

			$data['title'] = 'Edit Product';
			$data['formMethod'] = 'products/edit/'.$product;
			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/select2/dist/css/select2.min.css");
			$data['add_js'] = array("/sellercenter/assets/adminlte/bower_components/ckeditor/ckeditor.js","/sellercenter/assets/adminlte/bower_components/select2/dist/js/select2.full.min.js");

			$this-> form_validation->set_rules('title','Title','required|trim');
			$this-> form_validation->set_rules('short_title','Short Title','required|trim');
			$this-> form_validation->set_rules('sku','SKU','required|trim');
			$this-> form_validation->set_rules('brand','Brand','required|trim');
			$this-> form_validation->set_rules('slug','Slug','required|trim');
			//$this-> form_validation->set_rules('status','Product Status','required|trim');
			$this-> form_validation->set_rules('product_type','Resipient','required|trim');
			$this-> form_validation->set_rules('price','Price','required|trim|numeric');
			$this-> form_validation->set_rules('wholesale_price','Wholesale Price','required|trim|numeric');
			$this-> form_validation->set_rules('cost','Cost','required|trim|numeric');
			$this-> form_validation->set_rules('weight','Weight','required|trim|numeric');
			$this-> form_validation->set_rules('stock','Stock','required|trim|numeric');
			//$this-> form_validation->set_rules('reorder_level','Re Order Level','required|trim|numeric');
			//$this-> form_validation->set_rules('cover_image','Cover Image','callback_image_upload['.'cover_image'.']');

			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('product/edit',$data);

 			} else {
 				$image_data = $this-> upload_product_images();
 				$updated = $this-> Product_model-> update_product($product,$image_data);
 				$this-> session-> set_flashdata('product_updated','Product updated successfully ('.$this-> input-> post('title').')');
				
				redirect(base_url().'products/edit/'.$product);
 			}
			
		}
		
		public function create(){

			$this-> permissions-> validate_access();

			$data['franchises'] = $this-> Franchise_model-> get_all_franchises();
			$data['product_categories'] = $this-> Product_model-> get_all_product_categories();
			$data['products'] = $this-> Product_model-> get_all_products();
			
			$data['title'] = 'Create Product';
			$data['formMethod'] = 'products/create/';
			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/select2/dist/css/select2.min.css");
			$data['add_js'] = array("/sellercenter/assets/adminlte/bower_components/ckeditor/ckeditor.js","/sellercenter/assets/adminlte/bower_components/select2/dist/js/select2.full.min.js");

			$this-> form_validation->set_rules('title','Title','required|trim');
			$this-> form_validation->set_rules('short_title','Short Title','required|trim');
			$this-> form_validation->set_rules('sku','SKU','required|trim');
			$this-> form_validation->set_rules('brand','Brand','required|trim');
			$this-> form_validation->set_rules('slug','Slug','required|trim');
			//$this-> form_validation->set_rules('status','Product Status','required|trim');
			$this-> form_validation->set_rules('product_type','Resipient','required|trim');
			$this-> form_validation->set_rules('price','Price','required|trim|numeric');
			$this-> form_validation->set_rules('wholesale_price','Wholesale Price','required|trim|numeric');
			$this-> form_validation->set_rules('cost','Cost','required|trim|numeric');
			$this-> form_validation->set_rules('weight','Weight','required|trim|numeric');
			$this-> form_validation->set_rules('stock','Stock','required|trim|numeric');
			//$this-> form_validation->set_rules('reorder_level','Re Order Level','required|trim|numeric');
			//$this-> form_validation->set_rules('cover_image','Cover Image','callback_image_upload['.'cover_image'.']');

			if ($this-> form_validation-> run() === FALSE) {
 				//loading the page with templates
 				$this->template->loadAdmin('product/create',$data);

 			} else {
 				$image_data = $this-> upload_product_images();
 				$product = $this-> Product_model-> insert_product($image_data);
 				$this-> session-> set_flashdata('product_updated','Product ('.$this-> input-> post('title').') is successfully created.');
				
				redirect(base_url().'products/edit/'.$product);
 			}
			
		}
		
		public function view($product){
			$data['product'] = $this-> Product_model-> get_product($product);
 			if (is_null($data['product'])) {
 				redirect('dashboard');
 			}
 			$data['title'] = 'View Product';
 			$data['images'] = $this-> Product_model-> get_product_images($product);

 			$this->template->loadAdmin('product/view',$data);
		}

		public function remove_product_image($product,$image){
			$this-> Product_model-> remove_product_image($product,$image);
			redirect($_SERVER['HTTP_REFERER']);
		}

		public function change_product_cover_image($product,$image){
			$this-> Product_model-> change_product_cover_image($product,$image);
			redirect($_SERVER['HTTP_REFERER']);
		}

		public function upload_product_images(){

			$image_data = array('success' => true);
	
			//uploading cover image
			if ( ! empty($_FILES['cover_image']['name'])) {	
                $data = $this-> image_upload('cover_image');
                if ($data['success']) {
                	$image_data['cover_image']['image_name'] = $data['image_name'];
                }else{
                	$image_data['success'] = false;
                }
            }

            //uploading image gallery
            if ( ! empty($_FILES['image_gallery']['name'])) {	
            	$filesCount = count($_FILES['image_gallery']['name']);
	            for($i = 0; $i < $filesCount; $i++){
	                $_FILES['file']['name']     = $_FILES['image_gallery']['name'][$i];
	                $_FILES['file']['type']     = $_FILES['image_gallery']['type'][$i];
	                $_FILES['file']['tmp_name'] = $_FILES['image_gallery']['tmp_name'][$i];
	                $_FILES['file']['error']     = $_FILES['image_gallery']['error'][$i];
	                $_FILES['file']['size']     = $_FILES['image_gallery']['size'][$i];

	                $data = $this-> image_upload('file');
	                if ($data['success']) {
	                	$image_data['image_gallery'][$i]['image_name'] = $data['image_name'];
	                }else{
	                	$image_data['success'] = false;
	                }
	            }    
            }

            return $image_data;
		}

		public function image_upload($field){

            $config['upload_path']          = './assets/images/';
            $config['allowed_types']        = 'gif|jpg|png';
            $config['max_size']             = 2048;
            $config['max_width']            = 2000;
            $config['max_height']           = 2000;
            $config['encrypt_name']			= TRUE;

            $return = array();

            $this->load->library('upload', $config);
            $this-> upload-> initialize($config);		//**put above line in constructor without $config and uncomment this in issue**

            if ( ! $this-> upload-> do_upload($field)){
            	$return['success'] = false;
            	$return['error_msg'] = $this-> upload-> display_errors();
            }else{

                //$data = array('upload_data' => $this-> upload-> data());
                $return['image_name'] = $this-> upload-> data('file_name');
                $return['success'] = true;	
            } 
            return $return;    
        }

	}