 <?php
 	class Reports extends CI_Controller{

    //*************** reports for active franchise ***********************
    
 		public function sales_by_product($filter_by='dispatched_date',$from=0,$to=0){
 		    $this-> permissions-> validate_access();
 		    
 			$data['title'] = 'Sales by product';
 			$data['formMethod'] = 'reports/reports/sales_by_product';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/datatables/sum().js","/sellercenter/assets/adminlte/bower_components/chart.js/Chart.js");

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d");
				$to = date("Y-m-d", strtotime( '+1 days' ) );
			}
			
			if(!($filter_by=='dispatched_date'||$filter_by=='created_date')){
                $filter_by='dispatched_date';
            }
            $data['filter_by'] = $filter_by;

			$data['orders'] = $this-> Report_model-> get_sales_by_product($filter_by,$from,$to);

			$data['from'] = $from; $data['to'] = $to;
 			//loading the page with templates
 			$this->template->loadAdmin('reports/sales_by_product',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				redirect('reports/reports/sales_by_product/'.$filter_by.'/'.$from.'/'.$to);	    
			}
 		}
 		
 		public function delivery_performance($from=0,$to=0,$courier=2){
 		    $this-> permissions-> validate_access();
 		    
 			$data['title'] = 'Delivery Performance';
 			$data['formMethod'] = 'reports/reports/delivery_performance';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/adminlte/bower_components/chart.js/Chart.js");
 			
 			$data['couriers'] = $this-> Shipping_model-> get_couriers();

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d", strtotime( '-30 days' ) );
				$to = date("Y-m-d", strtotime( '+1 days' ) );
			}

			$data['order_composition'] = $this-> Report_model-> get_order_composition_by_courier($from,$to,$courier);
			$data['orders'] = $this-> Report_model-> get_order_composition_by_courier_orders($from,$to,$courier);

			$data['from'] = $from; $data['to'] = $to;$data['courier']=$courier;
 			//loading the page with templates
 			$this->template->loadAdmin('reports/delivery_performance',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				$courier = $this->input->post('courier');
				redirect('reports/reports/delivery_performance/'.$from.'/'.$to.'/'.$courier);	    
			}
 		}

 		public function sales_by_delivery_rate($from=0,$to=0,$delivery_rate=0){
 		    $this-> permissions-> validate_access();
 		    
 			$data['title'] = 'Sales by product';
 			$data['formMethod'] = 'reports/reports/sales_by_delivery_rate';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/datatables/sum().js");

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d", strtotime( '-30 days' ) );
				$to = date("Y-m-d", strtotime( '+1 days' ) );
			}
			if ($delivery_rate==0) {
				$delivery_rate = 70;
			}

			$data['orders'] = $this-> Report_model-> get_sales_by_delivery_rate($from,$to,$delivery_rate);

			$data['from'] = $from; $data['to'] = $to; $data['delivery_rate'] = $delivery_rate;
 			//loading the page with templates
 			$this->template->loadAdmin('reports/sales_by_delivery_rate',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				$delivery_rate = $this->input->post('delivery_rate');
				redirect('reports/reports/sales_by_delivery_rate/'.$from.'/'.$to.'/'.$delivery_rate);
			}
 		}

 		public function issued_orders($day_limit=10){
 		    $this-> permissions-> validate_access();
 		    
 			$data['title'] = 'Issues';
 			$data['formMethod'] = 'reports/reports/issued_orders';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['order_list'] = array();
 			
			$data['orders'] = $this-> Report_model-> get_issued_orders($day_limit);

			$data['day_limit'] = $day_limit; 
 			//loading the page with templates
 			$this->template->loadAdmin('reports/issued_orders',$data);

 			if ($this->input->post('submit')=="submit"){
				$day_limit = $this->input->post('day_limit');
				redirect('reports/reports/issued_orders/'.$day_limit);	    
			}
 		}
 		
 		public function order_count($filter_by='dispatched_date',$from=0,$to=0){
 		    $this-> permissions-> validate_access();
 		    
 			$data['title'] = 'Daily Order Count';
 			$data['formMethod'] = 'reports/reports/order_count';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/datatables/sum().js","/sellercenter/assets/adminlte/bower_components/chart.js/Chart.js");

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d", strtotime( '-30 days' ) );
				$to = date("Y-m-d", strtotime( '+1 days' ) );
			}
        
            if(!($filter_by=='dispatched_date'||$filter_by=='created_date')){
                $filter_by='dispatched_date';
            }
            $data['filter_by'] = $filter_by;
            
            $where = "order_status='in_courier' OR order_status='settled' OR order_status='delivered'";
			$data['orders'] = $this-> Report_model-> get_order_count_by_date($where,$from,$to,$filter_by);

			$data['from'] = $from; $data['to'] = $to;
 			//loading the page with templates
 			$this->template->loadAdmin('reports/order_count',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				redirect('reports/reports/order_count/'.$filter_by.'/'.$from.'/'.$to);	    
			}
 		}
 		
 		public function sales_by_product_datewise($filter_by='dispatched_date',$from=0,$to=0){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Sales by product';
 			$data['formMethod'] = 'reports/reports/sales_by_product_datewise';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/datatables/sum().js");

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d", strtotime( '-7 days' ) );
				$to = date("Y-m-d");
			}
			
			if(!($filter_by=='dispatched_date'||$filter_by=='created_date')){
                $filter_by='dispatched_date';
            }
            $data['filter_by'] = $filter_by;

			$data['orders'] = $this-> Report_model-> get_sales_by_product_datewise($filter_by,$from,$to);

			$data['from'] = $from; $data['to'] = $to;
 			//loading the page with templates
 			$this->template->loadAdmin('reports/sales_by_product_datewise',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				redirect('reports/reports/sales_by_product_datewise/'.$filter_by.'/'.$from.'/'.$to);	    
			}
 		}
 		
 		public function callcenter_performance($from=0,$to=0){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Callcenter Performance';
 			$data['formMethod'] = 'reports/reports/callcenter_performance';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");
 			

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d", strtotime( '-7 days' ) );
				$to = date("Y-m-d", strtotime( '+1 days' ) );
			}

			$data['table_data'] = $this-> Report_model-> get_callcenter_performance($from,$to);

			$data['from'] = $from; $data['to'] = $to;
 			//loading the page with templates
 			$this->template->loadAdmin('reports/callcenter_performance',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				redirect('reports/reports/callcenter_performance/'.$from.'/'.$to);	    
			}
 		}
 		
 		
 	    
 	    //*************** reports for all franchises ***********************	
 		
 		public function order_count_admin($filter_by='dispatched_date',$from=0,$to=0){
 		    $this-> permissions-> validate_access();
 			$data['title'] = 'Daily Order Count';
 			$data['formMethod'] = 'reports/reports/order_count_admin';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/datatables/sum().js","/sellercenter/assets/adminlte/bower_components/chart.js/Chart.js");

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d", strtotime( '-30 days' ) );
				$to = date("Y-m-d", strtotime( '+1 days' ) );
			}
        
            if(!($filter_by=='dispatched_date'||$filter_by=='created_date')){
                $filter_by='dispatched_date';
            }
            $data['filter_by'] = $filter_by;
            
            $where = "order_status='in_courier' OR order_status='settled' OR order_status='delivered'";
			$data['orders'] = $this-> Report_model-> get_order_count_by_date($where,$from,$to,$filter_by,FALSE);

			$data['from'] = $from; $data['to'] = $to;
 			//loading the page with templates
 			$this->template->loadAdmin('reports/order_count',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				redirect('reports/reports/order_count_admin/'.$filter_by.'/'.$from.'/'.$to);	    
			}
 		}
 		
 		public function sales_by_product_datewise_admin($filter_by='dispatched_date',$from=0,$to=0){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Sales by product';
 			$data['formMethod'] = 'reports/reports/sales_by_product_datewise_admin';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/datatables/sum().js");

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d", strtotime( '-7 days' ) );
				$to = date("Y-m-d");
			}
			
			if(!($filter_by=='dispatched_date'||$filter_by=='created_date')){
                $filter_by='dispatched_date';
            }
            $data['filter_by'] = $filter_by;

			$data['orders'] = $this-> Report_model-> get_sales_by_product_datewise($filter_by,$from,$to,FALSE);

			$data['from'] = $from; $data['to'] = $to;
 			//loading the page with templates
 			$this->template->loadAdmin('reports/sales_by_product_datewise',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				redirect('reports/reports/sales_by_product_datewise_admin/'.$filter_by.'/'.$from.'/'.$to);	    
			}
 		}
 		
 		public function product_reorder_levels($filter_by='created_date',$lead_time=5,$from=0,$to=0){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Re Order Levels';
 			$data['formMethod'] = 'reports/reports/product_reorder_levels';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date('Y-m-d',strtotime('last sunday -6 days'));
				$to =  date('Y-m-d',strtotime('last sunday'));
			}
			
			if(!($filter_by=='dispatched_date'||$filter_by=='created_date')){
                $filter_by='created_date';
            }
            if(!(is_numeric($lead_time) && $lead_time>0)){
                $lead_time = 4;
            }
            $data['filter_by'] = $filter_by;  $data['lead_time'] = $lead_time;
            $data['from'] = $from; $data['to'] = $to;

			$data['orders'] = $this-> Report_model-> get_reorder_levels($filter_by,$from,$to,$lead_time);

 			//loading the page with templates
 			$this->template->loadAdmin('reports/product_reorder_levels',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				$lead_time = $this->input->post('lead_time');
				redirect('reports/reports/product_reorder_levels/'.$filter_by.'/'.$lead_time.'/'.$from.'/'.$to);	    
			}
 		}
 		
 		public function districtwise_order_composition($from=0,$to=0,$courier=2){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Delivery Performance';
 			$data['formMethod'] = 'reports/reports/districtwise_order_composition';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js","/sellercenter/assets/adminlte/bower_components/chart.js/Chart.js");
 			
 			$data['couriers'] = $this-> Shipping_model-> get_couriers();

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d", strtotime( '-30 days' ) );
				$to = date("Y-m-d", strtotime( '+1 days' ) );
			}

			$data['order_composition'] = $this-> Report_model-> get_districtwise_order_composition_by_courier($from,$to,$courier);
			//var_dump($data['order_composition']);
			$data['orders'] = $this-> Report_model-> get_order_composition_by_courier_orders($from,$to,$courier);

			$data['from'] = $from; $data['to'] = $to;$data['courier']=$courier;
 			//loading the page with templates
 			$this->template->loadAdmin('reports/districtwise_order_composition',$data);

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				$courier = $this->input->post('courier');
				redirect('reports/reports/districtwise_order_composition/'.$from.'/'.$to.'/'.$courier);	    
			}
 		}
 		
 		public function dispatched_orders($from=0,$to=0){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Dispatched Orders';
 			$data['formMethod'] = 'reports/reports/dispatched_orders';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d");
				$to = date("Y-m-d");
			}
            
            $franchise = $this-> session-> userdata('franchise');
			$data['orders'] = $this-> Order_model-> get_orders("(order.dispatched_date>='".$from."' AND order.dispatched_date<='".$to."' AND order.franchise='".$franchise."') AND (order_status='in_courier' OR order_status='in_courier'='returned' OR order_status='settled' OR order_status='pending_return' OR order_status='delivered')");

			$data['from'] = $from; $data['to'] = $to; 
 			//loading the page with templates
 			$this->template->loadAdmin('reports/dispatched_orders',$data); 
 			

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				redirect('reports/reports/dispatched_orders/'.$from.'/'.$to);	    
			}
 		}
 		
 		public function dispatched_orders_admin($from=0,$to=0){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Dispatched Orders';
 			$data['formMethod'] = 'reports/reports/dispatched_orders_admin';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			//$data['order_list'] = array();
 			if ($from==0 && $to==0) {
				$from = date("Y-m-d");
				$to = date("Y-m-d");
			}
            
			$data['orders'] = $this-> Order_model-> get_orders("(order.dispatched_date>='".$from."' AND order.dispatched_date<='".$to."') AND (order_status='in_courier' OR order_status='returned' OR order_status='settled' OR order_status='pending_return' OR order_status='delivered')");

			$data['from'] = $from; $data['to'] = $to; 
 			//loading the page with templates
 			$this->template->loadAdmin('reports/dispatched_orders',$data); 
 			

 			if ($this->input->post('submit')=="search_date"){
				$from = $this->input->post('from_date');
				$to = $this->input->post('to_date');
				redirect('reports/reports/dispatched_orders_admin/'.$from.'/'.$to);	    
			}
 		}
 		
 	}