<?php
	class Users extends CI_Controller{
	    
	    public function index(){
 			$this-> permissions-> validate_access();
 			$data['title'] = 'Users';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['users'] = $this-> User_model-> get_all_users();

 			$this->template->loadAdmin('user/index',$data);

 		}

		public function login(){

			$this-> form_validation->set_rules('username','UserName','required');
			$this-> form_validation->set_rules('password','Password','required');

			if ($this-> form_validation-> run()=== FALSE) {
				$this-> load-> view('user/login');
			}else{

				//get username
				$username = $this-> input-> post('username');
				//get encrypted password
				$password = $this-> input-> post('password');

				//login user
				$user = $this-> User_model-> login($username,$password);

				if ($user) {
					//create session
					$user_data = array(
						'user_id' => $user['id'],
						'username' => $username,
						'name'=> $user['name'],
						'franchise'=> $user['default_franchise'],
						'user_role'=>$user['user_role'],
						'logged_in' => true
					);
					$this-> session-> set_userdata($user_data);

					//var_dump($user_data);

					//set message
					$this-> session-> set_flashdata('user_loggedin','You are now logged in');
					redirect('dashboard');

				} else {
					$this-> session-> set_flashdata('login_failed','Incorrect Username or Password');
					redirect('users/login');
				}
				
			}	
		}
		
		public function logout(){
			//unset user data
			$this-> session-> unset_userdata('user_id');
			$this-> session-> unset_userdata('username');
			$this-> session-> unset_userdata('name');
			$this-> session-> unset_userdata('franchise');
			$this-> session-> unset_userdata('user_role');
			$this-> session-> unset_userdata('logged_in');

			$this-> session-> set_flashdata('user_loggedout','You are now logged out');
			redirect('users/login');
		}
		
		public function edit($user_id){
			$this-> permissions-> validate_access();
			if ($this-> session-> userdata('user_id')!='1' && $user_id=='1') {
				redirect('dashboard');
			}
			$data['title'] = 'Edit User';
			$data['formMethod'] = 'user/users/edit/'.$user_id;
			$data['user'] = $this-> User_model-> get_user($user_id);
			$data['user_roles'] = $this-> User_model-> get_user_roles();
			$data['assigned_franchises'] = $this-> User_model-> get_assigned_franchises($user_id);
			$data['order_statuses'] = $this-> User_model-> get_order_statuses();
			$data['allowed_order_status'] = $this-> User_model-> get_allowed_order_status($user_id);
			$data['franchises'] = $this-> Franchise_model-> get_all_franchises();
			$data['permissions'] = $this-> User_model-> get_permissions();
			$data['user_permissions'] = $this-> User_model-> get_user_permissions($user_id);
			$data['permissions_role'] = $this->User_model->get_all_role_permissions();

			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/select2/dist/css/select2.min.css");
			$data['add_js'] = array("/sellercenter/assets/adminlte/bower_components/select2/dist/js/select2.full.min.js","/sellercenter/assets/js/disablediv.js");

			$this-> form_validation->set_rules('name','Name','required|trim');
			$this-> form_validation->set_rules('phone_one','Phone 1','regex_match[/^[0-9]{10}$/]');
			$this-> form_validation->set_rules('phone_two','Phone 2','regex_match[/^[0-9]{10}$/]');
			$this-> form_validation->set_rules('email','Email','trim');
			$this-> form_validation->set_rules('address','Address','trim');
			if (isset($_POST['reset_password'])) {
				$this-> form_validation->set_rules('username','Username','required');
				$this-> form_validation->set_rules('password','Password','required');
			}
			    
			if ($this-> form_validation-> run()=== FALSE) {
				$this->template->loadAdmin('user/edit',$data);
			}else{
				$this-> User_model-> update_user($user_id);
				$this-> session-> set_flashdata('user_updated','User updated successfully');
				redirect('user/users/edit/'.$user_id);
			}
			
		}
		
		public function add_new(){
			$this-> permissions-> validate_access();
			$data['title'] = 'Create User';
			$data['formMethod'] = 'user/users/add_new';
			$data['user_roles'] = $this-> User_model-> get_user_roles();
			$data['order_statuses'] = $this-> User_model-> get_order_statuses();
			$data['franchises'] = $this-> Franchise_model-> get_all_franchises();
			$data['permissions'] = $this-> User_model-> get_permissions();
			$data['permissions_role'] = $this->User_model->get_all_role_permissions();

			$data['add_css'] = array("/sellercenter/assets/adminlte/bower_components/select2/dist/css/select2.min.css");
			$data['add_js'] = array("/sellercenter/assets/adminlte/bower_components/select2/dist/js/select2.full.min.js");

			$this-> form_validation->set_rules('name','Name','required|trim');
			$this-> form_validation->set_rules('phone_one','Phone 1','regex_match[/^[0-9]{10}$/]');
			$this-> form_validation->set_rules('phone_two','Phone 2','regex_match[/^[0-9]{10}$/]');
			$this-> form_validation->set_rules('email','Email','trim');
			$this-> form_validation->set_rules('address','Address','trim');
			$this-> form_validation->set_rules('username','Username','required');
			$this-> form_validation->set_rules('password','Password','required');
			
			    
			if ($this-> form_validation-> run()=== FALSE) {
				$this->template->loadAdmin('user/add_new',$data);
			}else{
				$user_id = $this-> User_model-> insert_user();
				$this-> session-> set_flashdata('success','User created successfully');
				redirect('user/users/edit/'.$user_id);
			}
			
		}
		
		function add_user_role(){
			$this-> permissions-> validate_access();
			$data['title'] 			= 'User Profile';
			$data['formMethod'] 	= 'user/users/add_user_role';
			$this-> form_validation->set_rules('user_role','user_role','required|trim');
			$data['permissions'] = $this-> User_model-> get_permissions();

			if ($this-> form_validation-> run() === FALSE) {
				//loading the page with templates
				$this->template->loadAdmin('user/add_user_role',$data);
	
				} else {
				$user_role=$this->User_model->add_user_role();
				if($user_role == true){
					$this-> session-> set_flashdata('success','Added to black list');
				}
				redirect(base_url().'user/users/add_user_role');
			}
		}

		function get_user_role_list(){
			$this-> permissions-> validate_access();
			$data['title'] = 'User Roles';

 			$data['add_css'] = array("/sellercenter/assets/datatables/datatables.css");
 			$data['add_js'] = array("/sellercenter/assets/datatables/datatables.js");

 			$data['user_roles'] = $this-> User_model-> get_all_user_roles();

 			$this->template->loadAdmin('user/user_roles',$data);

		}

		function edit_user_roles($user_role_id){
			$this-> permissions-> validate_access();
			$data['title'] = 'Edit User';
			$data['formMethod'] = 'user/users/edit_user_roles/'.$user_role_id;
			$data['user_role_from_id'] = $this-> User_model-> get_user_role_from_id($user_role_id);
			$data['permissions'] = $this-> User_model-> get_permissions();
			$data['user_permissions'] = $this-> User_model-> get_user_role_permissions($user_role_id);
			$this-> form_validation->set_rules('user_role','user_role','required|trim');

			if ($this-> form_validation-> run()=== FALSE) {
				$this->template->loadAdmin('user/edit_user_role',$data);
			}else{
				$update_user_role = $this-> User_model-> update_user_role($user_role_id);
				if($update_user_role == true){
					$this-> session-> set_flashdata('user_role_updated','User Role updated successfully');
				}
				redirect('user/users/edit_user_roles/'.$user_role_id);
			}
		}

	}	