<?php if(!defined('BASEPATH')) exit('Tidak boleh ngakses langsung mas bro !');

class Template {
	
	var $template_data = array();
	
	public function __construct(){
		$this->ci = & get_instance();
		$this->ci->load->model('franchise/Franchise_model');
		$this->ci->load->model('order/Shipping_model');
		$this->ci->load->library('session');
		date_default_timezone_set('Asia/Colombo');			
	}	
	
	public function set($name, $value){
		$this->template_data[$name] = $value;
	}
	
	public function loadAdmin($viewname = '', $view_data = array(), $return =FALSE){
		//loading users franchises
		$this->set('franchises', $this->ci->Franchise_model-> get_users_franchises($this->ci->session-> userdata('user_id')));

		//loading couriers
		$this->set('couriers', $this->ci->Shipping_model-> get_couriers());

		//checking for additional css and load css
		if (array_key_exists('add_css', $view_data)) {
			$this->load_css($view_data['add_css']);
		}else{
			$this->load_css();
		}
		//checking for additional javascript and load js
		if (array_key_exists('add_js', $view_data)) {
			$this->load_js($view_data['add_js']);
		}else{
			$this->load_js();
		}
		$this->set('contents',$this->ci->load->view($viewname, $view_data, TRUE));
		$this->ci->load->view('template/admintemplate',$this->template_data, $return);
	}

//*********************functions for loading css**************************************
	public function load_css($css = FALSE){
		if ($css) {
			$this->set('css',$this-> add_css($css));
		}else{
			$this->set('css',$this-> get_common_css());
		}
	}

	public function get_common_css(){
		$css = array(
				"/sellercenter/assets/adminlte/bower_components/bootstrap/dist/css/bootstrap.min.css",
				"/sellercenter/assets/adminlte/bower_components/font-awesome/css/font-awesome.min.css", //Font Awesome
				"/sellercenter/assets/adminlte/bower_components/Ionicons/css/ionicons.min.css", //Ionicons
				"/sellercenter/assets/adminlte/dist/css/AdminLTE.min.css", //Theme style
				"/sellercenter/assets/adminlte/dist/css/skins/skin-green.min.css", //AdminLTE Skins. Choose a skin from the css/skins folder instead of downloading all of them to reduce the load
				"/sellercenter/assets/css/sweetalert2.min.css"
			);
		return $css;
	}

	public function add_css($add_css){
		$common_css = $this-> get_common_css();
		$css = array_merge($common_css, $add_css); 
		return $css;
	}
//*********************end of functions for loading css*******************************


//*********************functions for loading javascript**************************************
	public function load_js($js = FALSE){
		if ($js) {
			$this->set('js',$this-> add_js($js));
		}else{
			$this->set('js',$this-> get_common_js());
		}
	}

	public function get_common_js(){
		$js = array(
				"/sellercenter/assets/adminlte/bower_components/jquery/dist/jquery.min.js",
				"/sellercenter/assets/adminlte/bower_components/bootstrap/dist/js/bootstrap.min.js",//Bootstrap 3.3.7
				"/sellercenter/assets/adminlte/bower_components/fastclick/lib/fastclick.js",//FastClick
				"/sellercenter/assets/adminlte/dist/js/adminlte.min.js",//AdminLTE App
				"/sellercenter/assets/adminlte/dist/js/demo.js", //AdminLTE for demo purposes
				"/sellercenter/assets/js/sweetalert2.min.js"
			);
		return $js;
	}

	public function add_js($add_js){
		$common_js = $this-> get_common_js();
		$js = array_merge($common_js, $add_js); 
		return $js;
	}
//*********************end of functions for loading css*******************************
	
}