<?php
	class Order_batch_model extends CI_Model{

		public function __construct(){
			$this-> load-> database(); 
		}

		
//*****************inserting and updating methods*************************


		public function insert_packing_batch($courier,$user_id){

			$this->db->trans_start();

			$batch_code = $this-> generate_batch_search_code('packing_batch');

			$data = array(
				'search_code' => $batch_code,
				'courier'=> $courier,
				'created_by'=> $user_id			
			);

			$this-> db-> insert('packing_batch',$data);
			$summary = $this-> insert_packing_batch_item($user_id,$batch_code,$courier);
			
			$this-> db-> where('search_code',$batch_code);
			$this-> db-> update('packing_batch',$summary);

			$this-> update_batch_search_code('packing_batch');
			$last_row = (int)$this-> input-> post('RowCount')-1;
			$this-> update_last_waybill($this-> input-> post('WAYBILL_NO_'.$last_row),$courier);

			$this->db->trans_complete();

			return $batch_code;
		}

		public function insert_packing_batch_item($user_id,$batch_code,$courier){
			$i=0;
			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 

				if (!(is_null($this-> input-> post('WAYBILL_NO_'.$i)) && is_null($this-> input-> post('INTERNAL_REF_'.$i)))) {
					
					//data for packing_batch_items table
					$batch_data = array(
						'packing_batch'=> $batch_code,
						'order'=> $this-> Order_model-> get_order_field_by_search_code($this-> input-> post('INTERNAL_REF_'.$i),'id')	
					);
					$this-> db-> insert('packing_batch_items',$batch_data);
					$this-> Inventory_model-> reserve_stock_by_order($batch_data['order']);

					//data for order_items table
					$order_data = array(
						'order_status'=> 'in_packing',
						'courier_reference'=> $this-> input-> post('WAYBILL_NO_'.$i),
						'courier'=> $courier,
						'last_modified'=> date("Y-m-d")
					);

					$this-> db-> where('search_code',$this-> input-> post('INTERNAL_REF_'.$i));
					$this-> db-> update('order',$order_data);
					
					//updating order modification history
			        $this-> Order_model-> update_order_modification_history($batch_data['order'],$user_id,'Packing batch created (<a href="'.base_url('admin/order_batch/view_packing_batch/'.$batch_code).'" target="_blank">'.$batch_code.'</a>)');
					
				}
			}
			$summary = array('item_count'=>$i);
			return $summary;
		}

		public function insert_internal_packing_batch($courier){

			$this->db->trans_start();

			$batch_code = $this-> generate_batch_search_code('packing_batch');

			$data = array(
				'search_code' => $batch_code,
				'courier'=> $courier->id,
				'created_by'=> $this-> session-> userdata('user_id')			
			);

			$this-> db-> insert('packing_batch',$data);
			$summary = $this-> insert_internal_packing_batch_item($batch_code,$courier);
			
			$this-> db-> where('search_code',$batch_code);
			$this-> db-> update('packing_batch',$summary);

			$this-> update_batch_search_code('packing_batch');

			$this->db->trans_complete();

			return $batch_code;
		}

		public function insert_internal_packing_batch_item($batch_code,$courier){
			$item_count=0;
			$user_id = $this-> session-> userdata('user_id');
			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 

				if (isset($_POST['select_row_'.$i]) && !is_null($this-> input-> post('Search_Code_'.$i))) {
					
					//data for packing_batch_items table
					$batch_data = array(
						'packing_batch'=> $batch_code,
						'order'=> $this-> Order_model-> get_order_field_by_search_code($this-> input-> post('Search_Code_'.$i),'id')	
					);
					$this-> db-> insert('packing_batch_items',$batch_data);
					$this-> Inventory_model-> reserve_stock_by_order($batch_data['order']);

					//data for order_items table
					$order_data = array(
						'order_status'=> 'in_packing',
						'last_modified'=> date("Y-m-d"),
						'courier_reference'=> $courier->waybill_prefix.($courier->last_waybill+1),
						'courier'=> $courier->id			
					);
					$courier->last_waybill++;

					$this-> db-> where('search_code',$this-> input-> post('Search_Code_'.$i));
					$this-> db-> update('order',$order_data);
					$item_count++;
					$this-> update_last_waybill($courier->waybill_prefix.($courier->last_waybill),$courier->id);
					//updating order modification history
			        $this-> Order_model-> update_order_modification_history($batch_data['order'],$user_id,'Packing batch created (<a href="'.base_url('admin/order_batch/view_packing_batch/'.$batch_code).'" target="_blank">'.$batch_code.'</a>)');
				}
			}
			$summary = array('item_count'=>$item_count);
			return $summary;
		}

		public function insert_return_batch($courier,$user_id){

			$this->db->trans_start();

			$batch_code = $this-> generate_batch_search_code('return_batch');

			$data = array(
				'search_code' => $batch_code,
				'courier'=> $courier,
				'created_by'=> $user_id			
			);

			$this-> db-> insert('return_batch',$data);
			$summary = $this-> insert_return_batch_item($user_id,$batch_code);
			
			$this-> db-> where('search_code',$batch_code);
			$this-> db-> update('return_batch',$summary);

			$this-> update_batch_search_code('return_batch');

			$this->db->trans_complete();

			return $batch_code;
		}

		public function insert_return_batch_item($user_id,$batch_code){
			$item_count=0; 
			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 

				if (!(is_null($this-> input-> post('courier_reference_'.$i)))) {
					
					//data for packing_batch_items table
					$batch_data = array(
						'return_batch'=> $batch_code,
						'order'=> $this-> Order_model-> get_order_field_by_key($this-> input-> post('courier_reference_'.$i),'courier_reference','id')	
					);
					$this-> db-> insert('return_batch_items',$batch_data);

					//data for order_items table
					$order_data = array(
						'order_status'=> 'returned'			
					);

					$this-> db-> where('id',$batch_data['order']);
					$this-> db-> update('order',$order_data); 

					$this-> Inventory_model-> returned_stock_by_order($batch_data['order']);
					$item_count++;
					
					//updating order modification history
			        $this-> Order_model-> update_order_modification_history($batch_data['order'],$user_id,'Return batch created (<a href="'.base_url('admin/order_batch/view_return_batch/'.$batch_code).'" target="_blank">'.$batch_code.'</a>)');
				}
			}
			$summary = array('item_count'=>$item_count);
			return $summary;
		}

		public function insert_settlement_batch($courier,$user_id){

			$this->db->trans_start();

			$batch_code = $this-> generate_batch_search_code('settlement_batch');

			$data = array(
				'search_code' => $batch_code,
				'courier'=> $courier,
				'created_by'=> $user_id			
			);

			$this-> db-> insert('settlement_batch',$data);
			$summary = $this-> insert_settlement_batch_item($user_id,$batch_code);
			
			$this-> db-> where('search_code',$batch_code);
			$this-> db-> update('settlement_batch',$summary);

			$this-> update_batch_search_code('settlement_batch');

			$this->db->trans_complete();

			return $batch_code;
		}

		public function insert_settlement_batch_item($user_id,$batch_code){
			$i=0; $total_amount = 0;

			$cod_array = $this-> input-> post('cod_recieved');
			$waybills = $this-> input-> post('courier_ref');

			foreach ($waybills as $key => $waybill) {
				if (!(is_null($cod_array[$key]) && is_null($waybill))) {
				    //getting order info for fardar update
				    $this-> db-> select('id,courier,order_status,grand_total,total_commision');
				    $query = $this-> db-> get_where('order', array('courier_reference'=> $waybill));
			        $order = $query->row_array();
					
					//data for packing_batch_items table
					$batch_data = array(
						'settlement_batch'=> $batch_code,
						'order'=> $order['id']
					);
					$this-> db-> insert('settlement_batch_items',$batch_data);
					
					//data for order_items table
					$cod_recieved = (double)$cod_array[$key];
					
					$order_data = array(
						'cod_recieved' => $cod_recieved			
					);
					if ($cod_recieved>=0 && $order['order_status']!='returned') {
						$order_data['order_status'] = 'settled';
					}

					//fardar update
					if($order['courier']=='7' && $order['order_status']=='settled' && $cod_recieved<0){
					    $order_data['order_status'] = 'in_courier';
					    //$order_data['service_charge'] = '0';
					    //$order_data['cod_recieved'] = $cod_recieved+$order['total_commision'];
					}
					
					$this-> db-> where('id',$batch_data['order']);
					$this-> db-> update('order',$order_data);
					$total_amount += $order_data['cod_recieved'];
					
					//updating order modification history
			        $this-> Order_model-> update_order_modification_history($batch_data['order'],$user_id,'Settlement batch created (<a href="'.base_url('admin/order_batch/view_settlement_batch/'.$batch_code).'" target="_blank">'.$batch_code.'</a>)');
				}
			}
			
			$summary = array('item_count'=>count($waybills), 'total_amount'=>$total_amount);
			return $summary;
		}

		public function insert_internal_settlement_batch($courier){

			$this->db->trans_start();

			$batch_code = $this-> generate_batch_search_code('settlement_batch');

			$data = array(
				'search_code' => $batch_code,
				'courier'=> $courier,
				'created_by'=> $this-> session-> userdata('user_id')			
			);

			$this-> db-> insert('settlement_batch',$data);
			$summary = $this-> insert_internal_settlement_batch_item($batch_code);
			
			$this-> db-> where('search_code',$batch_code);
			$this-> db-> update('settlement_batch',$summary);

			$this-> update_batch_search_code('settlement_batch');

			$this->db->trans_complete();

			return $batch_code;
		}

		public function insert_internal_settlement_batch_item($batch_code){
			$item_count=0; $total_amount = 0;
			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 

				if (isset($_POST['select_row_'.$i]) && !(is_null($this-> input-> post('received_cod_'.$i)) && is_null($this-> input-> post('courier_ref_'.$i)))) {
					
					//data for packing_batch_items table
					$batch_data = array(
						'settlement_batch'=> $batch_code,
						'order'=> $this-> Order_model-> get_order_field_by_key($this-> input-> post('courier_ref_'.$i),'courier_reference','id')	
					);
					$this-> db-> insert('settlement_batch_items',$batch_data);

					//data for order_items table
					$order_data = array(
						'order_status'=> 'settled',
						'cod_recieved'=> (double)$this-> input-> post('received_cod_'.$i)			
					);

					$this-> db-> where('id',$batch_data['order']);
					$this-> db-> update('order',$order_data);
					$total_amount += $this-> input-> post('received_cod_'.$i); 
					$item_count++;
				}
			}
			$summary = array('item_count'=>$item_count, 'total_amount'=>$total_amount);
			return $summary;
		}

		public function update_dispatched_orders($user_id,$dispatched_date){
			$i=0; 
			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 

				if (!(is_null($this-> input-> post('courier_reference_'.$i)))) {
					
					$order_data = array(
						'order_status'=> 'in_courier',
						'dispatched_date'=> $dispatched_date		
					);

					$order_id = $this-> Order_model-> get_order_field_by_key($this-> input-> post('courier_reference_'.$i),'courier_reference','id');

					$this-> db-> where('id',$order_id);
					$this-> db-> update('order',$order_data);

					$this-> Inventory_model-> dispatch_stock_by_order($order_id); 
					
					//updating order modification history
			        $this-> Order_model-> update_order_modification_history($order_id,$user_id,'Order dispatched.');
				}
			}
		}

		public function update_pending_returns($user_id){
			$i=0; 
			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 

				if (!(is_null($this-> input-> post('courier_reference_'.$i)))) {
					
					$order_data = array(
						'order_status'=> 'pending_return'			
					);

					$order_id = $this-> Order_model-> get_order_field_by_key($this-> input-> post('courier_reference_'.$i),'courier_reference','id');

					$this-> db-> where('id',$order_id);
					$this-> db-> update('order',$order_data);
					
					//updating order modification history
			        $this-> Order_model-> update_order_modification_history($order_id,$user_id,'Changed order status to pending_return');
 
				}
			}
		}
		
		public function update_delivered_orders($user_id){
			$i=0; 
			for ($i=0; $i < $this-> input-> post('RowCount'); $i++) { 

				if (!(is_null($this-> input-> post('courier_reference_'.$i)))) {
					
					$order_data = array(
						'order_status'=> 'delivered'			
					);

					$order_id = $this-> Order_model-> get_order_field_by_key($this-> input-> post('courier_reference_'.$i),'courier_reference','id');

					$this-> db-> where('id',$order_id);
					$this-> db-> update('order',$order_data);
					
					//updating order modification history
			        $this-> Order_model-> update_order_modification_history($order_id,$user_id,'Changed order status to delivered');
 
				}
			}
		}

		public function update_batch_search_code($table){
			$query = $this-> db-> get_where('admin_search_code_sequence',array('table'=> $table));
			$last_id = $query-> row()-> last_id + 1;
			$data = array(
				'last_id' => $last_id			
			);
			$this-> db-> where('table',$table);
			$this-> db-> update('admin_search_code_sequence',$data);
		}
		
		public function update_last_waybill($waybill,$courier){
		    $this-> db-> select('waybill_prefix,last_waybill');
		    $query = $this-> db-> get_where('courier',array('courier.id'=> $courier));
			
			$prefix_length = strlen($query-> row()-> waybill_prefix);
			$last_id = substr($waybill,$prefix_length);
			$data = array(
				'last_waybill' => (int)$last_id			
			);
			$this-> db-> where('id',$courier);
			$this-> db-> update('courier',$data);
		}
		
		public function insert_franchise_settlement($settlement_batch_array,$user_id){
			
			$franchise_array = $this-> Franchise_model-> get_all_sub_franchises();

			$this->db->trans_start();

			foreach ($franchise_array as $key => $franchise) {
				$orders = $this-> get_franchise_settlement_orders($franchise['id'],$settlement_batch_array);
				if (!empty($orders)) {
					$batch_code = $this-> generate_batch_search_code('franchise_settlement');
					$data = array(
						'search_code'=> $batch_code,
						'created_by'=> $user_id,
						'payment_status'=> 'pending_payment',
						'franchise'=> $franchise['id']		
					);
					$this-> db-> insert('franchise_settlement',$data);	

					$summary = $this-> insert_franchise_settlement_item($batch_code,$orders,$user_id);
					$this-> db-> where('search_code',$batch_code);
					$this-> db-> update('franchise_settlement',$summary);
					$this-> update_batch_search_code('franchise_settlement');
				}
			}

			$this->db->trans_complete();
		}

		public function get_overall_settlement($settlement_batch_array,$user_id){	
			$this-> db-> select('order.search_code,order.private_reference,order.resipient,order.address,city.city as city,order.phone_one,order.phone_two,order.item_description,order.grand_total,order.cod_recieved,order.total_commision,order.service_charge,order.order_status,courier.name as courier,user.name as user');
			$this-> db-> join('order','settlement_batch_items.order = order.id');
			$this-> db-> join('courier','order.courier = courier.id');
			$this-> db-> join('user','order.created_by = user.id');
			$this-> db-> join('city','order.city = city.id');
			$this-> db-> where('order.created_by',$user_id);
			$this->db->where_in('settlement_batch_items.settlement_batch', $settlement_batch_array);
			$this->db->order_by('order.created_date', 'ASC');
			$query = $this-> db-> get('settlement_batch_items');
			return $query-> result_array();
		}
		
		public function update_franchise_settlements_as_paid($settlement_batch_array,$user_id){
			$this->db->trans_start();
                foreach($settlement_batch_array as $key=> $item){
                    $data = array(
						'payment_status'=> 'paid'
					);
					$this-> db-> where('search_code',$item);
			        $this-> db-> update('franchise_settlement',$data);
                }
			$this->db->trans_complete();
		}

		public function insert_franchise_settlement_item($batch_code,$orders_array,$user_id){

			$item_count =0; $total_cod = 0; $total_commision = 0; $total_service_charge=0; $total_amount = 0;
			foreach ($orders_array as $key => $order) {
			    $commision = $order['total_commision'];
			    /*if($order['order_status']!="settled"){
				    $order['total_commision']=0;
				}*/
				if($order['cod_recieved']<=0){
				    $commision=0;
				}
				if($order['courier']==7 && $order['cod_recieved']<=0){
				    $is_settled = $this-> is_settlement_created_before($order['id']);
				    if($is_settled){
				        $commision = (-1)*$order['total_commision'];
				        $order['service_charge'] = 0;
				    }
				}
				$data = array(
					'franchise_settlement'=> $batch_code,
					'order'=> $order['id'],
					'cod_recieved'=> $order['cod_recieved'],
					'total_commision'=> $commision,
					'service_charge'=> $order['service_charge'],
					'amount_paid'=> $order['cod_recieved']-$commision-$order['service_charge']
				);	
				$this-> db-> insert('franchise_settlement_item',$data);
				$item_count++;
				$total_cod += $order['cod_recieved'];
				$total_commision += $commision;
				$total_service_charge += $order['service_charge'];
				
				//updating order modification history
			    $this-> Order_model-> update_order_modification_history($order['id'],$user_id,'Franchise settlement created (<a href="'.base_url('admin/order_batch/view_franchise_settlement/'.$batch_code).'" target="_blank">'.$batch_code.'</a>)');
			}
			$total_amount = $total_cod - $total_commision - $total_service_charge;	
			
			$summary = array(
				'item_count'=>$item_count, 
				'total_cod_received'=>$total_cod, 
				'total_commision'=>$total_commision,
				'total_service_charge'=>$total_service_charge,
				'total_amount'=>$total_amount
			);
			return $summary;
		}

		public function get_franchise_settlement_orders($franchise_id,$settlement_batch_array){
			$this-> db-> select('settlement_batch_items.order as id,order.cod_recieved,order.total_commision,order.service_charge,order.order_status,order.franchise_settled,order.courier');
			$this-> db-> join('order','settlement_batch_items.order = order.id');
			$this-> db-> where('order.franchise',$franchise_id);
			$this->db->where_in('settlement_batch_items.settlement_batch', $settlement_batch_array);
			$this->db->order_by('order.created_date', 'ASC');
			$query = $this-> db-> get('settlement_batch_items');
			return $query-> result_array();
		}





//*****************selecting methods**************************************	

		public function get_packing_batch($batch_code = FALSE){
			$this-> db-> select('packing_batch.search_code,packing_batch.created_date,courier.name as courier,packing_batch.item_count,user.name as created_by');
			$this-> db-> join('user','packing_batch.created_by = user.id');
			$this-> db-> join('courier','packing_batch.courier = courier.id');
			if ($batch_code) {
				$query = $this-> db-> get_where('packing_batch',array('search_code'=> $batch_code));
				return $query-> row_array();
			}else{
			    if($this-> session-> userdata('user_id')==53){
			        $this->db->where('packing_batch.created_by','53');
			    }
				$this->db->order_by('packing_batch.created_date', 'DESC');
				$query = $this-> db-> get('packing_batch');
				return $query-> result_array();
			}
		}

		public function get_return_batch($batch_code = FALSE){
			$this-> db-> select('return_batch.search_code,return_batch.created_date,courier.name as courier,return_batch.item_count,user.name as created_by');
			$this-> db-> join('user','return_batch.created_by = user.id');
			$this-> db-> join('courier','return_batch.courier = courier.id');
			if ($batch_code) {
				$query = $this-> db-> get_where('return_batch',array('search_code'=> $batch_code));
				return $query-> row_array();
			}else{
				$this->db->order_by('return_batch.created_date', 'DESC');
				$query = $this-> db-> get('return_batch');
				return $query-> result_array();
			}
			
		}

		public function get_return_batch_items($batch_code){
			$this-> db-> select('order.search_code,order.resipient,order.address,city.city,order.item_description,order.courier_reference,image.image_name,image.image_alt,order.grand_total,order.phone_one,order.phone_two,order.order_status,franchise.name as franchise');
			$this-> db-> join('order','return_batch_items.order = order.id');
			$this-> db-> join('franchise','order.franchise = franchise.id');
			$this-> db-> join('image','franchise.logo = image.id','left');
			$this-> db-> join('city','order.city = city.id');
			$query = $this-> db-> get_where('return_batch_items',array('return_batch_items.return_batch'=> $batch_code));
			return $query-> result_array();
		}
		
		public function get_return_batch_products($batch_code){
		   	$query_str = "SELECT `product`.`title` AS product,SUM(`order_items`.`quantity`) AS quantity FROM `return_batch_items` JOIN `order` ON `return_batch_items`.`order` = `order`.`id` JOIN `order_items` ON `order`.`id` = `order_items`.`order` JOIN `product` ON `order_items`.`product` = `product`.`id` WHERE `return_batch_items`.`return_batch` = '".$batch_code."' GROUP BY `order_items`.`product`";
		   	$query = $this->db->query($query_str);
			return $query-> result_array();
		}

		public function get_packing_batch_items($batch_code){
			$this-> db-> select('order.id,order.search_code,order.resipient,order.address,city.city,order.item_description,order.courier_reference,order.delivery_notes,image.image_name,image.image_alt,order.grand_total,order.phone_one,order.phone_two,order.order_status,franchise.id as franchise_id,franchise.name as franchise,franchise.phone_one as franchise_phone,franchise.phone_two as franchise_phone_two,franchise.address as franchise_address,order.total_weight,order.payment_type,order.franchise_shipping_cost,order.is_urgent,courier.name as courier_name');
			$this-> db-> join('order','packing_batch_items.order = order.id');
			$this-> db-> join('franchise','order.franchise = franchise.id');
			$this-> db-> join('courier','order.courier = courier.id');
			$this-> db-> join('image','franchise.logo = image.id','left');
			$this-> db-> join('city','order.city = city.id');
			$this->db->order_by('order.franchise', 'ASC');
			$this->db->order_by('order.item_description', 'ASC');
			$this->db->order_by('order.id', 'ASC');
			$query = $this-> db-> get_where('packing_batch_items',array('packing_batch_items.packing_batch'=> $batch_code));
			return $query-> result_array();
		}
		
		public function get_packing_batch_products($batch_code){
		   	$query_str = "SELECT `product`.`title` AS product,SUM(`order_items`.`quantity`) AS quantity FROM `packing_batch_items` JOIN `order` ON `packing_batch_items`.`order` = `order`.`id` JOIN `order_items` ON `order`.`id` = `order_items`.`order` JOIN `product` ON `order_items`.`product` = `product`.`id` WHERE `packing_batch_items`.`packing_batch` = '".$batch_code."' GROUP BY `order_items`.`product`";
		   	$query = $this->db->query($query_str);
			return $query-> result_array();
		}

		public function get_settlement_batch($batch_code = FALSE){
			$this-> db-> select('settlement_batch.search_code,settlement_batch.created_date,courier.name as courier,settlement_batch.item_count,settlement_batch.total_amount,user.name as created_by');
			$this-> db-> join('user','settlement_batch.created_by = user.id');
			$this-> db-> join('courier','settlement_batch.courier = courier.id');
			if ($batch_code) {
				$query = $this-> db-> get_where('settlement_batch',array('search_code'=> $batch_code));
				return $query-> row_array();
			}else{
				$this->db->order_by('settlement_batch.created_date', 'DESC');
				$query = $this-> db-> get('settlement_batch');
				return $query-> result_array();
			}
			
		}

		public function get_settlement_batch_items($batch_code){
			$this-> db-> select('order.search_code,order.resipient,order.address,city.city,order.item_description,order.courier_reference,order.grand_total,order.cod_recieved,order.phone_one,order.phone_two,order.order_status,franchise.name as franchise,order.return_informed,user.name as created_by');
			$this-> db-> join('order','settlement_batch_items.order = order.id');
			$this-> db-> join('franchise','order.franchise = franchise.id');
			$this-> db-> join('city','order.city = city.id');
			$this-> db-> join('user','order.created_by = user.id');
			$query = $this-> db-> get_where('settlement_batch_items',array('settlement_batch_items.settlement_batch'=> $batch_code));
			return $query-> result_array();
		}
		
		public function get_settlement_batch_products($batch_code){
		   	$query_str = "SELECT `product`.`title` AS product,SUM(`order_items`.`quantity`) AS quantity FROM `settlement_batch_items` JOIN `order` ON `settlement_batch_items`.`order` = `order`.`id` JOIN `order_items` ON `order`.`id` = `order_items`.`order` JOIN `product` ON `order_items`.`product` = `product`.`id` WHERE `settlement_batch_items`.`settlement_batch` = '".$batch_code."' GROUP BY `order_items`.`product`";
		   	$query = $this->db->query($query_str);
			return $query-> result_array();
		}


		public function generate_batch_search_code($table){
			$query = $this-> db-> get_where('admin_search_code_sequence',array('table'=> $table));
			$result= $query-> row();
			$search_code = $result-> prefix."-".($result-> last_id + 1); 
			return $search_code;
		}
		
		public function get_franchise_settlement($show_all_franchises = FALSE, $batch_code = FALSE){
			$this-> db-> select('franchise_settlement.search_code,franchise_settlement.created_on,franchise_settlement.item_count,franchise_settlement.total_cod_received,franchise_settlement.total_commision,franchise_settlement.total_service_charge,franchise_settlement.total_amount,user.name as created_by,franchise_settlement.payment_status,franchise.name as franchise,franchise.id as franchise_id,franchise.bank_account_number,franchise.bank_account_name,franchise.bank,franchise.bank_account_branch');
			$this-> db-> join('user','franchise_settlement.created_by = user.id');
			$this-> db-> join('franchise','franchise_settlement.franchise = franchise.id');
			$this-> db-> where('franchise_settlement.payment_status<>','cancelled');
			if (!($show_all_franchises || $batch_code)) {
				$this-> db-> where('franchise_settlement.franchise',$this-> session-> userdata('franchise'));
			}
			if ($batch_code) {
				$query = $this-> db-> get_where('franchise_settlement',array('search_code'=> $batch_code));
				return $query-> row_array();
			}else{
				$this->db->order_by('franchise_settlement.created_on', 'DESC');
				$query = $this-> db-> get('franchise_settlement');
				return $query-> result_array();
			}
		}

		/*public function get_franchise_settlement_items($batch_code){
			$this-> db-> select('order.search_code,user.name as created_by,order.private_reference,order.resipient,order.address,city.city,order.item_description,order.courier_reference,image.image_name,image.image_alt,order.grand_total,order.phone_one,order.phone_two,order.order_status,franchise.name as franchise,order.total_weight,order.total_commision,order.service_charge,order.cod_recieved');
			$this-> db-> join('order','franchise_settlement_item.order = order.id');
			$this-> db-> join('user','order.created_by = user.id');
			$this-> db-> join('franchise','order.franchise = franchise.id');
			$this-> db-> join('image','franchise.logo = image.id','left');
			$this-> db-> join('city','order.city = city.id');
			$this->db->order_by('order.search_code', 'ASC');
			$query = $this-> db-> get_where('franchise_settlement_item',array('franchise_settlement_item.franchise_settlement'=> $batch_code));
			$result = $query-> result_array();

			foreach ($result as $key => $value) {
			    if($result[$key]['order_status']!='settled'){
			        $result[$key]['total_commision'] = 0;
			    }
				$result[$key]['franchise_payment'] = $result[$key]['cod_recieved'] - $result[$key]['total_commision'] - $result[$key]['service_charge'];
			}
			return $result;
		}*/
		
		public function get_franchise_settlement_items($batch_code){
			$this-> db-> select('order.search_code,user.name as created_by,order.private_reference,order.resipient,order.address,city.city,order.item_description,order.courier_reference,image.image_name,image.image_alt,order.grand_total,order.phone_one,order.phone_two,order.order_status,franchise.name as franchise,order.total_weight,franchise_settlement_item.total_commision,franchise_settlement_item.service_charge,franchise_settlement_item.cod_recieved,franchise_settlement_item.amount_paid as franchise_payment');
			$this-> db-> join('order','franchise_settlement_item.order = order.id');
			$this-> db-> join('user','order.created_by = user.id');
			$this-> db-> join('franchise','order.franchise = franchise.id');
			$this-> db-> join('image','franchise.logo = image.id','left');
			$this-> db-> join('city','order.city = city.id');
			$this->db->order_by('order.search_code', 'ASC');
			if($this-> session-> userdata('user_id')=='56' || $this-> session-> userdata('user_id')=='59'){
			    $this->db->where('order.created_by', $this-> session-> userdata('user_id'));
			}
			$query = $this-> db-> get_where('franchise_settlement_item',array('franchise_settlement_item.franchise_settlement'=> $batch_code));
			return $query-> result_array();
		}

		public function get_franchise_settlement_products($batch_code){
		    if($this-> session-> userdata('user_id')=='56' || $this-> session-> userdata('user_id')=='59'){
			    $query_str = "SELECT `product`.`title` AS product, SUM(`order_items`.`quantity`) AS quantity, IFNULL(SUM(CASE WHEN `order`.`order_status`='settled' THEN `order_items`.`quantity` END),0) AS settled_qty, IFNULL(SUM(CASE WHEN `order`.`order_status`<>'settled' THEN `order_items`.`quantity` END),0) AS returned_qty FROM `franchise_settlement_item` JOIN `order` ON `franchise_settlement_item`.`order` = `order`.`id` JOIN `order_items` ON `order`.`id` = `order_items`.`order` JOIN `product` ON `order_items`.`product` = `product`.`id` WHERE `franchise_settlement_item`.`franchise_settlement` = '".$batch_code."' AND `order`.`created_by`='".$this-> session-> userdata('user_id')."' GROUP BY `order_items`.`product` ORDER BY `order_items`.`product`";
			}else{
		   	    $query_str = "SELECT `product`.`title` AS product, SUM(`order_items`.`quantity`) AS quantity, IFNULL(SUM(CASE WHEN `order`.`order_status`='settled' THEN `order_items`.`quantity` END),0) AS settled_qty, IFNULL(SUM(CASE WHEN `order`.`order_status`<>'settled' THEN `order_items`.`quantity` END),0) AS returned_qty FROM `franchise_settlement_item` JOIN `order` ON `franchise_settlement_item`.`order` = `order`.`id` JOIN `order_items` ON `order`.`id` = `order_items`.`order` JOIN `product` ON `order_items`.`product` = `product`.`id` WHERE `franchise_settlement_item`.`franchise_settlement` = '".$batch_code."' GROUP BY `order_items`.`product` ORDER BY `order_items`.`product`";
			}
		   	$query = $this->db->query($query_str);
			return $query-> result_array();
		}
		
		private function is_settlement_created_before($order_id){
		    $query = $this-> db-> get_where('franchise_settlement_item',array('order'=> $order_id));
		    if ($query-> num_rows()>=1) {
		        return true;
		    }else{
		        return false;
		    }
		} 

	}	