<?php
	class Shipping_model extends CI_Model{

		public function __construct(){
			$this-> load-> database(); 
		}

//*****************inserting and updating methods*************************


		public function insert_courier(){

			$this->db->trans_start();
			$data = array(
				'name' 					=> $this-> input-> post('name'),
				'label' 				=> $this-> input-> post('label'),
				'label_colour' 			=> $this-> input-> post('label_colour'),
				'phone_one' 			=> $this-> input-> post('phone_one'),
				'phone_two' 			=> $this-> input-> post('phone_two'),
				'email' 				=> $this-> input-> post('email'),
				'tracking_url' 			=> $this-> input-> post('tracking_url'),
				'waybill_prefix' 		=> $this-> input-> post('waybill_prefix'),
				'last_waybill' 			=> $this-> input-> post('last_waybill'),
				'stop_waybill' 			=> $this-> input-> post('stop_waybill'),
				'get_order_criteria'	=> $this-> input-> post('get_order_criteria'),
				'get_order_criteria_2' 	=> $this-> input-> post('get_order_criteria_2'),
				'active'				=> isset($_POST['active']),
			);

			//insert courier
			$inserted = $this-> db-> insert('courier',$data);
			$courier = $this->db->insert_id();
			
			$this->db->trans_complete();
			return $courier;
		}

		public function update_courier($courier,$add_order_criteria=FALSE){

			$this->db->trans_start();
				$data = array(
					'name' 					=> $this-> input-> post('name'),
					'label' 				=> $this-> input-> post('label'),
					'label_colour' 			=> $this-> input-> post('label_colour'),
					'phone_one' 			=> $this-> input-> post('phone_one'),
					'phone_two' 			=> $this-> input-> post('phone_two'),
					'email' 				=> $this-> input-> post('email'),
					'tracking_url' 			=> $this-> input-> post('tracking_url'),
					'waybill_prefix' 		=> $this-> input-> post('waybill_prefix'),
					'last_waybill' 			=> $this-> input-> post('last_waybill'),
					'stop_waybill' 			=> $this-> input-> post('stop_waybill'),
					'active'				=> isset($_POST['active']),
			);

			if($add_order_criteria){
			    $data['get_order_criteria']		= $this-> input-> post('get_order_criteria');
				$data['get_order_criteria_2']	= $this-> input-> post('get_order_criteria_2');
			}

			//update product attribute
			$this-> db-> where('id',$courier);
			$updated = $this-> db-> update('courier',$data);
			
			$this->db->trans_complete();
			return $courier;

		}

//*****************selecting methods**************************************
		
		public function get_couriers($id = FALSE){
			if ($id) {
				$query = $this-> db-> get_where('courier',array('courier.id'=> $id));
				return $query-> row();
			}
			$query = $this-> db-> get_where('courier',array('active'=>true));
			return $query-> result_array();
		}

		public function get_city($id){
			$query = $this-> db-> get_where('city',array('city.id'=> $id));
			return $query-> row();
		}
		
		public function get_city_by_name($city){
			$query = $this-> db-> get_where('city',array('city.city'=> $city));
			return $query-> row_array();
		}

		public function get_cities_franchise_rates($franchise){
			$this->db->order_by('city.id', 'ASC');
			$this-> db-> join('franchise_shipping_zone_map', 'franchise_shipping_zone_map.shipping_zone = city.shipping_zone','left');
			$query = $this-> db-> get_where('city',array('franchise_shipping_zone_map.franchise'=> $franchise));
			return $query-> result_array();			
		}

		public function get_shipping_info($franchise,$city){
			$this-> db-> join('franchise_shipping_zone_map', 'franchise_shipping_zone_map.shipping_zone = city.shipping_zone','left');
			$query = $this-> db-> get_where('city',array('city.id'=> $city, 'franchise_shipping_zone_map.franchise'=> $franchise));
			return $query-> row();
		}

		public function get_shipping_cost($weight,$basic_charge,$additional_charge){
			$kg = ceil($weight / 1000);
			if ($kg <= 1) {
				return $basic_charge;
			}else{
				return $basic_charge + ($additional_charge * ($kg-1));
			}
		}
		
		public function get_shipping_zones($id = FALSE){
			if ($id) {
				$query = $this-> db-> get_where('shipping_zone',array('shipping_zone.id'=> $id));
				return $query-> row();
			}
			$query = $this-> db-> get('shipping_zone');
			return $query-> result_array();
		}
		
		
		// get courier table
		public function get_courier($id){
			$query = $this -> db -> get_where('courier',array('id'=>$id))-> row();
			return $query;	
		}

		
		// get courier list
		public function get_courier_list(){
			$query = $this -> db -> get('courier');
			return $query->result_array();	
		}

	}	