<?php
	class Supplier_invoice_model extends CI_Model{
		
		public function __construct(){
			$this -> load -> database();
		}

		public function insert_supplier_invoice($user_id){
		    $search_code = $this-> Order_batch_model-> generate_batch_search_code('supplier_invoice');
		    $this->db->trans_start();
		    $data = array(
				'search_code' => $search_code,
				'created_by'=> $user_id,
				'supplier'=> $this-> input-> post('supplier'),
				'remarks'=> $this-> input-> post('remarks')			
			);
			
			$this-> db-> insert('supplier_invoice',$data);
			$supplier_invoice_id = $this->db->insert_id();

			//updating order table with summary
			$summary = $this-> insert_supplier_invoice_items($supplier_invoice_id);
			$this-> db-> where('id',$supplier_invoice_id);
			$this-> db-> update('supplier_invoice',$summary);
			
			$this-> Order_batch_model-> update_batch_search_code('supplier_invoice');

		    $this->db->trans_complete();

		    return $search_code;
		}

		public function insert_supplier_invoice_items($supplier_invoice){
			$summary =array('total_amount'=>0);
			for ($i=1; $i < $this-> input-> post('RowCount'); $i++) { 
				if (!is_null($this-> input-> post('product_'.$i))) {
					//getting product data
						$product = $this-> Product_model-> get_product($this-> input-> post('product_'.$i));
						
						//data for order_items table
						$data = array(
							'supplier_invoice'=> $supplier_invoice,
							'product'=> $this-> input-> post('product_'.$i),
							'quantity'=> $this-> input-> post('qty_'.$i),
							'unit_price'=> $this-> input-> post('unit_price_'.$i),
							'amount'=> $this-> input-> post('unit_price_'.$i) * $this-> input-> post('qty_'.$i)
						);


						//data returned for supplier invoice table
						$summary['total_amount']+= $data['amount'];
						//inserting data to order items 
						$this-> db-> insert('supplier_invoice_items',$data);
						$this-> Inventory_model-> increase_stock($data['product'],$data['quantity']);
				}
			}
			$summary['shipping_cost'] = $this-> input-> post('delivery_charge');
			$summary['grand_total'] = $summary['total_amount'] + $summary['shipping_cost'];
			return $summary;
		}

	
	}	