<?php
	class Inventory_model extends CI_Model{

		public function __construct(){
			$this-> load-> database(); 
		}

//*****************inserting and updating methods*************************

		public function reserve_stock_by_order($order_id){
			$this -> db -> select('product,quantity');
			$query = $this -> db -> get_where('order_items',array('order'=> $order_id));
			$items = $query->result_array();
			foreach ($items as $item) {
				$this-> reserve_stock($item['product'],$item['quantity']);
			}
		}

		public function dispatch_stock_by_order($order_id){
			$this -> db -> select('product,quantity');
			$query = $this -> db -> get_where('order_items',array('order'=> $order_id));
			$items = $query->result_array();
			foreach ($items as $item) {
				$this-> release_stock($item['product'],$item['quantity']);
				$this-> reduce_stock($item['product'],$item['quantity']);
			}
		}

		public function returned_stock_by_order($order_id){
			$this -> db -> select('product,quantity');
			$query = $this -> db -> get_where('order_items',array('order'=> $order_id));
			$items = $query->result_array();
			foreach ($items as $item) {
				$this-> increase_stock($item['product'],$item['quantity']);
			}
		}

		public function increase_stock($product, $qty){
			$stock = $this-> Inventory_model-> get_stock($product) + $qty;
			$data = array(
					'stock'=> $stock			
				);
			$this-> db-> where('id',$product);
			$this-> db-> update('product',$data);	
		}

		public function reduce_stock($product, $qty){
			$stock = $this-> Inventory_model-> get_stock($product) - $qty;
			$data = array(
					'stock'=> $stock			
				);
			$this-> db-> where('id',$product);
			$this-> db-> update('product',$data);	
		}

		public function reserve_stock($product, $qty){
			$stock = $this-> Inventory_model-> get_reserved_stock($product) + $qty;
			$data = array(
					'reserved_stock'=> $stock			
				);
				$this-> db-> where('id',$product);
				$this-> db-> update('product',$data);
		}

		public function release_stock($product, $qty){
			$stock = $this-> Inventory_model-> get_reserved_stock($product) - $qty;
			$data = array(
					'reserved_stock'=> $stock			
				);
				$this-> db-> where('id',$product);
				$this-> db-> update('product',$data);
		}
		
		public function insert_gatepass($user_id){
		    $search_code = $this-> Order_batch_model-> generate_batch_search_code('gatepass');
		    $this->db->trans_start();
		    $data = array(
				'search_code' => $search_code,
				'created_by'=> $user_id,
				'remarks'=> $this-> input-> post('remarks'),
				'status'=> 'pending_approval'		
			);
			
			$this-> db-> insert('gatepass',$data);

			//updating gatepass items
			$this-> insert_gatepass_items($search_code);

			$this-> Order_batch_model-> update_batch_search_code('gatepass');

		    $this->db->trans_complete();

		    return $search_code;
		}

		public function insert_gatepass_items($gatepass){

			for ($i=1; $i < $this-> input-> post('RowCount'); $i++) { 
				if (!is_null($this-> input-> post('product_'.$i))) {
					//getting product data
					$product = $this-> Product_model-> get_product($this-> input-> post('product_'.$i));
					
					//data for order_items table
					$data = array(
						'gatepass'=> $gatepass,
						'product'=> $this-> input-> post('product_'.$i),
						'quantity'=> $this-> input-> post('qty_'.$i)
					);
					//inserting data to order items 
					$this-> db-> insert('gatepass_items',$data);
				}
			}
		}

		public function approve_gatepass($search_code,$user_id,$is_approved){
			if ($is_approved) {
				$data = array(
					'status'=> 'approved',
					'approved_by'=> $user_id			
				);
			}else{
				$data = array(
					'status'=> 'not_approved',
					'approved_by'=> $user_id			
				);
			}
			$this-> db-> where('search_code',$search_code);
			$this-> db-> update('gatepass',$data);
		}

		public function dispatch_gatepass($search_code){
			$gatepass_items = $this-> get_gatepass_items($search_code);
			$this->db->trans_start();
			foreach ($gatepass_items as $item) {
				$this-> Inventory_model-> reduce_stock($item['product'],$item['quantity']);
			}
			$data = array(
				'status'=> 'dispatched'			
			);
			$this-> db-> where('search_code',$search_code);
			$this-> db-> update('gatepass',$data);

			$this->db->trans_complete();
		}
		
		public function insert_grn($user_id){
		    $search_code = $this-> Order_batch_model-> generate_batch_search_code('grn');
		    $this->db->trans_start();
		    $data = array(
				'search_code' => $search_code,
				'created_by'=> $user_id,
				'remarks'=> $this-> input-> post('remarks'),
				'status'=> 'pending_approval'		
			);
			
			$this-> db-> insert('grn',$data);

			//updating gatepass items
			$this-> insert_grn_items($search_code);

			$this-> Order_batch_model-> update_batch_search_code('grn');

		    $this->db->trans_complete();

		    return $search_code;
		}

		public function insert_grn_items($grn){

			for ($i=1; $i < $this-> input-> post('RowCount'); $i++) { 
				if (!is_null($this-> input-> post('product_'.$i))) {
					//getting product data
					$product = $this-> Product_model-> get_product($this-> input-> post('product_'.$i));
					
					//data for order_items table
					$data = array(
						'grn'=> $grn,
						'product'=> $this-> input-> post('product_'.$i),
						'quantity'=> $this-> input-> post('qty_'.$i)
					);
					//inserting data to order items 
					$this-> db-> insert('grn_items',$data);
				}
			}
		}

		public function update_grn($search_code){

		    $this->db->trans_start();
		    $data = array(
				'remarks'=> $this-> input-> post('remarks'),		
			);
			
			$this-> db-> where('search_code',$search_code);
			$this-> db-> update('grn',$data);	

			//updating gatepass items
			$this->db->delete('grn_items', array('grn' => $search_code));
			$this-> insert_grn_items($search_code);

		    $this->db->trans_complete();
		}

		public function approve_grn($search_code,$user_id,$is_approved){
			
			$this->db->trans_start();
			if ($is_approved) {
				$this-> receive_stock($search_code);
				$data = array(
					'status'=> 'approved',
					'approved_by'=> $user_id			
				);
			}else{
				$data = array(
					'status'=> 'not_approved',
					'approved_by'=> $user_id			
				);
			}

			$this-> db-> where('search_code',$search_code);
			$this-> db-> update('grn',$data);

			$this->db->trans_complete();
		}

		public function receive_stock($search_code){
			$grn_items = $this-> get_grn_items($search_code);

			foreach ($grn_items as $item) {
				$this-> Inventory_model-> increase_stock($item['product'],$item['quantity']);
			}
		}

//*****************selecting methods**************************************

		public function get_reserved_stock($product){
			$query = $this-> db-> get_where('product',array('id'=> $product));
			return $query-> row()-> reserved_stock;
		}

		public function get_stock($product){
			$query = $this-> db-> get_where('product',array('id'=> $product));
			return $query-> row()-> stock;
		}
		
		public function get_gatepass($search_code = FALSE){
			$this-> db-> select('gatepass.search_code,gatepass.created_date,created.name as created_by,approved.name as approved_by,gatepass.remarks,gatepass.status');
			$this-> db-> join('user created','gatepass.created_by = created.id','left');
			$this-> db-> join('user approved','gatepass.approved_by = approved.id','left');

			if ($search_code) {
				$query = $this-> db-> get_where('gatepass',array('search_code'=> $search_code));
				return $query-> row_array();
			}else{
				$this->db->order_by('gatepass.created_date', 'DESC');
				$query = $this-> db-> get('gatepass');
				return $query-> result_array();
			}
		}

		public function get_gatepass_items($search_code){
			$this-> db-> select('gatepass_items.product,gatepass_items.quantity,product.title,product.short_title');
			$this-> db-> join('product', 'product.id = gatepass_items.product');
			$query = $this-> db-> get_where('gatepass_items',array('gatepass'=> $search_code));
			return $query-> result_array();
		}
		
		public function get_grn($search_code = FALSE){
			$this-> db-> select('grn.search_code,grn.created_date,created.name as created_by,approved.name as approved_by,grn.remarks,grn.status');
			$this-> db-> join('user created','grn.created_by = created.id','left');
			$this-> db-> join('user approved','grn.approved_by = approved.id','left');

			if ($search_code) {
				$query = $this-> db-> get_where('grn',array('search_code'=> $search_code));
				return $query-> row_array();
			}else{
				$this->db->order_by('grn.created_date', 'DESC');
				$query = $this-> db-> get('grn');
				return $query-> result_array();
			}
		}

		public function get_grn_items($search_code){
			$this-> db-> select('grn_items.product,grn_items.quantity,product.title,product.short_title');
			$this-> db-> join('product', 'product.id = grn_items.product');
			$query = $this-> db-> get_where('grn_items',array('grn'=> $search_code));
			return $query-> result_array();
		}


	}