<?php
	class Product_model extends CI_Model{

		public function __construct(){
			$this-> load-> database(); 
		}

//*****************inserting and updating methods*************************
    
    public function insert_product($image_data){

			$this->db->trans_start();
			$data = array(
				'title' => $this-> input-> post('title'),
				'short_title' => $this-> input-> post('short_title'),
				'sku'=> $this-> input-> post('sku'),
				'brand'=> $this-> input-> post('brand'),
				'slug'=> $this-> input-> post('slug'),
				//'status'=> $this-> input-> post('status'), 
				'product_type'=> $this-> input-> post('product_type'),
				//'visibility'=> isset($_POST['visibility']),
				'price'=> $this-> input-> post('price'),
				'cost'=> $this-> input-> post('cost'),
				'wholesale_price'=> $this-> input-> post('wholesale_price'),
				'weight'=> $this-> input-> post('weight'),
				'stock'=> $this-> input-> post('stock'),
				//'reorder_level'=> $this-> input-> post('reorder_level'),
				//'allow_backorder'=> isset($_POST['allow_backorder']),
				'short_description'=> $this-> input-> post('short_description'),
				'long_description'=> $this-> input-> post('long_description'),
				'sinhala_long_description'=> $this-> input-> post('sinhala_long_description'),
				'discount_label'=> $this-> input-> post('discount_label'),
				'old_price'=> $this-> input-> post('old_price'),
				'discount_code'=> $this-> input-> post('discount_code'),
				'child_products'=> $this-> post_child_products()
			);
			//insert product
			$inserted = $this-> db-> insert('product',$data);
			if($inserted){
			    $product = $this->db->insert_id();
		
    			//update assigned franchises and categories
    			$this-> update_product_category_map($product);
    			$this-> update_franchise_product_map($product,$data['price'],$data['wholesale_price']);
    			//update product images
    			$this-> insert_product_images($product,$image_data);   
			}
			
			$this->db->trans_complete();
			return $product;
		}
    
    public function update_product($product,$image_data){

			$this->db->trans_start();
				$data = array(
				'title' => $this-> input-> post('title'),
				'short_title' => $this-> input-> post('short_title'),
				'sku'=> $this-> input-> post('sku'),
				'brand'=> $this-> input-> post('brand'),
				'slug'=> $this-> input-> post('slug'),
				//'status'=> $this-> input-> post('status'), 
				'product_type'=> $this-> input-> post('product_type'),
				//'visibility'=> isset($_POST['visibility']),
				'price'=> $this-> input-> post('price'),
				'cost'=> $this-> input-> post('cost'),
				'wholesale_price'=> $this-> input-> post('wholesale_price'),
				'weight'=> $this-> input-> post('weight'),
				'product_volume'=> $this-> input-> post('product_volume'),
				'stock'=> $this-> input-> post('stock'),
				//'reorder_level'=> $this-> input-> post('reorder_level'),
				//'allow_backorder'=> isset($_POST['allow_backorder']),
				'short_description'=> $this-> input-> post('short_description'),
				'long_description'=> $this-> input-> post('long_description'),
				'sinhala_long_description'=> $this-> input-> post('sinhala_long_description'),
				'moderator_description'=> $this-> input-> post('moderator_description'),
				'discount_label'=> $this-> input-> post('discount_label'),
				'old_price'=> $this-> input-> post('old_price'),
				'discount_code'=> $this-> input-> post('discount_code'),
				'child_products'=> $this-> post_child_products()
			);
			//update product
			$this-> db-> where('id',$product);
			$updated = $this-> db-> update('product',$data);
			//update assigned franchises and categories
			$this-> update_product_category_map($product);
			$this-> update_franchise_product_map($product,$data['price'],$data['wholesale_price']);
			//update product images
			$this-> insert_product_images($product,$image_data);
			
			$this->db->trans_complete();
			return $updated;
		}

		public function insert_product_images($product,$image_data){
			if (isset($image_data['cover_image'])) {
				$this-> db-> insert('image',$image_data['cover_image']);
				$image_id = $this->db->insert_id();
				$this-> db-> insert('product_images',array('product' => $product,'image' => $image_id));
				$this-> db-> where('id',$product);
				$this-> db-> update('product',array('cover_image' => $image_id));
			}

			if (isset($image_data['image_gallery'])) {
				foreach ($image_data['image_gallery'] as $image) {
					$this-> db-> insert('image',$image);
					$image_id = $this->db->insert_id();
					$this-> db-> insert('product_images',array('product' => $product,'image' => $image_id));
				}
			}
		}

		public function update_product_category_map($product){
			//deleting data
			$this->db->delete('product_category_map', array('product' => $product));

			//inserting data
			$data = array();
			if ( ! empty($this-> input-> post('product_categories'))) {
				foreach ($this-> input-> post('product_categories') as $category) {
					array_push($data, array('product' => $product, 'product_category' => $category));
				}
				$this->db->insert_batch('product_category_map', $data);
			}
			
		}

		// public function update_franchise_product_map($product){
		// 	//deleting data
		// 	$this->db->delete('franchise_product_map', array('product' => $product));

		// 	//inserting data
		// 	$assigned_franchises = $this-> input-> post('assigned_franchise');
		// 	$franchise_prices = $this-> input-> post('franchise_price');
		// 	$franchise_commisions = $this-> input-> post('franchise_commision'); 
		// 	$daily_sponsor_amount = $this-> input-> post('daily_sponsor_amount'); 
		// 	$data = array();
		// 	foreach ($assigned_franchises as $key => $franchise) {
		// 		array_push($data, array(
		// 							'product' => $product, 
		// 							'franchise' => $franchise, 
		// 							'commision' => $franchise_commisions[$key],
		// 							'price'=> $franchise_prices[$key],
		// 							'daily_sponsor_amount'=>$daily_sponsor_amount[$key]));
		// 	}
		// 	$this->db->insert_batch('franchise_product_map', $data); 
		// 	/*if ( ! empty($this-> input-> post('assigned_franchises'))) {
		// 		foreach ($this-> input-> post('assigned_franchises') as $franchise) {
		// 			array_push($data, array('product' => $product, 'franchise' => $franchise, 'commision' => 0));
		// 		}
		// 		$this->db->insert_batch('franchise_product_map', $data); 
		// 	}*/
				
		// }

		public function update_franchise_product_map($product,$price,$commision){
			//deleting data
			$this->db->delete('franchise_product_map', array('product' => $product));
			
			$assigned_franchises = $this-> input-> post('assigned_franchise');
			$daily_sponsor_amount = $this-> input-> post('daily_sponsor_amount'); 

			$data = array();
			
			if(! empty($assigned_franchises)){
    			foreach ($assigned_franchises as $key => $franchise) {
    				array_push($data, array('product' => $product, 'franchise' => $franchise, 'commision' => $commision,'price'=> $price,'daily_sponsor_amount'=>$daily_sponsor_amount[$key]));
    			}
			
				$this->db->insert_batch('franchise_product_map', $data); 
			}
		}
		
		public function post_child_products(){
			$child_products = "";
			if ( ! empty($this-> input-> post('child_products'))) {
				$child_products = "";
				foreach ($this-> input-> post('child_products') as $product) {
					$child_products.= $product.",";
				}
				$child_products = rtrim($child_products,",");
			}	
			return $child_products;
		}

		public function remove_product_image($product,$image){
			$this->db->delete('product_images', array('product' => $product, 'image' => $image));
		}

		public function change_product_cover_image($product,$image){
			$this-> db-> where('id',$product);
			$this-> db-> update('product',array('cover_image' => $image));
		}


		
//*****************selecting methods**************************************

        public function get_product_images($product){
			$this-> db-> join('image', 'image.id = product_images.image');
			$query = $this -> db -> get_where('product_images',array('product'=> $product));
			return $query->result_array();
		}
		
		public function get_assigned_franchises($product){
			$query = $this -> db -> get_where('franchise_product_map',array('product'=> $product));
			$temp_array = $query->result_array();	
			$assigned_franchises = array();
			foreach ($temp_array as $item) {
				array_push($assigned_franchises, $item['franchise']);	
			}		
			return $assigned_franchises;
		}
		
		public function get_assigned_franchises_details($product){
			$this-> db-> join('franchise', 'franchise.id = franchise_product_map.franchise');
			$query = $this -> db -> get_where('franchise_product_map',array('product'=> $product));
			return $query->result_array();	
		}

		public function get_assigned_categories($product){
			$query = $this -> db -> get_where('product_category_map',array('product'=> $product));
			$temp_array = $query->result_array();	
			$assigned_categories = array();
			foreach ($temp_array as $item) {
				array_push($assigned_categories, $item['product_category']);	
			}		
			return $assigned_categories;
		}
		
		public function get_franchises_products($franchise,$product=NULL){
		    $this-> db-> select('franchise_product_map.commision,franchise_product_map.product as product,franchise_product_map.daily_sponsor_amount,product.id,franchise_product_map.price,product.cost,product.title,product.short_title,product.sku,product.weight,product.status,product.product_type,product.child_products');
			$this-> db-> join('franchise_product_map', 'franchise_product_map.product = product.id');
			if ($product==NULL) {
				$query = $this -> db -> get_where('product',array('franchise'=> $franchise));
				return $query->result_array();
			}else{
				$query = $this -> db -> get_where('product',array('product.id'=>$product,'franchise'=> $franchise));
				return $query-> row();
			}			
		}
		
		public function get_all_products(){
		    $this->db->order_by('product.id', 'ASC');
		    $query = $this -> db -> get('product');
			return $query->result_array();
		}

		public function get_product($id){
			$result = $this-> db-> get_where('product',array('id'=> $id))-> row();
			return $result;
		}
		
		public function get_all_product_categories(){
			$query = $this -> db -> get('product_category');
			return $query->result_array();	
		}



		/*public function get_users_franchises($user){
			$this->db->select('franchise');
			$query = $this -> db -> get_where('user_franchise_map',array('user'=> $user));
			$franchises = array();
			$i = 0;
			foreach ($query->result_array() as $row){
		        $franchises[$i]= $row['franchise'];
		        $i++;
			}
			return $franchises;
		}*/

	}	