<?php
	class User_model extends CI_Model{
		
		public function __construct(){
			$this -> load -> database();
		}

//*****************inserting and updating methods*************************

        public function insert_user(){
			$this->db->trans_start();

			$data = array(
				'name'=> $this-> input-> post('name'),
				'phone_one'=> $this-> input-> post('phone_one'),
				'phone_two'=> $this-> input-> post('phone_two'),
				'email'=> $this-> input-> post('email'),
				'address'=> $this-> input-> post('address'),
				'user_role'=> $this-> input-> post('user_role'),
				'default_franchise'=> $this-> input-> post('default_franchise')	
			);
			
			$this-> db-> insert('user',$data);
			$user_id = $this->db->insert_id();
			
			//inserting user_secure
			$enc_password = md5(md5($this-> input-> post('password')).md5($this-> input-> post('username')));
			$data = array(
			    'user'=> $user_id,
				'password'=> $enc_password,
				'user_name'=> $this-> input-> post('username'),			
			);
			
			$this-> db-> insert('user_secure',$data);
			
			$this-> User_model-> create_permissions($user_id);
			$this-> User_model-> update_user_franchise_map($user_id);
			$this-> User_model-> update_allowed_status($user_id);
			
			$this->db->trans_complete();
			
			return $user_id;
		}
        
        public function update_user($user_id){
			$this->db->trans_start();

			$data = array(
				'name'=> $this-> input-> post('name'),
				'phone_one'=> $this-> input-> post('phone_one'),
				'phone_two'=> $this-> input-> post('phone_two'),
				'email'=> $this-> input-> post('email'),
				'address'=> $this-> input-> post('address'),
				'user_role'=> $this-> input-> post('user_role'),
				'default_franchise'=> $this-> input-> post('default_franchise')	
			);

			$this-> db-> where('id',$user_id);
			$this-> db-> update('user',$data);
			
			if (isset($_POST['reset_password'])) {
				$enc_password = md5(md5($this-> input-> post('password')).md5($this-> input-> post('username')));
				$data = array(
					'password'=> $enc_password,
					'user_name'=> $this-> input-> post('username'),			
				);
				$this-> db-> where('user',$user_id);
				$this-> db-> update('user_secure',$data);
			}
			
			$this-> User_model-> delete_permissions($user_id);
			$this-> User_model-> create_permissions($user_id);
			$this-> User_model-> update_user_franchise_map($user_id);
			$this-> User_model-> update_allowed_status($user_id);
			
			$this->db->trans_complete();
		}

		public function create_permissions($user_id){

			foreach ($this-> input-> post('permission') as $key => $item) {
				if (isset($_POST['permission'][$key])) {
					$data = array(
						'user'=> $user_id,
						'permission'=> $item			
					);
					$this-> db-> insert('permission_user_map',$data);
				}
			}
		}

		public function delete_permissions($user_id){
			$this->db->delete('permission_user_map', array('user' => $user_id));
		}

		public function update_user_franchise_map($user_id){
			//deleting data
			$this->db->delete('user_franchise_map', array('user' => $user_id));

			//inserting data
			$data = array();
			if ( ! empty($this-> input-> post('assigned_franchises'))) {
				foreach ($this-> input-> post('assigned_franchises') as $franchise) {
					array_push($data, array('user' => $user_id, 'franchise' => $franchise));
				}
				$this->db->insert_batch('user_franchise_map', $data);
			}	
		}

		public function update_allowed_status($user_id){
			//deleting data
			$this->db->delete('allowed_status', array('user' => $user_id));

			//inserting data
			$data = array();
			if ( ! empty($this-> input-> post('allowed_status'))) {
				foreach ($this-> input-> post('allowed_status') as $status) {
					array_push($data, array('user' => $user_id, 'order_status' => $status));
				}
				$this->db->insert_batch('allowed_status', $data);
			}	
		}

//*****************selecting methods**************************************		

		public function get_user($user_id){
		    $this-> db-> select('user.id,user.name,default_franchise,user_role,phone_one,phone_two,email,address,nic,employee_number,bank_account_number,bank_account_name,bank,bank_account_branch,user_name');
			$this-> db-> join('user_secure', 'user_secure.user = user.id');
			$query = $this-> db-> get_where('user',array('id'=> $user_id));
			return $query-> row();			
		}
		
		public function get_all_users(){
			$this-> db-> select('user.id,user.name,franchise.name as default_franchise,user_role.title as user_role');
			$this-> db-> join('franchise', 'user.default_franchise = franchise.id');
			$this-> db-> join('user_role', 'user.user_role = user_role.id');
			$query = $this-> db-> get_where('user',array('user.id!='=> '1'));
			return $query-> result_array();		
		}

		public function get_shop_admins(){
			$this-> db-> select('user.id,user.name');
			$this-> db-> join('user_role', 'user.user_role = user_role.id');
			$query = $this-> db-> get_where('user',array('user_role.title'=> 'shop_admin'));
			return $query-> result_array();		
		}

		public function get_permissions(){
			$this-> db-> order_by('type','asc');
			$query = $this-> db-> get('permission');
			$permissions = $query-> result_array();

			$permission_types = array();
		    foreach ($permissions as $key => $permission) {
		        if(isset($permission_types[$permission['type']])){
		          array_push($permission_types[$permission['type']], $permission);
		        }else{
		          $permission_types[$permission['type']][0] = $permission;
		        }
		    }
		    return $permission_types;
		}

		public function get_user_permissions($user_id){
			$query = $this-> db-> get_where('permission_user_map', array('user'=> $user_id));
			$permissions = $query-> result_array();

			$user_permissions = array();
			foreach ($permissions as $item) {
				array_push($user_permissions, $item['permission']);		
			}	
			return $user_permissions;
		}

		public function get_assigned_franchises($user){
			$query = $this -> db -> get_where('user_franchise_map',array('user'=> $user));
			$temp_array = $query->result_array();	
			$assigned_franchises = array();
			foreach ($temp_array as $item) {
				array_push($assigned_franchises, $item['franchise']);	
			}		
			return $assigned_franchises;
		}

		public function get_allowed_order_status($user){
			$query = $this -> db -> get_where('allowed_status',array('user'=> $user));
			$temp_array = $query-> result_array();	
			$allowed_status = array();
			foreach ($temp_array as $item) {
				array_push($allowed_status, $item['order_status']);	
			}		
			return $allowed_status;
		}

		public function get_user_roles(){
			$query = $this-> db-> get('user_role');
			return $query-> result_array();
		}

		public function get_order_statuses(){
			$query = $this-> db-> get('order_status');
			return $query-> result_array();
		}	

		public function login($username,$password){
		    $enc_password = md5(md5($password).md5($username));
			//validate
			$this-> db-> select('user.id,user.name,user.default_franchise,user_role.title');
			$this-> db-> join('user_secure', 'user.id = user_secure.user');
			$this-> db-> join('user_role', 'user.user_role = user_role.id');
			$this-> db-> where('user_name', $username);
			$this-> db-> where('password', $enc_password);

			$result = $this-> db-> get('user');
			
			if ($result-> num_rows()==1) {
				$user['id'] = $result-> row(0)-> id;
				$user['name'] = $result-> row(0)-> name;
				$user['default_franchise'] = $result-> row(0)-> default_franchise;
				$user['user_role'] =   $result-> row(0)-> title;
				return $user;
			 	//return $result-> row(0)-> id; 
			 } else {
			 	return false;
			 }  
		}

		public function has_permission($permission){
			$user = $this-> session-> userdata('user_id');
			$this-> db-> join('permission', 'permission.id = permission_user_map.permission');
			$query = $this-> db-> get_where('permission_user_map', array('user'=> $user, 'permission.title'=> $permission));
			if ($query-> num_rows()==1) {
				return true;
			}else{
				return false;
			}
		} 
		
			public function add_user_role(){
			$this->db->trans_start();
			$data = array(
				'title'		=> $this-> input-> post('user_role'),
			);
			$this-> db-> insert('user_role',$data);
			$user_role_id = $this->db->insert_id();
			$this-> User_model-> create_permissions_role($user_role_id);
			$this->db->trans_complete();

			if ($this->db->trans_status() === FALSE)
			{
				return false;
			}else
			{
				return true;
			}

		}
		public function create_permissions_role($user_role_id){
			foreach ($this-> input-> post('permission') as $key => $item) {
				if (isset($_POST['permission'][$key])) {
					$data = array(
						'user_role'=> $user_role_id,
						'permission'=> $item			
					);
					$this-> db-> insert('permission_user_role_map',$data);
				}
			}
		}

		public function get_all_user_roles(){
			$this-> db-> select('user_role.id,user_role.title');
			$query = $this-> db-> get('user_role');
			return $query-> result_array();	
		}

		public function get_user_role_from_id($user_role_id){
			$this-> db-> select('user_role.title');
			$query = $this-> db-> get_where('user_role',array('id'=> $user_role_id));
			return $query-> row();
		}

		public function update_user_role($user_role_id){
			$this->db->trans_start();

			$data = array(
				'title'=> $this-> input-> post('user_role'),
			);

			$this-> db-> where('id',$user_role_id);
			$this-> db-> update('user_role',$data);
			$this-> User_model-> delete_permissions_role($user_role_id);
			$this-> User_model-> create_permissions_role($user_role_id);
			$this->db->trans_complete();

			if ($this->db->trans_status() === FALSE)
			{
				return false;
			}else
			{
				return true;
			}
		}
		public function delete_permissions_role($user_role_id){
			$this->db->delete('permission_user_role_map', array('user_role' => $user_role_id));
		}

		public function get_user_role_permissions($user_role_id){
			$query = $this-> db-> get_where('permission_user_role_map', array('user_role'=> $user_role_id));
			$permissions = $query-> result_array();

			$user_permissions = array();
			foreach ($permissions as $item) {
				array_push($user_permissions, $item['permission']);		
			}	
			return $user_permissions;

		}

		public function get_all_role_permissions(){
			$this-> db-> select('*');
			$query = $this->db->get('permission_user_role_map');
			return $query->result_array();	
		}

	}	