<section class="content-header">
    <h1>
      Create Packing Batch (<?php echo $courier-> name; ?>)
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">Create Packing Batch</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>


  <section class="content">

    <div class="row">
        
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Filter Products</h3>
          </div>
          <?php echo form_open_multipart($formMethod); ?>
          <div class="box-body">
            
            <div class="col-xs-6">
              <div class="form-group">
                <label>Select Products</label>
                <select name="products[]" id="select_product" class="select2" multiple>
                  <?php foreach($products as $product): ?>
                    <option value="<?php echo $product['short_title'] ?>"><?php echo $product['short_title'] ?> - <?php echo $product['title'] ?></option>
                  <?php endforeach; ?>  
                </select>
                <button name="submit" value="filter" type="submit" class="btn btn-primary btn-sm">Filter</button>
              </div>
            </div>
            
          </div>
        </div>
      </div>
      
      <div class="col-xs-12">
        <div class="box">
          

          <div class="box-header">
            <h3 class="box-title">Select Orders</h3>
            <h3 class="box-title pull-right" id="item_count">Selected: 0</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="result_table" class="table table-striped">
              <thead>
                <tr>
                  <th><input type="checkbox" id="select_all" onchange="select_all_rows();" checked></th>
                  <th>Search_Code</th>
                  <th>Waybill_No</th>
                  <th>Recipient</th>
                  <th>Address</th>
                  <th>City</th>
                  <th>Phone #1</th>
                  <th>Phone #2</th>
                  <th>Items</th>
                  <th>Amount</th>
                </tr>
              </thead>
              <?php $num = 0; ?>
              <tbody id="table_body">
                <?php foreach($orders as $order) : ?>
                <tr>
                  <td><input class="select_row" type="checkbox" id="select_row_<?php echo $num; ?>" name="select_row_<?php echo $num; ?>" checked onchange="count_selected_rows();"></td>
                  <td><input name="Search_Code_<?php echo $num?>" type="text" readonly value="<?php echo $order['search_code'] ?>"></td>
                  <td><input class="courier_reference" name="courier_reference_<?php echo $num?>" type="text" readonly value="<?php echo $courier->waybill_prefix.($courier->last_waybill+1); ?>"></td>
                  <td class="find_duplicates"><?php echo $order['resipient'] ?></td>
                  <td class="find_duplicates"><?php echo $order['address'] ?></td>
                  <td><?php echo $order['city'] ?></td>
                  <td class="find_duplicates"><?php echo $order['phone_one'] ?></td>
                  <td class="find_duplicates"><?php echo $order['phone_two'] ?></td>
                  <td><?php echo $order['item_description'] ?></td>
                  <td><?php echo $order['grand_total'] ?></td>
                </tr>
                <?php $num++; ?>
                <?php $courier->last_waybill++; ?>
              <?php endforeach; ?>
              </tbody>
            </table>
            <input type="hidden" name="RowCount" id="RowCount" value="<?php echo $num?>">
            </div>
          </div>

          <div class="box-footer">
            <button name="submit" value="submit" type="submit" class="btn btn-primary">Validate and Submit</button>
          </div>
          
        <?php  echo form_close(); ?> 
        </div>
      </div>
    </div>
      
  </section>

  <script>
    var waybill_prefix = '<?php echo $courier->waybill_prefix; ?>';
    var stop_waybill = '<?php echo $courier->stop_waybill; ?>';

    window.onload = function(){
      count_selected_rows();
      find_duplicates();
      if(stop_waybill!=''){
        check_waybill();  
      }
      $('.select2').select2();
    } 
    
    function check_waybill(){
      $(".courier_reference").each(function() {
          var tdContent = $(this).val();
          tdContent = tdContent.replace(waybill_prefix,'');
          if (tdContent>stop_waybill) {
              $(this).prop('style', "background-color: #FA8686;");
          }
      });   
    }

    function select_all_rows(){
      if (document.getElementById('select_all').checked) {
        $('.select_row').prop('checked', true);
      }else{
        $('.select_row').prop('checked', false);
      }
      count_selected_rows();
    }

    function count_selected_rows(){
      var count = 0;
      for (var i = 0; i < $('#RowCount').val(); i++) {
        if (document.getElementById('select_row_'+i).checked) {
          count++;
        }
      }
      $('#item_count').html('Selected: '+count);
    }

    function find_duplicates(){
      var contents = {}, duplicates = {};
      $(".find_duplicates").each(function() {
          var tdContent = $(this).text();
          if (contents[tdContent]) {
              if (tdContent!="") {
                duplicates[tdContent] = true;
                $(this).prop('style', "background-color: #FA8686;");
              }
          }
          contents[tdContent] = true;
      });   
      $(".find_duplicates").each(function() {
          var tdContent = $(this).text();
          if (duplicates[tdContent]) {
              if (tdContent!="") {
                $(this).prop('style', "background-color: #FA8686;");
              }
          }
      });    
    }
  </script>