<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Export Orders - Domex
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">Export Orders</a></li>
      <li><a href="#">Domex Courier</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">

    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
            <div class="pull-right">Order Count: <?php echo count($orders)?></div>
          </div>
          
          <div class="box-body">
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>          
                  <th>RECEIVER_NAME</th>
                  <th>RECEIVER_ADDRESS_1</th>
                  <th>RECEIVER_ADDRESS_2</th>
                  <th>RECEIVER_CITY</th>
                  <th>RECEIVER_CONTACT</th>
                  <th>PCs</th>
                  <th>WEIGHT_K</th>
                  <th>WEIGHT_G</th>
                  <th>INTERNAL_REF</th>
                  <th>AMOUNT</th>
                  <th>ITEM_NAME</th>
                  <th>SHORT_NAME</th>
                  <th>GPD_REF</th>
                  <th>REF</th>
                  <th>WAYBILL_NO</th>
                  <th>BARCODE</th>
                </tr>
              </thead>
            </table>
          </div>
          
          <div class="modal fade" id="modal-default">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title" id="modal_title"></h4>
                </div>
                <div class="modal-body">
                  <div class="col-xs-6">
                    <div class="form-group">
                      Status: <label id="order_status"></label>
                    </div>
                    <div class="form-group">
                      Phone No.#1: <label id="phone_one"></label>
                    </div>
                    <div class="form-group">
                      Phone No.#2: <label id="phone_two"></label>
                    </div>
                  </div>
                  <div class="col-xs-6">
                    <div class="form-group">
                      Items: <label id="item_description"></label>
                      <a id="edit_order" class="btn btn-default btn-sm">Edit</a>
                    </div>
                    <div class="form-group">
                      Total(Rs.): <label id="grand_total"></label>
                    </div>
                    <div class="form-group">
                      Call Attempts: <label id="call_attempts"></label>
                    </div>
                    <div class="form-group">
                      Last Modification: <label id="last_modified"></label>
                    </div>
                  </div>
                  <div id="hold_div" class="form-group input-group margin">
                    <input type="date" class="form-control" id="hold_until">
                        <span class="input-group-btn">
                          <button id="btn_hold" type="button" class="btn btn-primary btn-flat">Hold</button>
                        </span>
                  </div>
                  <div class="form-group input-group margin" id="customer_notes_div">
                    <input type="text" class="form-control" placeholder="Customer Notes" id="customer_notes">
                      <span class="input-group-btn">
                        <button type="button" id="update_customer_notes" class="btn btn-info btn-flat">Go</button>
                      </span>
                  </div>
                  <div class="form-group  input-group margin" id="delivery_notes_div">
                    <input type="text" class="form-control" placeholder="Delivery Notes" id="delivery_notes">
                        <span class="input-group-btn">
                          <button type="button" id="update_delivery_notes" class="btn btn-info btn-flat">Go</button>
                        </span>
                  </div>

                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                  <button class="btn btn-success btn-sm" id="btn_confirm">Confirm</button>
                  <div class="btn-group">
                    <button type="button" class="btn btn-warning btn-sm dropdown-toggle" data-toggle="dropdown">
                      Not Confirm
                      <span class="caret"></span>
                      <span class="sr-only">Toggle Dropdown</span>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                      <li><a id="no_answer">No Answer</a></li>
                      <li><a id="phone_off">Phone Off</a></li>
                      <li><a id="busy">Number Busy</a></li>
                      <li><a id="not_responding">Phone Not Responding</a></li>
                    </ul>
                  </div>
                  <button id="btn_cancel" class="btn btn-danger btn-sm">Cancelled</button>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- /.modal -->
        <!--?php  echo form_close(); ?--> 
        </div>
      </div>
    </div>
      
  </section>

  <?php
    $i = 0;
    foreach ($orders as $order) {
      $phone = '';
      if ($order['phone_two'] == '') {
        $phone = $order['phone_one'];
      }else {
        $phone = $order['phone_one'].'/'.$order['phone_two'];
      }
      if ($order['payment_type']=='AP') {
        $cod = 0;
      }else{
        $cod = $order['grand_total'];
      }
      $item = array(
        'RECEIVER_NAME'=> $order['resipient'],
        'RECEIVER_ADDRESS_1'=> $order['address'],
        'RECEIVER_ADDRESS_2'=> "N/A",
        'RECEIVER_CITY'=> $order['city'],
        'RECEIVER_CONTACT'=> $phone,
        'PCs'=> "1",
        'WEIGHT_K'=> "0",
        'WEIGHT_G'=> $order['total_weight'],
        'INTERNAL_REF'=> $order['search_code'],
        'AMOUNT'=> $cod,
        'ITEM_NAME'=> $order['item_description'],
        'SHORT_NAME'=> "N/A",
        'GPD_REF'=> "N/A",
        'REF'=> "N/A",
        'WAYBILL_NO'=> $courier->waybill_prefix.($courier->last_waybill+1),
        'BARCODE'=> "N/A"
      );
      array_push($order_list, $item);
      $i++;
      $courier->last_waybill++;
    }
  ?>

  <script>

    var order_list = <?php echo json_encode($order_list); ?>;
    var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };

    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            
        }
      };

      var table = $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'select'      : {'style': 'multi'},
          'order'       : [[ 14, "asc" ]],
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "RECEIVER_NAME"},
              {"data": "RECEIVER_ADDRESS_1"},
              {"data": "RECEIVER_ADDRESS_2"},
              {"data": "RECEIVER_CITY"},
              {"data": "RECEIVER_CONTACT"},
              {"data": "PCs"},
              {"data": "WEIGHT_K"},
              {"data": "WEIGHT_G"},
              {"data": "INTERNAL_REF"},
              {"data": "AMOUNT"},
              {"data": "ITEM_NAME"},
              {"data": "SHORT_NAME"},
              {"data": "GPD_REF"},
              {"data": "REF"},
              {"data": "WAYBILL_NO"},
              {"data": "BARCODE"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            'selectAll',
            'selectNone',
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export all',
                exportOptions: {
                    modifier: {
                        selected: null
                    }
                }
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export Selected'
            } )
        ]
        });
      }

  </script>