<section class="content-header">
    <h1>
      Overall Settlement
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">Overall Settlement</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Orders</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Search Code</td>
                    <td>Private Reference</td>
                    <td>Order Status</td>
                    <td>Customer</td>
                    <td>Address</td>
                    <td>City</td>
                    <td>Phone #1</td>
                    <td>Phone #2</td>
                    <td>Item Description</td>
                    <td>Amount</td>
                    <td>COD Recieved</td>
                    <td>Product Cost</td>
                    <td>Service Charge</td>
                    <td>Amount Payable</td>
                    <td>Courier</td>
                    <td>Created By</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <?php
    
    foreach ($orders as $key => $order) {
      $orders[$key]['search_code_link'] = '<a href="'.base_url().'orders/0/0/'.$order['search_code'].'" target="_blank">'.$order['search_code'].'</a>';
      if ($order['order_status']!='settled') {
        $orders[$key]['total_commision'] = 0;
      }
      $orders[$key]['amount_payable'] = $order['cod_recieved'] - $order['total_commision'] - $order['service_charge'];
    }
  ?>

  <script>
    var order_list = <?php echo json_encode($orders); ?>;
    var table;
    window.onload = function(){
     
      var buttonCommon = {
        exportOptions: {
            
        }
      };

      table = $('#datatable').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [0, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        'select'      : {'style': 'multi'},
        //'column'      : String,
        'data'        : order_list,
        'columns'     : [
            {"data": "search_code_link"},
            {"data": "private_reference"},
            {"data": "order_status"},
            {"data": "resipient"},
            {"data": "address"},
            {"data": "city"},
            {"data": "phone_one"},
            {"data": "phone_two"},
            {"data": "item_description"},
            {"data": "grand_total"},
            {"data": "cod_recieved"},
            {"data": "total_commision"},
            {"data": "service_charge"},
            {"data": "amount_payable"},
            {"data": "courier"},
            {"data": "user"}
        ],
          'dom': 'Bfrtip',
          'buttons': [
            'selectAll',
            'selectNone',
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export all',
                exportOptions: {
                    modifier: {
                        selected: null
                    }
                }
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export Selected'
            } )
          ]
      });
    }
      
  </script>