<section class="content-header">
    <h1>
      View Settlement Batch 
      <small>Admin Tools</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">View Settlement Batch</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Batch Items</h3>
            <div class="pull-right">
              <div class="col-md-6">
                <select id="user_id" class="form-control">
                  <?php foreach($users as $user): ?>
                    <option value="<?php echo $user['id']; ?>"><?php echo $user['name']; ?></option>
                  <?php endforeach; ?>
                </select>
              </div>
              <div class="col-md-6">
                <a href="#" class="btn btn-primary" onclick="get_overall_settlement();">Overall Settlement</a>
              </div>
            </div>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Batch Code</td>
                    <td>Date</td>
                    <td>Item Count</td>
                    <td>Total COD</td>
                    <td>Courier</td>
                    <td>Created By</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <?php
    
    foreach ($settlement_batches as $key => $settlement_batch) {
      $settlement_batches[$key]['search_code_link'] = '<a href="'.base_url().'admin/order_batch/view_settlement_batch/'.$settlement_batch['search_code'].'" target="_blank">'.$settlement_batch['search_code'].'</a>';
    }
  ?>

  <script>
    var order_list = <?php echo json_encode($settlement_batches); ?>;
    var table;
    window.onload = function(){
     
      var buttonCommon = {
        exportOptions: {
            
        }
      };

      table = $('#datatable').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [0, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        'select'      : {'style': 'multi'},
        //'column'      : String,
        'data'        : order_list,
        'columns'     : [
            {"data": "search_code_link"},
            {"data": "created_date"},
            {"data": "item_count"},
            {"data": "total_amount"},
            {"data": "courier"},
            {"data": "created_by"}
        ],
          'dom': 'Bfrtip',
          'buttons': [
            'selectAll',
            'selectNone',
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export all',
                exportOptions: {
                    modifier: {
                        selected: null
                    }
                }
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export Selected'
            } )
          ]
      });
    }

    function get_overall_settlement(){
      var orders = new Array();
      var user = $('#user_id').val();
      var url = "<?php echo base_url(); ?>";
      $.each( table.rows('.selected').data(), function( key, value ) {
        orders[key] = value.search_code;
      });
      var order_str = orders.join(',');
      window.location.replace(url+'admin/order_batch/overall_settlement/'+user+'/?batches='+order_str);
    }
      
  </script>