<!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Dashboard
        <small>Version 2.0</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Dashboard</li>
      </ol>
    </section>

    <!-- Main content -->
    <section class="content">
      <!-- Info boxes -->
      <div class="row">
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-aqua"><i class="fa fa-hourglass-start"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">Pending Orders</span>
              <span class="info-box-number"><?php echo $pending_orders->order_count?></span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        <!-- /.col -->
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-green"><i class="fa fa-check"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">Confirm Orders</span>
              <span class="info-box-number"><?php echo $confirm_orders->order_count?></span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        <!-- /.col -->

        <!-- fix for small devices only -->
        <div class="clearfix visible-sm-block"></div>

        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-red"><i class="fa fa-times"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">Not Confirm Orders</span>
              <span class="info-box-number"><?php echo $not_confirm_orders->order_count?></span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
        <!-- /.col -->
        <div class="col-md-3 col-sm-6 col-xs-12">
          <div class="info-box">
            <span class="info-box-icon bg-yellow"><i class="fa fa-ban"></i></span>

            <div class="info-box-content">
              <span class="info-box-text">Hold Orders</span>
              <span class="info-box-number"><?php echo $hold_orders->order_count?></span>
            </div>
            <!-- /.info-box-content -->
          </div>
          <!-- /.info-box -->
        </div>
      
      </div>
      <!-- /.row -->
      
        <!--Personal performance-->
        <?php if($this-> session-> userdata('user_role')=='franchise_moderator' || $this-> session-> userdata('user_role')=='franchise_admin'): ?>
            <div class="row"> 
                <div class="col-md-12">
                  <div class="box box-warning">
                    <div class="box-header with-border">
                      <h3 class="box-title">My Performance Today</h3>

                      <div class="box-tools pull-right">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                      </div>
                    </div>
                    <div class="box-body">

                      <div class="col-md-2 col-sm-6 col-xs-12">
                        <div class="info-box bg-green">
                          <span class="info-box-icon"><i class="fa fa-check"></i></span>
                          <div class="info-box-content">
                            <span class="info-box-text">CONFIRMED</span>
                            <span class="info-box-number">
                              <?php if (isset($personal_performance['confirmed'])) {
                                echo $personal_performance['confirmed'];
                              } else {
                                echo 0;
                              }?>    
                            </span>
                          </div>
                        </div>
                      </div>

                      <div class="col-md-2 col-sm-6 col-xs-12">
                        <div class="info-box bg-yellow">
                          <span class="info-box-icon"><i class="fa fa-ban"></i></span>
                          <div class="info-box-content">
                            <span class="info-box-text">NOT CONFIRMED</span>
                            <span class="info-box-number">
                              <?php if (isset($personal_performance['not_confirmed'])) {
                                echo $personal_performance['not_confirmed'];
                              } else {
                                echo 0;
                              }?> 
                            </span>
                          </div>
                        </div>
                      </div>

                      <div class="col-md-2 col-sm-6 col-xs-12">
                        <div class="info-box bg-aqua">
                          <span class="info-box-icon"><i class="fa fa-hourglass-start"></i></span>
                          <div class="info-box-content">
                            <span class="info-box-text">HOLD</span>
                            <span class="info-box-number">
                              <?php if (isset($personal_performance['hold'])) {
                                echo $personal_performance['hold'];
                              } else {
                                echo 0;
                              }?> 
                            </span>
                          </div>
                        </div>
                      </div>

                      <div class="col-md-2 col-sm-6 col-xs-12">
                        <div class="info-box bg-red">
                          <span class="info-box-icon"><i class="fa fa-times"></i></span>
                          <div class="info-box-content">
                            <span class="info-box-text">CANCELLED</span>
                            <span class="info-box-number">
                              <?php if (isset($personal_performance['cancelled'])) {
                                echo $personal_performance['cancelled'];
                              } else {
                                echo 0;
                              }?> 
                            </span>
                          </div>
                        </div>
                      </div>

                      <div class="col-md-2 col-sm-6 col-xs-12">
                        <div class="info-box bg-blue">
                          <span class="info-box-icon"><i class="fa fa-times"></i></span>
                          <div class="info-box-content">
                            <span class="info-box-text">CREATED</span>
                            <span class="info-box-number">
                              <?php if (isset($personal_performance['created'])) {
                                echo $personal_performance['created'];
                              } else {
                                echo 0;
                              }?> 
                            </span>
                          </div>
                        </div>
                      </div>

                      <div class="col-md-2 col-sm-6 col-xs-12">
                        <div class="info-box bg-blue">
                          <span class="info-box-icon"><i class="fa fa-times"></i></span>
                          <div class="info-box-content">
                            <span class="info-box-text">EDITED</span>
                            <span class="info-box-number">
                              <?php if (isset($personal_performance['edited'])) {
                                echo $personal_performance['edited'];
                              } else {
                                echo 0;
                              }?> 
                            </span>
                          </div>
                        </div>
                      </div>

                    </div>
                  </div>
                </div>
            </div>
        <?php endif; ?>
        <!--end personal performance-->
        
        <!--todays created and cancelled orders-->
        <?php if($this-> session-> userdata('user_role')=='admin' && $this-> session-> userdata('user_id')!='1'): ?>
          <div class="row">
            <div class="col-md-12">
              <div class="box box-warning">
                <div class="box-header with-border">
                  <h3 class="box-title">Today's Summary</h3>

                  <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                  </div>
                </div>
                <div class="box-body">

                  <div class="col-md-4 col-sm-6 col-xs-12">
                    <div class="info-box bg-light-blue">
                      <span class="info-box-icon"><i class="fa fa-shopping-cart"></i></span>
                      <div class="info-box-content">
                        <span class="info-box-text">TOTAL FOR COURIER</span>
                        <span class="info-box-number">
                          <?php if (isset($total_orders)) {
                            echo $total_orders->order_count;
                          } else {
                            echo 0;
                          }?> 
                        </span>
                      </div>
                    </div>
                  </div>

                  <div class="col-md-4 col-sm-6 col-xs-12">
                    <div class="info-box bg-green">
                      <span class="info-box-icon"><i class="fa fa-check"></i></span>
                      <div class="info-box-content">
                        <span class="info-box-text">TOTAL CREATED</span>
                        <span class="info-box-number">
                          <?php if (isset($created_orders)) {
                            echo $created_orders->order_count;
                          } else {
                            echo 0;
                          }?>    
                        </span>
                      </div>
                    </div>
                  </div>

                  <div class="col-md-4 col-sm-6 col-xs-12">
                    <div class="info-box bg-red">
                      <span class="info-box-icon"><i class="fa fa-ban"></i></span>
                      <div class="info-box-content">
                        <span class="info-box-text">TOTAL CANCELLED</span>
                        <span class="info-box-number">
                          <?php if (isset($cancelled_orders)) {
                            echo $cancelled_orders->order_count;
                          } else {
                            echo 0;
                          }?> 
                        </span>
                      </div>
                    </div>
                  </div>
                  
                </div>
              </div>
          </div>
          </div>
        <!--end of todays created and cancelled orders-->
        <?php else: ?>

        <div class="row">
            <div class="col-lg-12 col-xs-12">
          <!-- small box -->
          <div class="small-box bg-light-blue">
            <div class="inner">
              <h3><?php echo $total_orders->order_count ?></h3>
              <p>Total orders for courier today</p>
            </div>
            <div class="icon">
              <i class="fa fa-shopping-cart"></i>
            </div>
            <a href="#" class="small-box-footer">
             
            </a>
          </div>
        </div>
        </div>
        <?php endif; ?>
        
      
      
      <!--Birthday wishes>
      <?php if($this-> session-> userdata('user_id')!='14' && $this-> session-> userdata('franchise')=='1'): ?>
      
      <div class="row">
        <div class="col-md-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Happy Birthday</h3>
            </div>
            <div class="box-body">
                <img src="/sellercenter/assets/images/birthday.jpg" alt="" style="height:387px; width:720px;">
            </div>
          </div>
        </div>
      </div> 
      <?php endif;?>
      <Birthday wishes-->

      <div class="row">
        <div class="col-md-12">
          <div class="box">
            <div class="box-header with-border">
              <h3 class="box-title">Daily Recap Report</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <!--div class="btn-group">
                  <button type="button" class="btn btn-box-tool dropdown-toggle" data-toggle="dropdown">
                    <i class="fa fa-wrench"></i></button>
                  <ul class="dropdown-menu" role="menu">
                    <li><a href="#">Action</a></li>
                    <li><a href="#">Another action</a></li>
                    <li><a href="#">Something else here</a></li>
                    <li class="divider"></li>
                    <li><a href="#">Separated link</a></li>
                  </ul>
                </div>
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button-->
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <div class="row">
                <div class="col-md-8">
                  <p class="text-center">
                    <?php if(isset($weekly_sales[0])): ?>  
                        <strong>Order Count: <?php echo $weekly_sales[0]['created_date']."  to  ".end($weekly_sales)['created_date'] ?> (Last 30 Days)</strong>
                    <?php endif;?>
                  </p>

                  <div class="chart">
                    <!-- Sales Chart Canvas -->
                    <canvas id="weeklySalesChart" style="height: 230px;"></canvas>
                  </div>
                  <!-- /.chart-responsive -->
                </div>
                <!-- /.col -->
                <div class="col-md-4">
                  <p class="text-center">
                    <strong>Order Composition (Within 30 Days)</strong>
                  </p>
                  
                  <div class="row">
                    <div class="col-md-7">
                      <div class="chart-responsive">
                        <canvas id="orderCompositionChart" height="230px"></canvas>
                      </div>
                      <!-- ./chart-responsive -->
                    </div>
                    <!-- /.col -->
                    <div class="col-md-5">
                      <ul class="chart-legend clearfix">
                        <?php foreach($order_composition as $item): ?>  
                            <li><i class="fa fa-circle-o" style="color:<?php echo $item['label_colour'] ?>"></i> <?php echo $item['order_status'].'('.$item['order_count'].')' ?></li>
                        <?php endforeach; ?>  
                      </ul>
                    </div>
                    <!-- /.col -->
                  </div>

                </div>
                <!-- /.col -->
              </div>
              <!-- /.row -->
            </div>
            <!-- ./box-body -->
            
          </div>
          <!-- /.box -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    <?php if($this-> session-> userdata('user_role')=='admin'):?>
      
      <div class="row">
        <!-- Left col -->
        <div class="col-md-12">
          <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Required Stocks</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <?php if(!empty($required_products)): ?>
                <div class="table-responsive">
                  <table class="table no-margin">
                    <thead>
                    <tr>
                      <th>Image</th>
                      <th>Packing Label</th>
                      <th>Title</th>
                      <th>Required Qty</th>
                    </tr>
                    </thead>
                    <tbody>
                      <?php foreach($required_products as $item): ?>
                        <tr>
                          <td>
                            <img style="height: 50px; width: 50px;" src="/sellercenter/assets/images/<?php if($item['image_name']==NULL){echo "no-product-image.png";}else{echo $item['image_name'];} ?>" alt="Product Image">
                          </td>
                          <td><?php echo $item['short_title'] ?></td>
                          <td><?php echo $item['title'] ?></td>
                          <td><span class="label label-warning"><?php echo $item['required_quantity'] ?></span></td>
                        </tr>
                      <?php endforeach; ?>  
                    </tbody>
                  </table>
                </div>
              <!-- /.table-responsive -->
              <?php else: ?>
                <span>No items to show..</span>  
              <?php endif; ?>  
            </div>
            <!-- /.box-body -->
            <!--div class="box-footer clearfix">
              <a href="javascript:void(0)" class="btn btn-sm btn-info btn-flat pull-left">Place New Order</a>
              <a href="javascript:void(0)" class="btn btn-sm btn-default btn-flat pull-right">View All Orders</a>
            </div-->
            <!-- /.box-footer -->
          </div>
        </div>
      </div>
      
      <!-- Main row -->
      <div class="row">
        <!-- Left col -->
        <div class="col-md-12">
          <!-- MAP & BOX PANE -->
          <div class="box box-success">
            <div class="box-header with-border">
              <h3 class="box-title">Top 15 Sellers(within 30 Days)</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body no-padding">
              <div class="row">
                <div class="col-md-12">
                  <div class="chart-responsive">
                    <canvas id="productSalesChart" height="250px"></canvas>
                    <span><i class="fa fa-circle-o" style="color:#3463ef"></i> Sales Value </span>
                    <span><i class="fa fa-circle-o" style="color:#fcf819"></i> Direct Cost(Apprx.) </span>
                    <span><i class="fa fa-circle-o" style="color:#00a65a"></i> Gross Profit(Apprx.) </span>
                  </div>
                </div>
                <!-- /.col -->
              </div>
              <!-- /.row -->
            </div>
            <!-- /.box-body -->
          </div>
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    <?php endif;?>  
    </section>
    <!-- /.content -->
    
    <?php
        //configuring weekly sales report data for chartJS
        $weekly_sales_labels = array();
        $weekly_sales_data = array();
        foreach($weekly_sales as $item){
            array_push($weekly_sales_labels,$item['created_date']);
            array_push($weekly_sales_data,$item['order_count']);
        }
        
        if($this-> session-> userdata('user_role')=='admin'||$this-> session-> userdata('user_role')=='franchise_admin'){
            //configuring product wise sales report data for chartJS
            $product_sales_labels = array();
            $product_sales = array();
            $product_cost = array();
            $product_profit = array();
            foreach($product_wise_sales as $key => $item){
                if ($key>=15){
                    break;
                }
                array_push($product_sales_labels,$item['Product']);
                array_push($product_sales,$item['Sales']);
                array_push($product_cost,$item['Cost']);
                array_push($product_profit,$item['Profit']);
            }
        }    
    ?>
    
    <script>
         window.onload = function(){
             //daily order count chart
             config_daily_order_count_chart();
            
            <?php if($this-> session-> userdata('user_role')=='admin'):?>
            //product wise sales report
             config_product_sales_chart();
            <?php endif;?>  
            
            //order composition chart
            // Get context with jQuery - using jQuery's .get() method.
              var pieChartCanvas = $('#orderCompositionChart').get(0).getContext('2d');
              var pieChart       = new Chart(pieChartCanvas);
              var PieData        = [
                <?php $i=1;?>  
                <?php foreach($order_composition as $item):?>  
                {
                  value    : <?php echo $item['order_count']?>,
                  color    : '<?php echo $item['label_colour']?>',
                  highlight: '<?php echo $item['label_colour']?>',
                  label    : '<?php echo $item['order_status']?>'
                }
                <?php if(count($order_composition)!=$i){
                    echo ",";
                } ?>
                    <?php $i++; ?>
                <?php endforeach;?>
              ];
              var pieOptions     = {
                // Boolean - Whether we should show a stroke on each segment
                segmentShowStroke    : false,
                // String - The colour of each segment stroke
                //segmentStrokeColor   : '#fff',
                // Number - The width of each segment stroke
                //segmentStrokeWidth   : 0,
                // Number - The percentage of the chart that we cut out of the middle
                percentageInnerCutout: 0, // This is 0 for Pie charts
                // Number - Amount of animation steps
                animationSteps       : 100,
                // String - Animation easing effect
                animationEasing      : 'easeOutBounce',
                // Boolean - Whether we animate the rotation of the Doughnut
                animateRotate        : true,
                // Boolean - Whether we animate scaling the Doughnut from the centre
                animateScale         : false,
                // Boolean - whether to make the chart responsive to window resizing
                responsive           : true,
                // Boolean - whether to maintain the starting aspect ratio or not when responsive, if set to false, will take up entire container
                maintainAspectRatio  : false,
                // String - A legend template
                //legendTemplate       : '<ul class=\'<%=name.toLowerCase()%>-legend\'><% for (var i=0; i<segments.length; i++){%><li><span style=\'background-color:<%=segments[i].fillColor%>\'></span><%if(segments[i].label){%><%=segments[i].label%><%}%></li><%}%></ul>',
                // String - A tooltip template
                tooltipTemplate      : '<%=value %> <%=label%> orders'
              };
              // Create pie or douhnut chart
              // You can switch between pie and douhnut using the method below.
              pieChart.Doughnut(PieData, pieOptions);
         }
         
         function config_daily_order_count_chart(){
             var weeklySalesData = {
              labels  : <?php echo json_encode($weekly_sales_labels)?>,
              datasets: [
                {
                  label               : 'Sales',
                  fillColor           : '#00a65a',
                  strokeColor         : '#00a65a',
                  pointColor          : '#00a65a',
                  pointStrokeColor    : '#c1c7d1',
                  pointHighlightFill  : '#fff',
                  pointHighlightStroke: 'rgba(220,220,220,1)',
                  data                : <?php echo json_encode($weekly_sales_data)?>
                }
              ]
            };
            
            var barChartCanvas                   = $('#weeklySalesChart').get(0).getContext('2d');
            var barChart                         = new Chart(barChartCanvas);
            var barChartData                     = weeklySalesData;
            var barChartOptions                  = {
              //Boolean - Whether the scale should start at zero, or an order of magnitude down from the lowest value
              scaleBeginAtZero        : true,
              //Boolean - Whether grid lines are shown across the chart
              scaleShowGridLines      : true,
              //String - Colour of the grid lines
              scaleGridLineColor      : 'rgba(0,0,0,.05)',
              //Number - Width of the grid lines
              scaleGridLineWidth      : 1,
              //Boolean - Whether to show horizontal lines (except X axis)
              scaleShowHorizontalLines: true,
              //Boolean - Whether to show vertical lines (except Y axis)
              scaleShowVerticalLines  : true,
              //Boolean - If there is a stroke on each bar
              barShowStroke           : true,
              //Number - Pixel width of the bar stroke
              barStrokeWidth          : 2,
              //Number - Spacing between each of the X value sets
              barValueSpacing         : 5,
              //Number - Spacing between data sets within X values
              barDatasetSpacing       : 1,
              //String - A legend template
              legendTemplate          : '<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<datasets.length; i++){%><li><span style="background-color:<%=datasets[i].fillColor%>"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>',
              //Boolean - whether to make the chart responsive
              responsive              : true,
              maintainAspectRatio     : true
            };
        
            barChartOptions.datasetFill = false;
            barChart.Bar(barChartData, barChartOptions);
         }
         
         <?php if($this-> session-> userdata('user_role')=='admin'||$this-> session-> userdata('user_role')=='franchise_admin'):?>
         function config_product_sales_chart(){
            var productSalesData = {
              labels  : <?php echo json_encode($product_sales_labels)?>,
              datasets: [
                {
                  label               : 'Sales',
                  fillColor           : '#3463ef',
                  strokeColor         : '#3463ef',
                  pointColor          : '#3463ef',
                  pointStrokeColor    : '#c1c7d1',
                  pointHighlightFill  : '#fff',
                  pointHighlightStroke: 'rgba(220,220,220,1)',
                  data                : <?php echo json_encode($product_sales)?>
                },
                {
                  label               : 'Direct Cost',
                  fillColor           : '#fcf819',
                  strokeColor         : '#fcf819',
                  pointColor          : '#fcf819',
                  pointStrokeColor    : '#c1c7d1',
                  pointHighlightFill  : '#fff',
                  pointHighlightStroke: 'rgba(220,220,220,1)',
                  data                : <?php echo json_encode($product_cost)?>
                },
                {
                  label               : 'Gross Profit',
                  fillColor           : '#00a65a',
                  strokeColor         : '#00a65a',
                  pointColor          : '#00a65a',
                  pointStrokeColor    : '#c1c7d1',
                  pointHighlightFill  : '#fff',
                  pointHighlightStroke: 'rgba(220,220,220,1)',
                  data                : <?php echo json_encode($product_profit)?>
                }
              ]
            };
            
            var barChartCanvas                   = $('#productSalesChart').get(0).getContext('2d');
            var barChart                         = new Chart(barChartCanvas);
            
            var barChartData                     = productSalesData;
            var barChartOptions                  = {
              
              //Boolean - Whether the scale should start at zero, or an order of magnitude down from the lowest value
              scaleBeginAtZero        : true,
              //Boolean - Whether grid lines are shown across the chart
              scaleShowGridLines      : true,
              //String - Colour of the grid lines
              scaleGridLineColor      : 'rgba(0,0,0,.05)',
              //Number - Width of the grid lines
              scaleGridLineWidth      : 1,
              //Boolean - Whether to show horizontal lines (except X axis)
              scaleShowHorizontalLines: true,
              //Boolean - Whether to show vertical lines (except Y axis)
              scaleShowVerticalLines  : true,
              //Boolean - If there is a stroke on each bar
              barShowStroke           : true,
              //Number - Pixel width of the bar stroke
              barStrokeWidth          : 2,
              //Number - Spacing between each of the X value sets
              barValueSpacing         : 5,
              //Number - Spacing between data sets within X values
              barDatasetSpacing       : 1,
              //String - A legend template
              legendTemplate          : '<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<datasets.length; i++){%><li><span style="background-color:<%=datasets[i].fillColor%>"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>',
              //Boolean - whether to make the chart responsive
              responsive              : true,
              maintainAspectRatio     : true
            };
        
            barChartOptions.datasetFill = false;
            barChart.Bar(barChartData, barChartOptions);
         }
         <?php endif;?> 
    </script>