<section class="content-header">
  <h1>
    Add New
    <small>Franchise</small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="#">Franchise</a></li>
    <li class="active">Add New</li>
  </ol>
  <?php if(validation_errors()) : ?>
    <div class="alert alert-danger alert-dismissible">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      <h4><i class="icon fa fa-ban"></i> Alert!</h4>
      <?php echo validation_errors(); ?>
    </div>
  <?php endif; ?>   
</section>

<section class="content">
  <?php  
    //$attributes = array('onsubmit' => 'return validate()');
    //echo form_open_multipart($formMethod, $attributes); 
    echo form_open_multipart($formMethod); 
  ?>
    <div class="row">
      <div class="col-md-5">
        <div class="box box-primary">
          <!-- box-header -->
          <div class="box-header with-border">
            <h3 class="box-title">Basic Info</h3>
          </div>
          <!-- /.box-header -->
     
          <!-- box-body -->   
          <div class="box-body">
            <div class="form-group">
              <label for="name">Franchise Name</label>
              <input type="text" class="form-control" name="name" id="name" placeholder="Enter Name" required autofocus value="<?php echo set_value('name'); ?>">
            </div>
            <div class="form-group">
              <label for="name">About Franchise</label>
              <textarea class="form-control" name="description" id="description" cols="30" rows="5" placeholder="Enter Franchise Bio"><?php echo set_value('description'); ?></textarea>
            </div>
            <div class="form-group">
              <label for="name">Phone 1</label>
              <input type="text" class="form-control" name="phone_one" id="phone_one" placeholder="Enter Phone Number 1" value="<?php echo set_value('phone_one'); ?>">
            </div>
            <div class="form-group">
              <label for="name">Phone 2</label>
              <input type="text" class="form-control" name="phone_two" id="phone_two" placeholder="Enter Phone Number 2" value="<?php echo set_value('phone_two'); ?>">
            </div>
          </div> 
        </div>
        <div class="box box-primary">
          <!-- box-header -->
          <div class="box-header with-border">
            <h3 class="box-title">Bank Info</h3>
          </div>
          <!-- /.box-header -->
     
          <!-- box-body -->   
          <div class="box-body">
            <div class="form-group">
              <label for="name">Bank</label>
              <input type="text" class="form-control" name="bank" id="bank" placeholder="Enter Bank" value="<?php echo set_value('bank'); ?>">
            </div>
            <div class="form-group">
              <label for="name">Account Holder Name</label>
              <input type="text" class="form-control" name="bank_account_name" id="bank_account_name" placeholder="Enter Bank" value="<?php echo set_value('bank_account_name'); ?>">
            </div>
            <div class="form-group">
              <label for="name">Account Number</label>
              <input type="text" class="form-control" name="bank_account_number" id="bank_account_number" placeholder="Enter Account Number" value="<?php echo set_value('bank_account_number'); ?>">
            </div>
            <div class="form-group">
              <label for="name">Branch</label>
              <input type="text" class="form-control" name="bank_account_branch" id="bank_account_branch" placeholder="Enter Account Branch" value="<?php echo set_value('bank_account_branch'); ?>">
            </div>
          </div> 
        </div>
      </div>
      <div class="col-md-7">
        <div class="box box-primary">
          <!-- box-header -->
          <div class="box-header with-border">
            <h3 class="box-title">Order Search Code</h3>
          </div>
          <!-- /.box-header -->
     
          <!-- box-body -->   
          <div class="box-body">
            <div class="form-group">
              <label for="order_prefix">Prefix</label>
              <input required type="text" class="form-control" name="order_prefix" id="order_prefix" placeholder="Enter Order Prefix" value="<?php echo set_value('order_prefix'); ?>">
            </div>
            <div class="form-group">
              <label for="last_order">Start From</label>
              <input required type="number" class="form-control" name="last_order" id="last_order" placeholder="Enter Starting Order No." value="<?php echo set_value('last_order'); ?>">
            </div>
          </div>  
      </div>
        <div class="box box-primary">
          <!-- box-header -->
          <div class="box-header with-border">
            <h3 class="box-title">Franchise Logo</h3>
          </div>
          <!-- /.box-header -->
     
          <!-- box-body -->   
          <div class="box-body">
            <div class="form-group">
              <label for="name">Franchise Logo</label>
              <input type="file" name="logo" size="20">
            </div>
          </div>  
      </div>
      <div class="box box-primary">
          <!-- box-header -->
          <div class="box-header with-border">
            <h3 class="box-title">Shipping Zone Map</h3>
          </div>
          <!-- /.box-header -->
     
          <!-- box-body -->   
          <div class="box-body table-responsive no-padding">
            <table class="table table-hover">
              <thead>
                <th>Shipping Zone</th>
                <th>Delivery Charge</th> 
                <th>+1KG</th>
                <th>Service Charge</th> 
                <th>+1KG</th>
              </thead>
              <tbody id="table_body">
                <?php foreach($shipping_zones as $key=> $item): ?>
                <tr>
                  <td>
                    <input type="hidden" name="shipping_zone[<?php echo $key ?>]" value="<?php echo $item['id'] ?>">
                    <?php echo $item['title'] ?>
                  </td>
                  <td><input type="number" name="franchise_shipping_cost[<?php echo $key ?>]" value="<?php echo set_value('franchise_shipping_cost['.$key.']'); ?>" required></td>
                  <td><input type="number" name="franchise_charge_for_additional_kg[<?php echo $key ?>]" value="<?php echo set_value('franchise_charge_for_additional_kg['.$key.']'); ?>" required></td>
                  <td><input type="number" name="service_charge[<?php echo $key ?>]" value="<?php echo set_value('service_charge['.$key.']'); ?>" required></td>
                  <td><input type="number" name="charge_for_additional_kg[<?php echo $key ?>]" value="<?php echo set_value('charge_for_additional_kg['.$key.']'); ?>" required></td>
                </tr>
                <?php endforeach; ?>
              </tbody>
            </table>      
          </div>  
          <div class="box-footer">
            <button type="submit" class="btn btn-primary pull-right">Submit</button>
          </div>
      </div>
    </div>     
  <?php echo form_close(); ?>
</section>  