<!-- Content Header (Page header) -->
<section class="content-header">
  <h1>
    Assign Products
    <small>Franchise</small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="#">Franchise</a></li>
    <li class="active">Assign Products</li>
  </ol>
  <?php if(validation_errors()) : ?>
    <div class="alert alert-danger alert-dismissible">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      <h4><i class="icon fa fa-ban"></i> Alert!</h4>
      <?php echo validation_errors(); ?>
    </div>
  <?php endif; ?>   
  
</section>

 <!-- Main content -->
<section class="content">
  <?php echo form_open($formMethod); ?>
  <div class="row">
    <div class="col-md-12">
      <!-- /.customer-info-box -->
      <div class="box box-primary">
        <!-- box-header -->
        <div class="box-header with-border">
          <h3 class="box-title">Products</h3>
        </div>
        <!-- box-body -->   
        <div class="box-body">
          <div class="form-group">
            <label for="add_item">Add Item</label>
            <input type="text" class="form-control" id="add_item" name="add_item" placeholder="Search Item" onkeyup="search_item();">
            <div id="item_list">
            </div>
          </div>  
          <div class="col-xs-12 table-responsive">
            <table class="table table-striped" id="order_item">
              <thead>
                <tr>
                  <th>Product</th>
                  <th>Price(Rs)</th>
                  <th>Daily Sponsor($)</th>
                  <th></th>
                </tr>
              </thead>
              <tbody> 
                <?php 
                  $item_key = array_column($products, 'id');
                  $product_list = array();
                ?> 
                <?php foreach($assigned_products as $key=>$item): ?>   
                  <?php 
                    $index = array_search($item['id'], $item_key); 
                    array_push($product_list, $index);
                  ?>
                  <tr id="row_<?php echo $key ?>">
                    <td><input type="hidden" name="product[<?php echo $key ?>]" id="product_<?php echo $key ?>" value="<?php echo $item['id'] ?>"><input type="hidden" id="index_<?php echo $key ?>" value="<?php echo $index ?>"><?php echo $item['title'] ?></td>
                    <td><input type="number" class="form-control input-sm" name="price[<?php echo $key ?>]" id="price_<?php echo $key ?>" value="<?php echo $item['price'] ?>" ></td>
                    <td><input type="number" class="form-control input-sm" name="daily_sponsor_amount[<?php echo $key ?>]" id="daily_sponsor_amount_<?php echo $key ?>" value="<?php echo $item['daily_sponsor_amount'] ?>" ></td>
                    <td><a class="btn btn-xs" onclick="removeoption(<?php echo $key ?>,'+index+');"><i class="fa fa-close"></i></a></td>
                  </tr>
                <?php endforeach; ?>                
              </tbody>
            </table>
          </div>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
          <button type="submit" class="btn btn-primary">Update</button>
        </div>
      </div>
    </div>
  </div>      
  <?php echo form_close(); ?>
  <script>
      
      var num = <?php echo sizeof($assigned_products); ?>;
      var product_list = <?php echo json_encode($product_list)?>;
      //var selected_city_index = 0;
      var products = <?php echo json_encode($products)?>;
      //var total_amount = 0, grand_total = 0, delivery_charge = 0;

      function search_item() {
        var input, filter, productTxt;
        var content = "";
        input = document.getElementById("add_item");
        filter = input.value.toUpperCase();
        if(input.value.length > 2){
          for (i = 0; i < products.length; i++) {
            productTxt = products[i].title + products[i].sku;
            if (productTxt.toUpperCase().indexOf(filter) > -1) {
              content+= "<button onclick='add_order_item("+i+");' class='btn btn-info btn-xs'><i class='fa fa-plus'></i></button><a onclick='add_order_item("+i+");'>"+products[i].sku+"-"+products[i].title+"</a><br>";
            }
          }
        } 
        $('#item_list').html(content);
      }

      function add_order_item(index){
        if (product_list.includes(index)) {
            $('#add_item').val(''); 
            $('#item_list').html('');
        }else{  
            var td1 = '<td><input type="hidden" name="product['+num+']" id="product_'+num+'" value="'+products[index].id+'"><input type="hidden" id="index_'+num+'" value="'+index+'">'+products[index].title+'</td>';
            var td2 = '<td><input type="number" class="form-control input-sm" name="price['+num+']" id="price_'+num+'" value="'+products[index].price+'" ></td>'; 
            //var td3 = '<td><input type="number" class="form-control input-sm" name="commision['+num+']" id="commision_'+num+'" value="'+products[index].wholesale_price+'" ></td>'; 
            var td4 = '<td><input type="number" class="form-control input-sm" name="daily_sponsor_amount['+num+']" id="daily_sponsor_amount_'+num+'" value="0" ></td>'; 
            var td5 = '<td><a class="btn btn-xs" onclick="removeoption('+num+','+index+');"><i class="fa fa-close"></i></a></td>';
            var row = '<tr id="row_'+num+'">'+td1+td2+td4+td5+'</tr>';
            $('#order_item tr:last').after(row);

            $('#add_item').val(''); 
            $('#item_list').html('');

            num++;   
            $('#RowCount').val(num);    
            product_list.push(index);

            //calculate_amount();

            $('#add_item').focus();
        }
      }


      function removeoption(row,product){
        $('#row_'+row).remove();
        var index = product_list.indexOf(product);
        product_list.splice(index,1);

        //calculate_amount();  
      }

    </script> 