<section class="content-header">
    <h1>
      Add Bulk Orders
      <small>Orders</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Admin Tools</a></li>
      <li><a href="#">Update Courier Ref</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>


  <section class="content">

    <div class="row">
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Upload File</h3>
          </div>
          
          <div class="box-body">
            <div class="form-group">
              <label for="file">Select File</label>
              <input type="file" class="form-control" name="file" id="file">
            </div>
            <div class="form-group">
              <input type="button" value="Upload" onclick="uploadExcel()" class="btn btn-primary">
            </div>
            <div class="col-xs-6">
              <div class="form-group">
                <label>Find Cities</label>
                <select id="select_city" class="select2">
                  <?php foreach($cities as $city): ?>
                    <option value="<?php echo $city['city'] ?>"><?php echo $city['city'] ?></option>
                  <?php endforeach; ?>  
                </select>
                <a href="#" class="btn btn-primary btn-sm" onclick="copy('select_city');">Copy</a>
              </div>
            </div>
            <div class="col-xs-6">
              <div class="form-group">
                <label>Find Product Ids</label>
                <select id="select_product" class="select2">
                  <?php foreach($products as $product): ?>
                    <option value="<?php echo $product['id'] ?>"><?php echo $product['id'] ?> - <?php echo $product['title'] ?></option>
                  <?php endforeach; ?>  
                </select>
                <a href="#" class="btn btn-primary btn-sm" onclick="copy('select_product');">Copy</a>
              </div>
            </div>
            <div class="form-group">
              <a class="text-aqua" href="/sellercenter/assets/bulk_order_template.xlsx" download><b>Download file template here..</b></a>
            </div>
          </div>
        </div>
      </div>
      <div class="col-xs-12">
        <div class="box">
          <?php echo form_open($formMethod); ?>

          <div class="box-header">
            <h3 class="box-title">Result Table</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="result_table" class="table table-striped">
              <thead>
                <tr>
                  <?php foreach($columns as $column): ?>
                      <th><?php echo $column?></th>
                  <?php endforeach; ?>
                </tr>
              </thead>
              <tbody id="table_body"></tbody>
            </table>
            <input type="hidden" name="RowCount" id="RowCount">
            </div>
          </div>

          <div class="box-footer">
            <a id="validate" href="#" class="btn btn-primary" onclick="validate();">Validate</a>
            <button id="submit" type="submit" class="btn btn-primary" style="display: none">Submit</button>
          </div>
          
        <?php  echo form_close(); ?> 
        </div>
      </div>
    </div>
      
  </section>

  <script>

    var columns = <?php echo json_encode($columns); ?>;
    var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };

    window.onload = function(){
      $('.select2').select2();
    }


  </script>