<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Call List
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Call List</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">

    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
            <div class="pull-right">
              <a href="<?php echo base_url('orders/call_list/pending');?>" class="btn btn-primary btn-xs"> PENDING </a>&nbsp
              <a href="<?php echo base_url('orders/call_list/confirm');?>" class="btn btn-primary btn-xs"> CONFIRM </a>&nbsp
              <a href="<?php echo base_url('orders/call_list/not_confirm');?>" class="btn btn-primary btn-xs">NOT CONFIRM</a>&nbsp
              <a href="<?php echo base_url('orders/call_list/hold');?>" class="btn btn-primary btn-xs"> HOLD </a>&nbsp
              <a href="<?php echo base_url('orders/call_list/want_info');?>" class="btn btn-primary btn-xs"> WANT INFO </a>&nbsp
            </div>
          </div>
          
          <div class="box-body">
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Customer</th>
                  <th>Status</th>
                  <th>Address</th>
                  <th>City</th>
                  <th>Phone No.#1</th>
                  <th>Phone No.#2</th>
                  <th>Items</th>
                  <th>Total(Rs.)</th>
                  <th>Call Attempts</th>
                  <th>Created Date</th>
                  <th>Private Reference</th>
                </tr>
              </thead>
            </table>
          </div>
          
          <div class="box-footer">
            <div class="pull-left">
              <span><?php echo "Showing ".($offset+1)." to ".($offset+$limit)." of ".$total_rows." entries" ?></span>
            </div>
            <div class="pull-right pagination">
              <?php echo $this-> pagination-> create_links(); ?>
            </div>
          </div>
          
          <div class="modal fade" id="modal-default">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close btn_close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title" id="modal_title"></h4>
                    <h5 class="modal-title" id="address"></h5>
                </div>
                <div class="modal-body">
                  <div class="col-xs-6">
                    <div class="form-group">
                      Private Reference: <label id="private_reference"></label>
                    </div>  
                    <div class="form-group">
                      Status: <label id="order_status"></label>
                    </div>
                    <div class="form-group">
                      Phone No.#1: <label id="phone_one"></label>
                    </div>
                    <div class="form-group">
                      Phone No.#2: <label id="phone_two"></label>
                    </div>
                  </div>
                  <div class="col-xs-6">
                    <div class="form-group">
                      Items: <label id="item_description"></label>
                      <a id="edit_order" target="_blank" class="btn btn-default btn-sm">Edit</a>
                    </div>
                    <div class="form-group" id="order_items">
                      
                    </div><!-- edited -->
                    <div class="form-group">
                      Total(Rs.): <label id="grand_total"></label>
                    </div>
                    <div class="form-group">
                      Call Attempts: <label id="call_attempts"></label>
                    </div>
                    <div class="form-group">
                      Last Modified: <label id="last_modified"></label>
                    </div>
                  </div>
                  <div id="hold_div" class="form-group input-group margin">
                    <input type="date" class="form-control" id="hold_until">
                        <span class="input-group-btn">
                          <button id="btn_hold" type="button" class="btn btn-primary btn-flat">Hold</button>
                        </span>
                  </div>
                  <div class="form-group input-group margin" id="customer_notes_div">
                    <input type="text" class="form-control" placeholder="Customer Notes" id="customer_notes">
                      <span class="input-group-btn">
                        <button type="button" id="update_customer_notes" class="btn btn-info btn-flat">Go</button>
                      </span>
                  </div>
                  <div class="form-group  input-group margin" id="delivery_notes_div">
                    <input type="text" class="form-control" placeholder="Delivery Notes" id="delivery_notes">
                      <span class="input-group-btn">
                        <button type="button" id="update_delivery_notes" class="btn btn-info btn-flat">Go</button>
                      </span>
                  </div>
                  <div class="form-group input-group margin">
                    Call duration: <label id="call_duration">00:00:00</label>
                  </div>

                </div>
                <div class="modal-footer">
                  <button type="button" class="btn_close btn btn-default pull-left" data-dismiss="modal">Close</button>
                  <a target="_blank" id="btn_view_order" class="btn btn-default pull-left">View</a>
                  <button class="btn btn-success btn-sm" id="btn_confirm">Confirm</button>
                  <div class="btn-group">
                    <button type="button" class="btn btn-warning btn-sm dropdown-toggle" data-toggle="dropdown">
                      Not Confirm
                      <span class="caret"></span>
                      <span class="sr-only">Toggle Dropdown</span>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                      <li><a id="no_answer">No Answer</a></li>
                      <li><a id="phone_off">Phone Off</a></li>
                      <li><a id="busy">Number Busy</a></li>
                      <li><a id="not_responding">Phone Not Responding</a></li>
                      <li><a id="call_later">Call Later</a></li>
                      <li><a id="wrong_number">Wrong Number</a></li>
                      <li><a id="want_information">Want Information</a></li>
                    </ul>
                  </div>
                  <button id="btn_cancel" class="btn btn-danger btn-sm">Cancelled</button>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- /.modal -->
        <!--?php  echo form_close(); ?--> 
        </div>
      </div>
    </div>
      
  </section>

  <?php
    $i = 0; 
    foreach ($orders as $order) {
      $order_status=$order['order_status']; $phone_one = ''; $phone_two = ''; $order_items='';
      if($order['phone_one_exists']){
          $phone_one = '<a href="tel:'.$order['phone_one'].'"><span class="label label-warning">'.$order['phone_one'].'</span></a>'.'<a target="_blank" href="'.base_url('orders/0/0/'.$order['phone_one']).'"><i class="fa fa-binoculars"></i></a>';
      }else{
          $phone_one = '<a href="tel:'.$order['phone_one'].'">'.$order['phone_one'].'</a>';
      }
      if($order['phone_two_exists']){
          $phone_two = '<a href="tel:'.$order['phone_two'].'"><span class="label label-warning">'.$order['phone_two'].'</span></a>'.'<a target="_blank" href="'.base_url('orders/0/0/'.$order['phone_two']).'"><i class="fa fa-binoculars"></i></a>';
      }else{
          $phone_two = '<a href="tel:'.$order['phone_two'].'">'.$order['phone_two'].'</a>';
      }
      if ($order['order_status']=='not_confirm') {
        $order_status = $order['order_status'].'('.$order['reason'].')'; 
      }
      if ($order['order_status']=='hold') {
          if($order['hold_until']<=date("Y-m-d", strtotime( '+1 days' ))){
            $order_status = '<span class="label label-danger">'.$order['order_status'].'('.date_format(date_create($order['hold_until']), 'Y-m-d').')'.'</span>'; 
          }else{
            $order_status = $order['order_status'].'('.date_format(date_create($order['hold_until']), 'Y-m-d').')';    
          }
      }
      //edited
      foreach ($order['order_items'] as $key => $value) {
        $order_items .= '<a target="_blank" href="'.base_url('products/view/'.$value['product']).'" class="btn btn-default btn-xs">'.$value['short_title'].' : '.$value['stock'].' </a>'; 
      }

      $item = array(
        //info needed to load datatable
        'view'=> '<button type="button" class="btn btn-sm" data-toggle="modal" data-target="#modal-default" data-backdrop="static" data-keyboard="false" onclick="load_modal('.$i.');"><i class="fa fa-eye"></i></button> '.$order['search_code']." ".$order['resipient'],
        'title'=> $order['search_code']." ".$order['resipient'],
        'status_in_dt'=> '<p id="status_'.$i.'">'.$order_status.'</p>',
        'phone_one'=> $phone_one,
        'phone_two'=> $phone_two,
        'item_description'=> $order['item_description'],
        'grand_total'=> $order['grand_total'],
        'call_attempts_in_dt'=> '<p id="call_attempts_'.$i.'">'.$order['call_attempts'].'</p>',
        'created_date'=> $order['created_date'],
        'address'=> $order['address'],
        'city'=> $order['city'],
        'private_reference'=> $order['private_reference'],
        //info needed to load the modal
        'last_modified' => $order['last_modified'],
        'hold_until'=>$order['hold_until'],
        'reason'=>$order['reason'],
        'call_attempts'=>$order['call_attempts'],
        'status'=> $order_status,
        'edit'=> base_url().'orders/edit/'.$order['search_code'],
        'customer_notes' => $order['customer_notes'],
        'delivery_notes' => $order['delivery_notes'],
        'search_code' => $order['search_code'],
        'id' => $order['id'],
        'view_order'=> base_url('orders/view_order_history/'.$order['search_code']),
        'order_items'=> $order_items //edited
      );
      array_push($order_list, $item);
      $i++;
    }
  ?>

  <script>

    var order_list = <?php echo json_encode($order_list); ?>;
    var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };
    console.log(order_list);

    window.onload = function(){
      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#example').DataTable({
          'paging'      : false,
          'lengthChange': false,
          'searching'   : false,
          'ordering'    : true,
          'info'        : false,
          'autoWidth'   : true,
          'responsive'  : true,
          "order": [[ 9, "desc" ]],
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "view"},
              {"data": "status_in_dt"},
              {"data": "address"},
              {"data": "city"},
              {"data": "phone_one"},
              {"data": "phone_two"},
              {"data": "item_description"},
              {"data": "grand_total"},
              {"data": "call_attempts_in_dt"},
              {"data": "created_date"},
              {"data": "private_reference"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
        });
        
        $('div.pagination strong').addClass('btn btn-info');
      }

      function filter_status(status) {
          $('#example').DataTable().column(1).search(status,true,false).draw();
      }

  </script>