<section class="content-header">
    <h1>
      View Complaints
      <small>Order</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Orders</a></li>
      <li><a href="#">View Complaints</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Complaints</h3>
            <div class="pull-right">
              <button onclick="filter_status('')" class="btn btn-primary btn-xs"> ALL </button>&nbsp
              <button onclick="filter_status('processing')" class="btn btn-primary btn-xs">Processing</buttona>&nbsp
              <button onclick="filter_status('sorted')" class="btn btn-primary btn-xs">Sorted</buttona>&nbsp
            </div>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Search Code</td>
                    <td>Waybill</td>
                    <td>Courier</td>
                    <td>Date</td>
                    <td>Issue</td>
                    <td>Complaint Status</td>
                    <td>Created By</td>
                    <td>Solution</td>
                    <td>Checked By</td>
                    <td>Resipient</td>
                    <td>Address</td>
                    <td>City</td>
                    <td>Phone #1</td>
                    <td>Phone #2</td>
                    <td>Actions</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <?php
    foreach ($complaints as $key=>$complaint) {
      $complaints[$key]['actions'] = '<a class="btn btn-primary btn-xs" href="'.base_url('order/orders/view_order_complaints/').$complaint['search_code'].'" target="_blank"><i class="fa fa-eye"></i></a>';
    }
  ?>

  <script>
    var order_list = <?php echo json_encode($complaints); ?>;
    window.onload = function(){
      $('#datatable').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [4, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        //'column'      : String,
        'data'        : order_list,
        'columns'     : [
            {"data": "search_code"},
            {"data": "courier_reference"},
            {"data": "courier"},
            {"data": "complaint_date"},
            {"data": "remark"},
            {"data": "complaint_status"},
            {"data": "created_by"},
            {"data": "solution"},
            {"data": "checked_by"},
            {"data": "resipient"},
            {"data": "address"},
            {"data": "city"},
            {"data": "phone_one"},
            {"data": "phone_two"},
            {"data": "actions"}
        ]
      });
    }

    function filter_status(status) {
          $('#datatable').DataTable().column(5).search(status,true,false).draw();
      }
      
  </script>