<!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Create
        <small><?php echo ucwords(str_replace("_", " ", $meta_type)); ?> Info</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#"><?php echo ucwords(str_replace("_", " ", $meta_type)); ?> Info</a></li>
        <li class="active">Create</li>
      </ol>
      <?php if(validation_errors()) : ?>
        <div class="alert alert-danger alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          <h4><i class="icon fa fa-ban"></i> Alert!</h4>
          <?php echo validation_errors(); ?>
        </div>
      <?php endif; ?>   
      
    </section>


    <section class="content">
      <?php  echo form_open_multipart($formMethod); ?>

        <div class="row">
          <div class="col-md-4">
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Order Info</h3>
              </div>
              <!-- /.box-header -->
              <div class="box-body">
                <div class="form-group">
                  <label>Order: <?php echo $order->search_code ?></label>
                </div>
                <div class="form-group">
                  <label>Resipient: <?php echo $order->resipient ?></label>
                </div>
                <div class="form-group">
                  <label>Courier Ref: <?php echo $order->courier_reference ?></label>
                </div>
                <div class="form-group">
                  <label>Phone: <?php echo $order->phone_one ?></label>
                </div>
                <div class="form-group">
                  <label>Phone#2: <?php echo $order->phone_two ?></label>
                </div>

              </div>  
            </div>
          </div>
          <div class="col-md-8">
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title"><?php echo ucwords(str_replace("_", " ", $meta_type)); ?> Info</h3>
              </div>
              <!-- /.box-header -->
              <div class="box-body">
                <?php foreach($order_meta as $meta): ?>
                  <?php if($meta['input_type']=='checkbox'): ?>
                      <div class="checkbox">
                        <label for="<?php echo $meta['meta_key'] ?>">
                          <input type="checkbox" name="<?php echo $meta['meta_key'] ?>" id="<?php echo $meta['meta_key'] ?>">
                           <?php echo $meta['meta_label'] ?>
                        </label>  
                      </div>
                  <?php else: ?>
                      <div class="form-group">
                        <label for="<?php echo $meta['meta_key'] ?>"><?php echo $meta['meta_label'] ?></label>
                        <input type="<?php echo $meta['input_type'] ?>" class="form-control" name="<?php echo $meta['meta_key'] ?>" id="<?php echo $meta['meta_key'] ?>" placeholder="Enter <?php echo $meta['meta_label'] ?>">
                      </div>
                  <?php endif; ?>  
                <?php endforeach; ?>  
              </div>  
              <div class="box-footer">
                <button type="submit" class="btn btn-primary">Submit</button>
              </div>
            </div>
          </div>  
        </div>    
      
      <?php  echo form_close(); ?>      
    </section> 