     
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Add New
        <small>Supplier Invoice</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">Sales Invoice</a></li>
        <li class="active">Add new</li>
      </ol>
      <?php if(validation_errors()) : ?>
        <div class="alert alert-danger alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          <h4><i class="icon fa fa-ban"></i> Alert!</h4>
          <?php echo validation_errors(); ?>
        </div>
      <?php endif; ?>   
      
    </section>

     <!-- Main content -->
    <section class="content">
      <?php  
        $attributes = array('onsubmit' => 'return validate()');
        echo form_open_multipart($formMethod, $attributes); 
      ?>
      <div class="row">
          <div class="col-md-12">
            <!-- /.customer-info-box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Supplier Info</h3>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="resipient">Supplier</label>
                  <select class= "form-control" name="supplier" id="supplier"> 
                    <?php foreach($suppliers as $supplier): ?> 
                      <option value="<?php echo $supplier['id'] ?>"><?php echo $supplier['name'] ?></option>
                    <?php endforeach; ?>
                  </select>
                </div>
                <div class="form-group">
                  <label for="delivery_notes">Remarks</label>
                  <textarea rows="2" class="form-control" name="remarks" id="remarks" placeholder="Enter Remarks"></textarea>
                </div>
              </div>
              <!-- /.box-body -->
            </div>
            <!-- /.customer-info-box -->
          </div>
          <div class="col-md-12">
            <!-- /.item-info-box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Item Info</h3>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="add_item">Add Item</label>
                  <input type="text" class="form-control" id="add_item" name="add_item" placeholder="Search Item" onkeyup="search_item();">
                  <div id="item_list">
                  </div>
                </div>  
                <div class="col-xs-12 table-responsive">
                  <table class="table table-striped" id="order_item">
                    <thead>
                      <tr>
                        <th>Product</th>
                        <th>Qty</th>
                        <th>Price(Rs)</th>
                        <th>Amount(Rs)</th>
                        <th></th>
                      </tr>
                    </thead>
                    <tbody>                    
                    </tbody>
                  </table>
                </div>
              </div>
              <!-- /.box-body -->

              <div class="box-footer">
                <div class="pull-right">
                  <div class="col-xs-6">
                    <label>Total Amount:</label><br>
                    <label>Delivery Charge:</label><br>
                    <label>Grand Total:</label><br>
                  </div>
                  <div class="col-xs-6">
                    <label id="total_amount">0.00</label><br>
                    <input type="number" name="delivery_charge" id="delivery_charge" value="0.00" onchange="calculate_amount();" onkeyup="calculate_amount();" onfocus="this.select();"><br>
                    <label id="grand_total">0.00</label><br>
                  </div>
                </div>
                <input type="hidden" name="RowCount" id="RowCount" value="0">
                <input type="button" value="Calculate" onclick="calculate_amount(); validate();" class="btn btn-primary">
              </div>
              <div class="box-footer">
                <button type="submit" class="btn btn-primary pull-right">Submit</button>
              </div>
            </div>
            <!-- /.item-info-box -->
          </div>
      </div>
      <?php  echo form_close(); ?>      
    </section>  

    <script>

      window.onload = function(){
        
      }
      
      var num = 1;
      var product_list = new Array();
      var selected_city_index = 0;
      var products = <?php echo json_encode($products)?>;
      var total_amount = 0, grand_total = 0, delivery_charge = 0;

      function search_item() {
        var input, filter, productTxt;
        var content = "";
        input = document.getElementById("add_item");
        filter = input.value.toUpperCase();
        if(input.value.length > 2){
          for (i = 0; i < products.length; i++) {
            productTxt = products[i].title + products[i].sku;
            if (productTxt.toUpperCase().indexOf(filter) > -1) {
              content+= "<button onclick='add_order_item("+i+");' class='btn btn-info btn-xs'><i class='fa fa-plus'></i></button><a onclick='add_order_item("+i+");'>"+products[i].sku+"-"+products[i].title+"</a><br>";
            }
          }
        } 
        $('#item_list').html(content);
      }

      function add_order_item(index){
        if (product_list.includes(index)) {
            $('#add_item').val(''); 
            $('#item_list').html('');
        }else{  
            var td1 = '<td><input type="hidden" name="product_'+num+'" id="product_'+num+'" value="'+products[index].id+'"><input type="hidden" id="index_'+num+'" value="'+index+'">'+products[index].short_title+'</td>';
            var td2 = '<td><input type="number" class="form-control input-sm" name="qty_'+num+'" id="qty_'+num+'" placeholder="QTY" value="1" onkeyup="calculate_amount();" onchange="calculate_amount();"></td>';  
            var td3 = '<td><input type="number" name="unit_price_'+num+'" id="unit_price_'+num+'" value="'+parseFloat(products[index].cost).toFixed(2)+'" onchange="calculate_amount();" onkeyup="calculate_amount();"></td>';
            var td4 = '<td id="amount_'+num+'">'+parseFloat(products[index].cost).toFixed(2)+'</td>'; 
            var td5 = '<td><a class="btn btn-xs" onclick="removeoption('+num+','+index+');"><i class="fa fa-close"></i></a></td>';
            var row = '<tr id="row_'+num+'">'+td1+td2+td3+td4+td5+'</tr>';
            $('#order_item tr:last').after(row);

            $('#add_item').val(''); 
            $('#item_list').html('');

            num++;   
            $('#RowCount').val(num);    
            product_list.push(index);

            calculate_amount();

            $('#add_item').focus();
        }
      }

      function calculate_amount(){

        var amount = 0;
        total_amount = 0;
        grand_total = 0;
        for (i = 1; i <= num; i++) {
          if ($('#product_'+i).length ) {
            amount = parseInt($('#qty_'+i).val()) * parseFloat($('#unit_price_'+i).val());
            $('#amount_'+i).html(amount.toFixed(2));
            total_amount+=amount;
          }
        }
        $('#total_amount').html(total_amount.toFixed(2));
        delivery_charge =  parseFloat($('#delivery_charge').val());
        
        grand_total = total_amount + delivery_charge;
        $('#grand_total').html(grand_total.toFixed(2));
      }


      function removeoption(row,product){
        $('#row_'+row).remove();
        var index = product_list.indexOf(product);
        product_list.splice(index,1);

        calculate_amount();  
      }

      function validate(){

        validated = true;

        //checking whether there is atleast one product
        var product_not_selected = true;
        for (i = 1; i <= num; i++) {
          if ($('#product_'+i).length) {
            if (parseInt($('#qty_'+i).val())>0) {
              product_not_selected = false;
            }
          }
        }
        if (product_not_selected) {
          alert("Atleast on product have to be selected");
          validated = false;
        };

        if (validated) {
          $("#btn_form_sumbmit").attr("disabled", "true");
        } 

        return validated;  
      }

    </script>  
  
  

    