<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Dispatched Orders
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Orders</a></li>
      <li><a href="#">Dispatched Orders</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">
    <?php echo form_open_multipart($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by date</label>
                </div>
                <div class="col-md-3 col-xs-12">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-3 col-xs-12">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-4 col-xs-12">
                  <div class="col-xs-2">
                    <label>Courier:</label>
                  </div>
                  <div class="col-xs-10">
                    <select class= "form-control" name="courier">   
                        <?php foreach($couriers as $item): ?>
                          <?php if($courier==$item['id']) : ?>
                            <option value="<?php echo $item['id']; ?>" selected="selected"><?php echo $item['name']; ?></option>
                          <?php else : ?>
                            <option value="<?php echo $item['id']; ?>"><?php echo $item['name']; ?></option>
                          <?php endif; ?>      
                        <?php endforeach; ?>
                    </select>
                  </div>
                </div>
                <div class="col-md-2 col-xs-12">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
     <?php  echo form_close(); ?>  

    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
            <div class="pull-right">Order Count: <?php echo count($orders)?></div>
          </div>
          
          <div class="box-body">
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Tracking Number</th>
                  <th>Weight</th>
                  <th>Amount</th>
                  <th>Customer_Name</th>
                  <th>Customer_Address</th>
                  <th>PhoneNo</th>
                  <th>City</th>
                </tr>
              </thead>
            </table>
          </div>
          
          <div class="modal fade" id="modal-default">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title" id="modal_title"></h4>
                </div>
                <div class="modal-body">
                  <div class="col-xs-6">
                    <div class="form-group">
                      Status: <label id="order_status"></label>
                    </div>
                    <div class="form-group">
                      Phone No.#1: <label id="phone_one"></label>
                    </div>
                    <div class="form-group">
                      Phone No.#2: <label id="phone_two"></label>
                    </div>
                  </div>
                  <div class="col-xs-6">
                    <div class="form-group">
                      Items: <label id="item_description"></label>
                      <a id="edit_order" class="btn btn-default btn-sm">Edit</a>
                    </div>
                    <div class="form-group">
                      Total(Rs.): <label id="grand_total"></label>
                    </div>
                    <div class="form-group">
                      Call Attempts: <label id="call_attempts"></label>
                    </div>
                    <div class="form-group">
                      Last Modification: <label id="last_modified"></label>
                    </div>
                  </div>
                  <div id="hold_div" class="form-group input-group margin">
                    <input type="date" class="form-control" id="hold_until">
                        <span class="input-group-btn">
                          <button id="btn_hold" type="button" class="btn btn-primary btn-flat">Hold</button>
                        </span>
                  </div>
                  <div class="form-group input-group margin" id="customer_notes_div">
                    <input type="text" class="form-control" placeholder="Customer Notes" id="customer_notes">
                      <span class="input-group-btn">
                        <button type="button" id="update_customer_notes" class="btn btn-info btn-flat">Go</button>
                      </span>
                  </div>
                  <div class="form-group  input-group margin" id="delivery_notes_div">
                    <input type="text" class="form-control" placeholder="Delivery Notes" id="delivery_notes">
                        <span class="input-group-btn">
                          <button type="button" id="update_delivery_notes" class="btn btn-info btn-flat">Go</button>
                        </span>
                  </div>

                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                  <button class="btn btn-success btn-sm" id="btn_confirm">Confirm</button>
                  <div class="btn-group">
                    <button type="button" class="btn btn-warning btn-sm dropdown-toggle" data-toggle="dropdown">
                      Not Confirm
                      <span class="caret"></span>
                      <span class="sr-only">Toggle Dropdown</span>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                      <li><a id="no_answer">No Answer</a></li>
                      <li><a id="phone_off">Phone Off</a></li>
                      <li><a id="busy">Number Busy</a></li>
                      <li><a id="not_responding">Phone Not Responding</a></li>
                    </ul>
                  </div>
                  <button id="btn_cancel" class="btn btn-danger btn-sm">Cancelled</button>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- /.modal -->
        <!--?php  echo form_close(); ?--> 
        </div>
      </div>
    </div>
      
  </section>

  <?php
    $order_list = array();
    foreach ($orders as $order) {
      
      if ($order['payment_type']=='AP') {
        $cod = 0;
      }else{
        $cod = $order['grand_total'];
      }
      $item = array(
        'Receiver_Name'=> $order['resipient'],
        'drop_address'=> $order['address'],
        'drop_city'=> $order['city'],
        'Waybill_Id'=> $order['courier_reference'],
        'weight'=> '1',
        'COD'=> $cod,
        'drop_name'=> $order['resipient'],
        'Receiver_Phone'=> $order['phone_one']
      );
      array_push($order_list, $item);
    }
  ?>

  <script>

    var order_list = <?php echo json_encode($order_list); ?>;
    var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };

    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            
        }
      };

      var table = $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'select'      : {'style': 'multi'},
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
                {"data": "Waybill_Id"},
                {"data": "weight"},
                {"data": "COD"},
                {"data": "Receiver_Name"},
                {"data": "drop_address"},
                {"data": "Receiver_Phone"},
                {"data": "drop_city"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            'selectAll',
            'selectNone',
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export all',
                exportOptions: {
                    modifier: {
                        selected: null
                    }
                }
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export Selected'
            } )
        ]
        });
      }

  </script>