<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Orders
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Orders</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">
    
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
           <?php echo form_open_multipart($formMethod); ?>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by field</label>
                </div>
                <div class="col-md-4">
                  <input type="text" name="txt_search" class="form-control" placeholder="Search Orders" value="<?php echo $key ?>">
                </div>
                <div class="col-md-2">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_field">Search</button>
                </div>
              </div>
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by date</label>
                </div>
                <div class="col-md-4 col-xs-12">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-4 col-xs-12">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-2 col-xs-12">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
           <?php  echo form_close(); ?>    
          </div>  
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
          </div>
          
          <div class="box-body">
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Customer</th>
                  <th>Status</th>
                  <th>Created Date</th>
                  <th>Address</th>
                  <th>City</th>
                  <th>Phone No.#1</th>
                  <th>Phone No.#2</th>
                  <th>Items</th>
                  <th>Total(Rs.)</th>
                  <th>Courier ref</th>
                  <th>Courier</th>
                  <th>Call Attempts</th>
                  <th>Private Reference</th>
                  <th>Created By</th>
                  <th>Return Informed</th>
                </tr>
              </thead>
            </table>
          </div>
          
          <div class="modal fade" id="modal-default">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span></button>
                  <h4 class="modal-title" id="modal_title"></h4>
                  <h5 id="address"></h5>
                </div>
                <div class="modal-body">
                  <div class="col-xs-6">
                    <div class="form-group">
                      Status: <label id="order_status"></label>
                    </div>
                    <div class="form-group">
                      Phone No.#1: <label id="phone_one"></label>
                    </div>
                    <div class="form-group">
                      Phone No.#2: <label id="phone_two"></label>
                    </div>
                    <div class="form-group">
                      Packing Batch: <label id="packing_batch"></label>
                    </div>
                    <div class="form-group">
                      Settlement Batch: <label id="settlement_batch"></label>
                    </div>
                    <div class="form-group">
                      Return Batch: <label id="return_batch"></label>
                    </div>
                  </div>
                  <div class="col-xs-6">
                    <div class="form-group">
                      Items: <label id="item_description"></label>
                      <a id="edit_order" target="_blank" class="btn btn-default btn-sm">Edit</a>
                    </div>
                    <div class="form-group">
                      Total(Rs.): <label id="grand_total"></label>
                    </div>
                    <div class="form-group">
                      Call Attempts: <label id="call_attempts"></label>
                    </div>
                    <div class="form-group">
                      Last Modification: <label id="last_modified"></label>
                    </div>
                    <div class="form-group">
                      Courier: <label id="courier"></label>
                    </div>
                    <div class="form-group">
                      Courier Reference: <label id="courier_ref"></label>
                    </div>
                  </div>
                  <form action="<?php echo base_url(); ?>" target="_blank" id="add_complaint" method="get">
                    <div id="complaint_div" class="form-group input-group margin">
                      <input type="text" class="form-control" name="complaint" id="complaint" placeholder="Add Complaint">
                          <span class="input-group-btn">
                            <button id="btn_complaint" type="submit" class="btn btn-danger btn-flat">Add Complaint</button>
                          </span>
                    </div>
                  </form>   
                  <div class="form-group input-group margin" id="customer_notes_div">
                    <input type="text" class="form-control" placeholder="Add Notes" id="customer_notes">
                      <span class="input-group-btn">
                        <button type="button" id="update_customer_notes" class="btn btn-info btn-flat">Add Notes</button>
                      </span>
                  </div>

                </div>
                <div class="modal-footer">
                  <a type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</a> 
                  <a id="btn_view_additional_info" target="_blank"  class="btn btn-warning btn-sm">Additional Info</a>
                  <a id="btn_view_order" target="_blank"  class="btn btn-info btn-sm">View</a>
                  <a id="btn_rtn_inform" class="btn btn-danger btn-sm">Mark as Return Informed</a>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- /.modal -->
        <!--?php  echo form_close(); ?--> 
        </div>
      </div>
    </div>
      
  </section>

  <?php
    $i = 0;
    foreach ($orders as $order) {
      $return_informed = 'No';    
      if($order['return_informed']){
          $return_informed = 'Yes';
      }    
        
      $item = array(
        //info needed to load datatable
        'view'=> '<button type="button" class="btn btn-xs" data-toggle="modal" data-target="#modal-default" onclick="load_modal('.$i.');"><i class="fa fa-eye"></i></button> '.$order['search_code']." ".$order['resipient'],
        //'view'=> '<a href="'.base_url().'orders/edit/'.$order['search_code'].'" target="_blank" class="btn btn-sm" onclick="load_modal('.$i.');"><i class="fa fa-eye"></i></a> '.$order['search_code']." ".$order['resipient'],
        'title'=> $order['search_code']." ".$order['resipient'],
        'status_in_dt'=> '<p id="status_'.$i.'">'.$order['order_status'].'</p>',
        'phone_one'=> '<a href="tel:'.$order['phone_one'].'">'.$order['phone_one'].'</a>',
        'phone_two'=> '<a href="tel:'.$order['phone_two'].'">'.$order['phone_two'].'</a>',
        'item_description'=> $order['item_description'],
        'grand_total'=> $order['grand_total'],
        'call_attempts_in_dt'=> '<p id="call_attempts_'.$i.'">'.$order['call_attempts'].'</p>',
        'created_date'=> $order['created_date'],
        'courier'=> $order['courier'],
        'courier_ref'=> '<a href="'.$order['tracking_url'].$order['courier_reference'].'" target="_blank" onclick="load_modal('.$i.');">'.$order['courier_reference'].'</a>',
        'address'=> $order['address'],
        'city'=> $order['city'],
        'franchise'=> $order['franchise'],
        'private_reference'=> $order['private_reference'],
        'return_informed_in_dt'=> '<p id="return_informed_'.$i.'">'.$return_informed.'</p>',
        //info needed to load the modal
        'return_informed'=> $order['return_informed'],
        'last_modified' => $order['last_modified'],
        'hold_until'=>$order['hold_until'],
        'reason'=>$order['reason'],
        'call_attempts'=>$order['call_attempts'],
        'status'=> $order['order_status'],
        'edit'=> base_url().'orders/edit/'.$order['search_code'],
        'customer_notes' => $order['customer_notes'],
        'delivery_notes' => $order['delivery_notes'],
        'search_code' => $order['search_code'],
        'id' => $order['id'],
        'view_order'=> base_url('orders/view_order_history/'.$order['search_code']),
        'view_additional_info'=> base_url('order/orders/create_additional_order_info/postal_exchanges/'.$order['search_code']),
        'add_complaint'=> base_url('order/orders/add_complaint/'.$order['search_code']),
        'created_by'=> $order['created_by']
      );
      array_push($order_list, $item);
      $i++;
    }
  ?>

  <script>

    var order_list = <?php echo json_encode($order_list); ?>;
    var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };

    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 2, "desc" ]],
          'pageLength': 25,
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "view"},
              {"data": "status_in_dt"},
              {"data": "created_date"},
              {"data": "address"},
              {"data": "city"},
              {"data": "phone_one"},
              {"data": "phone_two"},
              {"data": "item_description"},
              {"data": "grand_total"},
              {"data": "courier_ref"},
              {"data": "courier"},
              {"data": "call_attempts_in_dt"},
              {"data": "private_reference"},
              {"data": "created_by"},
              {"data": "return_informed_in_dt"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } ),
            
          ]
        });
      }

  </script>