<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Dispatched Orders
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Orders</a></li>
      <li><a href="#">Dispatched Orders</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">
    <?php echo form_open_multipart($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by date</label>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="col-xs-2">
                    <label>Courier:</label>
                  </div>
                  <div class="col-xs-10">
                    <select class= "form-control" name="courier">   
                        <?php foreach($couriers as $item): ?>
                          <?php if($courier==$item['id']) : ?>
                            <option value="<?php echo $item['id']; ?>" selected="selected"><?php echo $item['name']; ?></option>
                          <?php else : ?>
                            <option value="<?php echo $item['id']; ?>"><?php echo $item['name']; ?></option>
                          <?php endif; ?>      
                        <?php endforeach; ?>
                    </select>
                  </div>
                </div>
                <div class="col-md-2">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
     <?php  echo form_close(); ?>  

    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
            <div class="pull-right">Order Count: <?php echo count($orders)?></div>
          </div>
          
          <div class="box-body">
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>          
                  <th>Order number</th>
                  <th>Waybill number</th>
                  <th>Contact Name</th>
                  <th>Delivery Address</th>
                  <th>Order Description</th>
                  <th>Destination</th>
                  <th>Customer Phone</th>
                  <th>COD Amount</th>
                  <th>Province</th>
                  <th>District</th>
                  <th>City</th>
                </tr>
              </thead>
            </table>
          </div>
          
          
        </div>
      </div>
    </div>
      
  </section>

  <?php
    $order_list = array();
    foreach ($orders as $order) {
      $phone = '';
      if ($order['phone_two'] == '') {
        $phone = $order['phone_one'];
      }else {
        $phone = $order['phone_one'].'/'.$order['phone_two'];
      }
      if ($order['payment_type']=='AP') {
        $cod = 0;
      }else{
        $cod = $order['grand_total'];
      }
      $item = array(
        'Waybill_Id'=> $order['courier_reference'],
        'Order_Number'=> $order['search_code'],
        'Receiver_Name'=> $order['resipient'],
        'Delivery_Address'=> $order['address'].','.$order['city'],
        'Delivery_City' => $order['city'],
        'Receiver_Phone'=> $phone,
        'COD'=> $cod,
        'Description'=> $order['item_description'],
        'Province'=> $order['province'],
        'District'=> $order['district']
      );
      array_push($order_list, $item);
    }
  ?>

  <script>

    var order_list = <?php echo json_encode($order_list); ?>;
    var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };

    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            
        }
      };

      var table = $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'select'      : {'style': 'multi'},
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "Order_Number"},
              {"data": "Waybill_Id"},
              {"data": "Receiver_Name"},
              {"data": "Delivery_Address"},
              {"data": "Description"},
              {"data": "Delivery_City"},
              {"data": "Receiver_Phone"},
              {"data": "COD"},
              {"data": "Province"},
              {"data": "District"},
              {"data": "Delivery_City"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            'selectAll',
            'selectNone',
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export all',
                exportOptions: {
                    modifier: {
                        selected: null
                    }
                }
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null,
                text: 'Export Selected'
            } )
        ]
        });
      }

  </script>