<section class="content-header">
    <h1>
      View Order History
      <small>Orders</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">View Order History</a></li>
      <li><a href="#"><?php echo $order['search_code']?></a></li>
    </ol>   
    
  </section>


  <section class="content">
      <div class="row">
      <div class="col-xs-12">
        <div class="box">

          <div class="box-header">
            <h3 class="box-title">Order Details</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12">
              <table class="table table-striped">
                <tbody id="table_body">
                  <tr>
                    <td>Search Code</td>
                    <td><?php echo $order['search_code'] ?></td>
                  </tr>
                  <tr>
                    <td>Order Status</td>
                    <td><?php echo $order['order_status'] ?></td>
                  </tr>
                  <tr>
                    <td>Created on</td>
                    <td><?php echo $order['created_date'] ?></td>
                  </tr>
                  <tr>
                    <td>Recipient</td>
                    <td><?php echo $order['resipient'] ?></td>
                  </tr>
                  <tr>
                    <td>Items</td>
                    <td><?php echo $order['item_description'] ?></td>
                  </tr>
                  <tr>
                    <td>Address</td>
                    <td><?php echo $order['address'] ?></td>
                  </tr>
                  <tr>
                    <td>City</td>
                    <td><?php echo $order['city'] ?></td>
                  </tr>
                  <tr>
                    <td>Phone #1</td>
                    <td><?php echo $order['phone_one'] ?></td>
                  </tr>
                  <tr>
                    <td>Phone #2</td>
                    <td><?php echo $order['phone_two'] ?></td>
                  </tr>
                  <tr>
                    <td>Courier</td>
                    <td><?php echo $order['courier'] ?></td>
                  </tr>
                  <tr>
                    <td>Waybill No</td>
                    <td><?php echo $order['courier_reference'] ?></td>
                  </tr>
                  
                  <tr>
                    <td>Actions</td>
                    <td>
                        <?php if($can_cancel_packed_order && ($order['order_status']=="in_packing"||$order['order_status']=="in_courier")): ?>
                            <a class="btn btn-primary" target="_blank" href="<?php echo base_url().'order/orders/cancel_packed_order/'.$order['search_code']?>">Cancel Order</a>
                        <?php endif; ?>   
                        <?php if($can_mark_as_damaged && $order['damaged_return']==0 &&($order['order_status']=="pending_return"||$order['order_status']=="in_courier")): ?>
                            <a class="btn btn-primary" target="_blank" href="<?php echo base_url().'order/orders/mark_as_damaged/'.$order['search_code']?>">Mark as Damaged</a>
                        <?php endif; ?>
                        <?php if($can_mark_as_urgent && $order['is_urgent']==0 && $order['order_status']=="confirm"): ?>
                            <a class="btn btn-primary" target="_blank" href="<?php echo base_url().'order/orders/mark_as_urgent/'.$order['search_code']?>">Mark as Urgent</a>
                        <?php endif; ?>
                        <?php if($order['damaged_return']==1): ?>
                            <a class="btn btn-danger" target="_blank" href="#" disabled>Marked as Damaged</a>
                        <?php endif; ?>  
                        <?php if($order['is_urgent']==1): ?>
                            <a class="btn btn-danger" target="_blank" href="#" disabled>Marked as Urgent</a>
                        <?php endif; ?>  
                    </td>
                  </tr>
                   
                </tbody>
              </table>  
          </div>
          </div>
        </div>
      </div>
      <div class="col-xs-12">
        <div class="box">
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>Modified On</td>
                    <td>Remarks</td>
                    <td>Modified By</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
   

    </div>


  </section>

  <script>

    var order_history = <?php echo json_encode($order['order_history']); ?>;

    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#datatable').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 0, "asc" ]],
          //'column'      : String,
          'data'        : order_history,
          'columns'     : [
              {"data": "modified_on"},
              {"data": "remarks"},
              {"data": "user"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
        });
      }

  </script>