     
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Edit
        <small>GRN</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="#">GRN</a></li>
        <li class="active">Edit</li>
      </ol>
      <?php if(validation_errors()) : ?>
        <div class="alert alert-danger alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
          <h4><i class="icon fa fa-ban"></i> Alert!</h4>
          <?php echo validation_errors(); ?>
        </div>
      <?php endif; ?>   
      
    </section>

     <!-- Main content -->
    <section class="content">
      <?php  
        $attributes = array('onsubmit' => 'return validate()');
        echo form_open_multipart($formMethod, $attributes); 
      ?>
      <div class="row">
          <div class="col-md-12">
            <!-- /.customer-info-box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Primary Info</h3>
              </div>
              <div class="box-body">
                <div class="form-group">
                  <label for="remarks">Remarks</label>
                  <textarea rows="2" class="form-control" name="remarks" id="remarks" placeholder="Enter Remarks"><?php echo $grn['remarks'] ?></textarea>
                </div>
              </div>
              <!-- /.box-body -->
            </div>
            <!-- /.customer-info-box -->
          </div>
          <div class="col-md-12">
            <!-- /.item-info-box -->
            <div class="box box-primary">
              <!-- box-header -->
              <div class="box-header with-border">
                <h3 class="box-title">Item Info</h3>
              </div>
              <!-- /.box-header -->
         
              <!-- box-body -->   
              <div class="box-body">
                <div class="form-group">
                  <label for="add_item">Add Item</label>
                  <input type="text" class="form-control" id="add_item" name="add_item" placeholder="Search Item" onkeyup="search_item();">
                  <div id="item_list">
                  </div>
                </div>  
                <div class="col-xs-12 table-responsive">
                  <table class="table table-striped" id="order_item">
                    <thead>
                      <tr>
                        <th>Product</th>
                        <th>Qty</th>
                        <th></th>
                      </tr>
                    </thead>
                    <tbody>
                      <?php 
                        $num = 1;
                        $item_key = array_column($products, 'id');
                        $product_list = array();
                      ?> 
                      <?php foreach($grn_items as $key=>$item): ?>
                        <?php 
                          $index = array_search($item['product'], $item_key); 
                          array_push($product_list, $index);
                        ?>
                        <tr id="row_<?php echo $num; ?>">
                          <td><input type="hidden" name="product_<?php echo $num; ?>" id="product_<?php echo $num; ?>" value="<?php echo $item['product']; ?>"><input type="hidden" id="index_<?php echo $num; ?>" value="<?php echo $index; ?>"><?php echo $item['short_title']; ?></td>
                          <td><input type="number" class="form-control input-sm" name="qty_<?php echo $num; ?>" id="qty_<?php echo $num; ?>" placeholder="QTY" value="<?php echo $item['quantity']; ?>" ></td>
                          <td><a class="btn btn-xs" onclick="removeoption(<?php echo $num; ?>,<?php echo $index; ?>);"><i class="fa fa-close"></i></a></td>
                        </tr>
                        <?php $num++; ?>
                      <?php endforeach; ?>  
                    </tbody>
                  </table>
                </div>
              </div>
              <!-- /.box-body -->

              
              <div class="box-footer">
                <input type="hidden" name="RowCount" id="RowCount" value="<?php echo $num; ?>">
                <button type="submit" class="btn btn-primary pull-right">Submit</button>
              </div>
            </div>
            <!-- /.item-info-box -->
          </div>
      </div>
      <?php  echo form_close(); ?>      
    </section>  

    <script>

      window.onload = function(){
        
      }
      
      var num = <?php echo $num ?>;
      var product_list = <?php echo json_encode($product_list)?>;
      //var selected_city_index = 0;
      var products = <?php echo json_encode($products)?>;
      //var total_amount = 0, grand_total = 0, delivery_charge = 0;

      function search_item() {
        var input, filter, productTxt;
        var content = "";
        input = document.getElementById("add_item");
        filter = input.value.toUpperCase();
        if(input.value.length > 2){
          for (i = 0; i < products.length; i++) {
            productTxt = products[i].title + products[i].sku;
            if (productTxt.toUpperCase().indexOf(filter) > -1) {
              content+= "<button onclick='add_order_item("+i+");' class='btn btn-info btn-xs'><i class='fa fa-plus'></i></button><a onclick='add_order_item("+i+");'>"+products[i].sku+"-"+products[i].title+"</a><br>";
            }
          }
        } 
        $('#item_list').html(content);
      }

      function add_order_item(index){
        if (product_list.includes(index)) {
            $('#add_item').val(''); 
            $('#item_list').html('');
        }else{  
            var td1 = '<td><input type="hidden" name="product_'+num+'" id="product_'+num+'" value="'+products[index].id+'"><input type="hidden" id="index_'+num+'" value="'+index+'">'+products[index].short_title+'</td>';
            var td2 = '<td><input type="number" class="form-control input-sm" name="qty_'+num+'" id="qty_'+num+'" placeholder="QTY" value="1" ></td>';  
            var td3 = '<td><a class="btn btn-xs" onclick="removeoption('+num+','+index+');"><i class="fa fa-close"></i></a></td>';
            var row = '<tr id="row_'+num+'">'+td1+td2+td3+'</tr>';
            $('#order_item tr:last').after(row);

            $('#add_item').val(''); 
            $('#item_list').html('');

            num++;   
            $('#RowCount').val(num);    
            product_list.push(index);

            //calculate_amount();

            $('#add_item').focus();
        }
      }


      function removeoption(row,product){
        $('#row_'+row).remove();
        var index = product_list.indexOf(product);
        product_list.splice(index,1);

        //calculate_amount();  
      }

      function validate(){

        validated = true;

        //checking whether there is atleast one product
        var product_not_selected = true;
        for (i = 1; i <= num; i++) {
          if ($('#product_'+i).length) {
            if (parseInt($('#qty_'+i).val())>0) {
              product_not_selected = false;
            }
          }
        }
        if (product_not_selected) {
          alert("Atleast on product have to be selected");
          validated = false;
        };

        if (validated) {
          $("#btn_form_sumbmit").attr("disabled", "true");
        } 

        return validated;  
      }

    </script>  
  
  

    