<section class="content-header">
    <h1>
      Products 
      <small>All Products</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Products</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Products</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>SKU</td>
                    <td>Title</td>
                    <td>Short Title</td>
                    <td>Price</td>
                    <td>Stock</td>
                    <td>Actions</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <?php
    $i = 0;
    foreach ($products as $product) {
      $products[$i]['edit'] = '<a href="'.base_url().'products/edit/'.$product['id'].'" target="_blank" class="btn btn-primary btn-sm"><i class="fa fa-edit"></i></a>';
      $i++;
    }
  ?>

  <script>
    var products = <?php echo json_encode($products); ?>;
    
    
    window.onload = function(){
      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };
      
      $('#datatable').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [1, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        //'column'      : String,
        'data'        : products,
        'columns'     : [
            {"data": "sku"},
            {"data": "title"},
            {"data": "short_title"},
            {"data": "price"},
            {"data": "stock"},
            {"data": "edit"}
        ],
        'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
      });
    }
      
  </script>