<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Orders
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Reports</a></li>
      <li><a href="#">Delivery Performance</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">
    <?php echo form_open_multipart($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by date</label>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="col-xs-2">
                    <label>Courier:</label>
                  </div>
                  <div class="col-xs-10">
                    <select class= "form-control" name="courier">   
                        <?php foreach($couriers as $item): ?>
                          <?php if($courier==$item['id']) : ?>
                            <option value="<?php echo $item['id']; ?>" selected="selected"><?php echo $item['name']; ?></option>
                          <?php else : ?>
                            <option value="<?php echo $item['id']; ?>"><?php echo $item['name']; ?></option>
                          <?php endif; ?>      
                        <?php endforeach; ?>
                    </select>
                  </div>
                </div>
                <div class="col-md-2">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
         
          <div class="box-header">
            <h3 class="box-title">Order Composition</h3>
          </div>
          
          <div class="box-body">
              <div class="col-md-5">
                  <div class="chart-responsive">
                    <canvas id="orderCompositionChart" height="230px"></canvas>
                  </div>
                  <!-- ./chart-responsive -->
                </div>
                <!-- /.col -->
                <div class="col-md-7">
                  <ul class="chart-legend clearfix">
                    <?php foreach($order_composition as $item): ?>  
                        <li><i class="fa fa-circle-o" style="color:<?php echo $item['label_colour'] ?>"></i> <a onclick="filter_status('^<?php echo $item['order_status'] ?>$')"><?php echo $item['order_status'].'('.$item['order_count'].')' ?></a></li>
                    <?php endforeach; ?>  
                  </ul><br>
                    <?php 
                        $total=0; $delivered=0; $not_delivered=0; $processing=0;
                        foreach($order_composition as $item){
                            $total+=$item['order_count'];
                            if($item['order_status']=='in_courier'){
                                $processing+=$item['order_count'];
                            }
                            if($item['order_status']=='delivered'||$item['order_status']=='settled'){
                                $delivered+=$item['order_count'];
                            }
                            if($item['order_status']=='pending_return'||$item['order_status']=='returned'){
                                $not_delivered+=$item['order_count'];
                            }
                        }
                    ?>
                    <?php if(!empty($order_composition)): ?>
                    <div class="col-md-12 callout callout-warning">
                        <h4><i class="icon fa fa-info"></i> Summary</h4>
                        <label>Delivered: <?php echo number_format((float)($delivered/$total*100), 2, '.', '')?>%</label><br>
                        <label>Not Delivered: <?php echo number_format((float)($not_delivered/$total*100), 2, '.', '')?>%</label><br>
                        <label>Processing: <?php echo number_format((float)($processing/$total*100), 2, '.', '')?>%</label>
                    </div>
                    <?php else: ?>
                      <div class="col-md-12 callout callout-warning">
                        <h4><i class="icon fa fa-info"></i> Summary</h4>
                        <label>Delivered: - </label><br>
                        <label>Not Delivered: - </label><br>
                        <label>Processing: - </label>
                    </div>
                    <?php endif; ?>
                </div>
          </div>
          
        </div>
      </div>    
    </div>
     <?php  echo form_close(); ?>
     <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Orders</h3>
          </div>
          
          <div class="box-body">
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Search Code</th>
                  <th>Customer</th>
                  <th>Status</th>
                  <th>Created Date</th>
                  <th>Address</th>
                  <th>City</th>
                  <th>Phone No.#1</th>
                  <th>Phone No.#2</th>
                  <th>Items</th>
                  <th>Total(Rs.)</th>
                  <th>Franchise</th>
                  <th>Courier ref</th>
                  <th>Courier</th>
                  <th>Call Attempts</th>
                </tr>
              </thead>
            </table>
          </div>
        
        </div>
      </div>
    </div>
  </section>
  
  <?php
    $order_list = array(); 
    $i = 0;
    foreach ($orders as $order) {
      $item = array(
        'search_code'=> $order['search_code'],
        'resipient'=> $order['resipient'],
        'order_status'=> '<p id="status_'.$i.'">'.$order['order_status'].'</p>',
        'phone_one'=> '<a href="tel:'.$order['phone_one'].'">'.$order['phone_one'].'</a>',
        'phone_two'=> '<a href="tel:'.$order['phone_two'].'">'.$order['phone_two'].'</a>',
        'item_description'=> $order['item_description'],
        'grand_total'=> $order['grand_total'],
        'call_attempts'=> '<p id="call_attempts_'.$i.'">'.$order['call_attempts'].'</p>',
        'created_date'=> $order['created_date'],
        'courier'=> $order['courier'],
        'courier_ref'=> '<a href="'.$order['tracking_url'].$order['courier_reference'].'" target="_blank" >'.$order['courier_reference'].'</a>',
        'address'=> $order['address'],
        'city'=> $order['city'],
        'franchise'=> $order['franchise']
      );
      array_push($order_list, $item);
      $i++;
    }
  ?>

  <script>

    var order_list = <?php echo json_encode($order_list); ?>;
    
    window.onload = function(){
        config_pie_chart();
        
        var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 2, "desc" ]],
          'pageLength': 25,
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "search_code"},
              {"data": "resipient"},
              {"data": "order_status"},
              {"data": "created_date"},
              {"data": "address"},
              {"data": "city"},
              {"data": "phone_one"},
              {"data": "phone_two"},
              {"data": "item_description"},
              {"data": "grand_total"},
              {"data": "franchise"},
              {"data": "courier_ref"},
              {"data": "courier"},
              {"data": "call_attempts"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } ),
            
          ]
        });
    }
    
      function filter_status(status) {
          $('#example').DataTable().column(2).search(status,true,false).draw();
      }
    
    function config_pie_chart(){
          var pieChartCanvas = $('#orderCompositionChart').get(0).getContext('2d');
          var pieChart       = new Chart(pieChartCanvas);
          var PieData        = [
            <?php $i=1;?>  
            <?php foreach($order_composition as $item):?>  
            {
              value    : <?php echo $item['order_count']?>,
              color    : '<?php echo $item['label_colour']?>',
              highlight: '<?php echo $item['label_colour']?>',
              label    : '<?php echo $item['order_status']?>'
            }
            <?php if(count($order_composition)!=$i){
                echo ",";
            } ?>
                <?php $i++; ?>
            <?php endforeach;?>
          ];
          var pieOptions     = {
            // Boolean - Whether we should show a stroke on each segment
            segmentShowStroke    : false,
            // String - The colour of each segment stroke
            //segmentStrokeColor   : '#fff',
            // Number - The width of each segment stroke
            //segmentStrokeWidth   : 0,
            // Number - The percentage of the chart that we cut out of the middle
            percentageInnerCutout: 0, // This is 0 for Pie charts
            // Number - Amount of animation steps
            animationSteps       : 100,
            // String - Animation easing effect
            animationEasing      : 'easeOutBounce',
            // Boolean - Whether we animate the rotation of the Doughnut
            animateRotate        : true,
            // Boolean - Whether we animate scaling the Doughnut from the centre
            animateScale         : false,
            // Boolean - whether to make the chart responsive to window resizing
            responsive           : true,
            // Boolean - whether to maintain the starting aspect ratio or not when responsive, if set to false, will take up entire container
            maintainAspectRatio  : false,
            // String - A legend template
            //legendTemplate       : '<ul class=\'<%=name.toLowerCase()%>-legend\'><% for (var i=0; i<segments.length; i++){%><li><span style=\'background-color:<%=segments[i].fillColor%>\'></span><%if(segments[i].label){%><%=segments[i].label%><%}%></li><%}%></ul>',
            // String - A tooltip template
            tooltipTemplate      : '<%=value %> <%=label%> orders'
          };
          // Create pie or douhnut chart
          // You can switch between pie and douhnut using the method below.
          pieChart.Doughnut(PieData, pieOptions);
    }

  </script>