<section class="content-header">
    <h1>
      District Wise Performance 
      <small>Reports</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Reports</a></li>
      <li><a href="#">District Wise Performance</a></li>
    </ol>
  </section>

  <section class="content">
    <?php echo form_open($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by date</label>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="col-xs-2">
                    <label>Courier:</label>
                  </div>
                  <div class="col-xs-10">
                    <select class= "form-control" name="courier">   
                        <?php foreach($couriers as $item): ?>
                          <?php if($courier==$item['id']) : ?>
                            <option value="<?php echo $item['id']; ?>" selected="selected"><?php echo $item['name']; ?></option>
                          <?php else : ?>
                            <option value="<?php echo $item['id']; ?>"><?php echo $item['name']; ?></option>
                          <?php endif; ?>      
                        <?php endforeach; ?>
                    </select>
                  </div>
                </div>
                <div class="col-md-2">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
    <?php echo form_close(); ?>
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Delivery Performance</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>District</td>
                    <td>In Courier(#)</td>
                    <td>Delivered(#)</td>
                    <td>Returned(#)</td>
                    <td>In Courier(%)</td>
                    <td>Delivered(%)</td>
                    <td>Returned(%)</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <script>
    var order_list = <?php echo json_encode($order_composition); ?>;
    window.onload = function(){
      $('#datatable').DataTable({
        'paging'      : false,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [0, 'desc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        //'column'      : String,
        'data'        : order_list,
        'columns'     : [
            {"data": "district"},
            {"data": "in_courier"},
            {"data": "settled"},
            {"data": "returned"},
            {"data": "processing"},
            {"data": "delivered"},
            {"data": "not_delivered"}
        ],
        'dom': 'Bfrtip',
        buttons     : [
              'excel'
        ]
      });
    }
      
  </script>