<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Orders
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Reports</a></li>
      <li><a href="#">Issued Orders</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">
    <?php echo form_open_multipart($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <div class="col-xs-2">
                    <label>Issue Period (Days):</label>
                  </div>
                  <div class="col-xs-6">
                    <input type="number" name="day_limit" class="form-control" value="<?php echo $day_limit ?>">
                  </div>
                  <button type="submit" name="submit" class="btn btn-primary" value="submit">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
            <div class="pull-right">
              <a onclick="filter_status('')" class="btn btn-primary btn-xs"> ALL </a>&nbsp
              <a onclick="filter_status('^Koombiyo Delivery$')" class="btn btn-primary btn-xs"> Koombiyo </a>&nbsp
              <a onclick="filter_status('^SpeedEX Courier$')" class="btn btn-primary btn-xs"> Speedex </a>&nbsp
              <a onclick="filter_status('^FARDA Express$')" class="btn btn-primary btn-xs">Fardar</a>&nbsp
              <a onclick="filter_status('^RHK Express$')" class="btn btn-primary btn-xs">RHK</a>&nbsp
            </div>
          </div>
          
          <div class="box-body">
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Search Code</th>
                  <th>Customer</th>
                  <th>Status</th>
                  <th>Created Date</th>
                  <th>Address</th>
                  <th>City</th>
                  <th>Phone No.#1</th>
                  <th>Phone No.#2</th>
                  <th>Items</th>
                  <th>Total(Rs.)</th>
                  <th>Franchise</th>
                  <th>Courier ref</th>
                  <th>Courier</th>
                  <th>Call Attempts</th>
                </tr>
              </thead>
            </table>
          </div>
          
          <!-- /.modal -->
        <!--?php  echo form_close(); ?--> 
        </div>
      </div>
    </div>
     <?php  echo form_close(); ?>  
  </section>

  <?php
    $i = 0;
    foreach ($orders as $order) {
      $item = array(
        'search_code'=> $order['search_code'],
        'resipient'=> $order['resipient'],
        'order_status'=> '<p id="status_'.$i.'">'.$order['order_status'].'</p>',
        'phone_one'=> '<a href="tel:'.$order['phone_one'].'">'.$order['phone_one'].'</a>',
        'phone_two'=> '<a href="tel:'.$order['phone_two'].'">'.$order['phone_two'].'</a>',
        'item_description'=> $order['item_description'],
        'grand_total'=> $order['grand_total'],
        'call_attempts'=> '<p id="call_attempts_'.$i.'">'.$order['call_attempts'].'</p>',
        'created_date'=> $order['created_date'],
        'courier'=> $order['courier'],
        'courier_ref'=> '<a href="'.$order['tracking_url'].$order['courier_reference'].'" target="_blank" >'.$order['courier_reference'].'</a>',
        'address'=> $order['address'],
        'city'=> $order['city'],
        'franchise'=> $order['franchise']
      );
      array_push($order_list, $item);
      $i++;
    }
  ?>

  <script>

    var order_list = <?php echo json_encode($order_list); ?>;
    /*var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };*/

    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 2, "desc" ]],
          'pageLength': 25,
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "search_code"},
              {"data": "resipient"},
              {"data": "order_status"},
              {"data": "created_date"},
              {"data": "address"},
              {"data": "city"},
              {"data": "phone_one"},
              {"data": "phone_two"},
              {"data": "item_description"},
              {"data": "grand_total"},
              {"data": "franchise"},
              {"data": "courier_ref"},
              {"data": "courier"},
              {"data": "call_attempts"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } ),
            
          ]
        });
      }
      
      function filter_status(status) {
          $('#example').DataTable().column(12).search(status,true,false).draw();
      }

  </script>