<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Order Count (by <?php echo $filter_by?>)
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Reports</a></li>
      <li><a href="#">Order Count</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">
    <?php echo form_open($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by date</label>
                </div>
                <div class="col-md-4">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-2">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
    <?php  echo form_close(); ?> 
    <div class="row">
        <!-- Left col -->
        <div class="col-md-12">
          <!-- MAP & BOX PANE -->
          <div class="box box-success">
            <div class="box-header with-border">
              <h3 class="box-title">Order Count</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body no-padding">
              <div class="row">
                <div class="col-md-12">
                  <div class="chart-responsive">
                    <canvas id="weeklySalesChart" height="100px"></canvas>
                  </div>
                </div>
                <!-- /.col -->
              </div>
              <!-- /.row -->
            </div>
            <!-- /.box-body -->
          </div>
        </div>
        <!-- /.col -->
      </div>
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
          </div>
          
          <div class="box-body">
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Date</th>
                  <th>Order Count</th>
                </tr>
              </thead>
            </table>
          </div>
          
          <!-- /.modal -->
        <!--?php  echo form_close(); ?--> 
        </div>
      </div>
    </div>
      

  </section>

 <?php
    $weekly_sales_labels = array();
    $weekly_sales_data = array();
    foreach($orders as $item){
        array_push($weekly_sales_labels,$item['created_date']);
        array_push($weekly_sales_data,$item['order_count']);
    } 
 ?>

  <script>

    var order_list = <?php echo json_encode($orders); ?>;
    /*var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };*/
    
    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 0, "asc" ]],
          'pageLength': 25,
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "created_date"},
              {"data": "order_count"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } ),
            
          ]
      });

      /*var total_sales=0, total_cost=0, total_profit=0;
      for( var i = 0; i < order_list.length; i++){ 
         total_sales+= parseFloat(order_list[i].Sales);
         total_cost+= parseFloat(order_list[i].Cost);
         total_profit+= parseFloat(order_list[i].Profit);
      }*/

      config_daily_order_count_chart();
    }
    
    function config_daily_order_count_chart(){
         var weeklySalesData = {
          labels  : <?php echo json_encode($weekly_sales_labels)?>,
          datasets: [
            {
              label               : 'Sales',
              fillColor           : '#00a65a',
              strokeColor         : '#00a65a',
              pointColor          : '#00a65a',
              pointStrokeColor    : '#c1c7d1',
              pointHighlightFill  : '#fff',
              pointHighlightStroke: 'rgba(220,220,220,1)',
              data                : <?php echo json_encode($weekly_sales_data)?>
            }
          ]
        };
        
        var barChartCanvas                   = $('#weeklySalesChart').get(0).getContext('2d');
        var barChart                         = new Chart(barChartCanvas);
        var barChartData                     = weeklySalesData;
        var barChartOptions                  = {
          //Boolean - Whether the scale should start at zero, or an order of magnitude down from the lowest value
          scaleBeginAtZero        : true,
          //Boolean - Whether grid lines are shown across the chart
          scaleShowGridLines      : true,
          //String - Colour of the grid lines
          scaleGridLineColor      : 'rgba(0,0,0,.05)',
          //Number - Width of the grid lines
          scaleGridLineWidth      : 1,
          //Boolean - Whether to show horizontal lines (except X axis)
          scaleShowHorizontalLines: true,
          //Boolean - Whether to show vertical lines (except Y axis)
          scaleShowVerticalLines  : true,
          //Boolean - If there is a stroke on each bar
          barShowStroke           : true,
          //Number - Pixel width of the bar stroke
          barStrokeWidth          : 2,
          //Number - Spacing between each of the X value sets
          barValueSpacing         : 5,
          //Number - Spacing between data sets within X values
          barDatasetSpacing       : 1,
          //String - A legend template
          legendTemplate          : '<ul class="<%=name.toLowerCase()%>-legend"><% for (var i=0; i<datasets.length; i++){%><li><span style="background-color:<%=datasets[i].fillColor%>"></span><%if(datasets[i].label){%><%=datasets[i].label%><%}%></li><%}%></ul>',
          //Boolean - whether to make the chart responsive
          responsive              : true,
          maintainAspectRatio     : true
        };
    
        barChartOptions.datasetFill = false;
        barChart.Bar(barChartData, barChartOptions);
    }

   

  </script>