<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Product Re-Order Levels(<?php echo $filter_by?>)
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Reports</a></li>
      <li><a href="#">Product Re-Order Levels</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">
    <?php echo form_open($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Get Data According To</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-md-4">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-2">
                  <div class="col-xs-4">
                    <label>Lead Time:</label>
                  </div>
                  <div class="col-xs-8">
                    <input type="number" name="lead_time" class="form-control" value="<?php echo $lead_time ?>">
                  </div>
                </div>
                <div class="col-md-2">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
    
    <div class="row">
      
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
          </div>
          
          <div class="box-body">
            
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Product</th>    
                  <th>Sales Qty</th>
                  <th>Daily Average Sales</th>
                  <th>Remaining Stock</th>
                  <th>Re-order Level</th>
                </tr>
              </thead>
            </table>
          </div>
          
          <!-- /.modal -->
        <!--?php  echo form_close(); ?--> 
        </div>
      </div>
    </div>
     <?php  echo form_close(); ?>  

  </section>
  
  <?php
    foreach($orders as $key=> $item){
        if($item['Stock_Difference']<=0){
            $orders[$key]['stock'] = '<span class="label label-danger">'.$item['stock'].'</span>';
        }
    }
  ?>

  <script>

    var order_list = <?php echo json_encode($orders); ?>;
    
    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return data;
                }
            }
        }
      };

      $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'pageLength': 25,
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "Product"},
              {"data": "Sales_Quantity"},
              {"data": "Daily_Average_Sales"},
              {"data": "stock"},
              {"data": "Reorder_Level"},
          ],

          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } ),
          ]
      });
    }



  </script>