<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Orders
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Reports</a></li>
      <li><a href="#">Sales by product</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">
    <?php echo form_open_multipart($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by date</label>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-3">
                  <div class="col-xs-7">
                    <label>Delivery Rate(%):</label>
                  </div>
                  <div class="col-xs-5">
                    <input type="number" name="delivery_rate" class="form-control" value="<?php echo $delivery_rate ?>">
                  </div>
                </div>
                <div class="col-md-3">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
    <div class="row">
      <?php
        $i = 0; $total_sales=0; $total_cost=0; $total_profit=0; $total_delivered=0;
        foreach ($orders as $order) {
          $total_sales+=$order['Sales'];
          $total_cost+=$order['Cost'];
          $total_profit+=$order['Profit'];
          $total_delivered+=$order['Delivered'];
          $i++;
        }
      ?>
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
          </div>
          
          <div class="box-body">
            <div class="alert alert-success">
              <label><?php echo 'Total Sales: Rs.'.$total_sales.'/-' ?></label><br>
              <label><?php echo 'Total Cost: Rs.'.$total_cost.'/-' ?></label><br>
              <label><?php echo 'Total Profit: Rs.'.$total_profit.'/-' ?></label><br>
              <label><?php echo 'Total Delivered: Rs.'.$total_delivered.'/-' ?></label><br>
            </div>
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Product</th>
                  <th>Quantity</th>
                  <th>Sales</th>
                  <th>Cost(aprx)</th>
                  <th>Profit(aprx)</th>
                  <th>Profit(%)</th>
                </tr>
              </thead>
            </table>
          </div>
          
          <!-- /.modal -->
        <!--?php  echo form_close(); ?--> 
        </div>
      </div>
    </div>
     <?php  echo form_close(); ?>  
  </section>

  <script>

    var order_list = <?php echo json_encode($orders); ?>;
    /*var CFG = {
        url: '<?php echo $this->config->item('base_url');?>',
        token: '<?php echo $this->security->get_csrf_hash();?>'
    };*/
    
    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };

      $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ 1, "desc" ]],
          'pageLength': 25,
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "Product"},
              {"data": "Quantity"},
              {"data": "Sales"},
              {"data": "Cost"},
              {"data": "Profit"},
              {"data": "Delivered"}
          ],
          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } ),
            
          ]
      });

      /*var total_sales=0, total_cost=0, total_profit=0;
      for( var i = 0; i < order_list.length; i++){ 
         total_sales+= parseFloat(order_list[i].Sales);
         total_cost+= parseFloat(order_list[i].Cost);
         total_profit+= parseFloat(order_list[i].Profit);
      }*/
    }



  </script>