<!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      Product wise Sales(<?php echo $filter_by?>)
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Reports</a></li>
      <li><a href="#">Sales by product</a></li>
    </ol>
    <?php if(validation_errors()) : ?>
      <div class="alert alert-danger alert-dismissible">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <h4><i class="icon fa fa-ban"></i> Alert!</h4>
        <?php echo validation_errors(); ?>
      </div>
    <?php endif; ?>   
    
  </section>

  <section class="content">
    <?php echo form_open_multipart($formMethod); ?>
    <div class="row">
      <div class="col-xs-12">
          <div class="box">
            <div class="box-header">
              <h3 class="box-title">Search</h3>
            </div>
            <div class="box-body">
              <div class="col-xs-12 form-group">
                <div class="col-xs-12">
                  <label>Search by date</label>
                </div>
                <div class="col-md-4">
                  <div class="col-xs-2">
                    <label>From:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="from_date" class="form-control" value="<?php echo $from ?>">
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="col-xs-2">
                    <label>To:</label>
                  </div>
                  <div class="col-xs-10">
                    <input type="date" name="to_date" class="form-control" value="<?php echo $to ?>">
                  </div>
                </div>
                <div class="col-md-2">
                  <button type="submit" name="submit" class="btn btn-primary" value="search_date">Search</button>
                </div>
              </div>
            </div>  
          </div>  
      </div>
    </div>
    
    <div class="row">
      
      <div class="col-xs-12">
        <div class="box">
          <!--?php echo form_open_multipart($formMethod); ?-->

          <div class="box-header">
            <h3 class="box-title">Orders</h3>
          </div>
          
          <div class="box-body">
            
            <table id="example" class="table table-bordered table-hover">
              <thead>
                <tr>
                  <th>Product</th>
                  <?php $last_index = 0; ?>
                  <?php foreach($orders[0] as $key=>$value): ?>
                    <?php if($key=='daily_sponsor_amount'): ?>
                      <th>FB Sponsor</th>
                    <?php endif; ?>
                    <?php if($key!='Product' && $key!='total' && $key!='daily_sponsor_amount'): ?>
                      <th><?php echo $key ?></th>
                    <?php endif; ?>
                    <?php $last_index++; ?>  
                  <?php endforeach; ?>
                  <th>Total</th>
                </tr>
              </thead>
            </table>
          </div>
          
          <!-- /.modal -->
        <!--?php  echo form_close(); ?--> 
        </div>
      </div>
    </div>
     <?php  echo form_close(); ?>  

  </section>

  <script>

    var order_list = <?php echo json_encode($orders); ?>;
    
    window.onload = function(){

      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return data;
                }
            }
        }
      };

      $('#example').DataTable({
          'paging'      : true,
          'lengthChange': false,
          'searching'   : true,
          'ordering'    : true,
          'info'        : true,
          'autoWidth'   : true,
          'responsive'  : true,
          'order': [[ <?php echo $last_index-1; ?>, "desc" ]],
          'pageLength': 25,
          //'column'      : String,
          'data'        : order_list,
          'columns'     : [
              {"data": "Product"},
            <?php foreach($orders[0] as $key=>$value): ?>
              <?php if($key!='Product'&& $key!='total'): ?>
                {"data": "<?php echo $key ?>"},
              <?php endif; ?>  
            <?php endforeach; ?>
              {"data": "total"}  
          ],

          'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } ),
            
          ]
      });
    }



  </script>