<section class="content-header">
  <h1>
    Edit
    <small>User</small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="#">Users</a></li>
    <li class="active">Edit</li>
  </ol>
  <?php if(validation_errors()) : ?>
    <div class="alert alert-danger alert-dismissible">
      <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
      <h4><i class="icon fa fa-ban"></i> Alert!</h4>
      <?php echo validation_errors(); ?>
    </div>
  <?php endif; ?>   
  
</section>

<section class="content">
  <?php  
    //$attributes = array('onsubmit' => 'return validate()');
    //echo form_open_multipart($formMethod, $attributes); 
    echo form_open_multipart($formMethod); 
  ?>
  <div class="row">
    <div class="col-md-5">
      <div class="box box-primary">
        <!-- box-header -->
        <div class="box-header with-border">
          <h3 class="box-title">Basic Info</h3>
        </div>
        <!-- /.box-header -->
   
        <!-- box-body -->   
        <div class="box-body">
          <div class="form-group">
            <label for="name">Name</label>
            <input type="text" class="form-control" name="name" id="name" placeholder="Enter Name" autofocus value="<?php echo $user->name ?>" required>
          </div>
          <div class="form-group">
            <label for="phone_one">Phone #1</label>
            <input type="text" class="form-control" name="phone_one" id="phone_one" placeholder="Enter Phone Nubmer" value="<?php echo $user->phone_one ?>" >
          </div>
          <div class="form-group">
            <label for="phone_two">Phone #2</label>
            <input type="text" class="form-control" name="phone_two" id="phone_two" placeholder="Enter Phone Nubmer" value="<?php echo $user->phone_two ?>">
          </div>
          <div class="form-group">
            <label for="email">E-mail</label>
            <input type="text" class="form-control" name="email" id="email" placeholder="Enter E-Mail" value="<?php echo $user->email ?>" >
          </div>
          <div class="form-group">
            <label for="address">Address</label>
            <input type="text" class="form-control" name="address" id="address" placeholder="Enter Address" value="<?php echo $user->address ?>" >
          </div> 
         <div class="form-group">
            <label for="user_role">User Role</label>
            <div class="input-group">
            <select class= "form-control" name="user_role" id="user_role">   
               <?php foreach($user_roles as $user_role): ?>
                  <option value="<?php echo $user_role['id'] ?>" <?php if($user->user_role == $user_role['id']){echo "selected";} ?>><?php echo ucwords(str_replace("_", " ", $user_role['title'])); ?></option>
               <?php endforeach; ?> 
            </select>
            <span class="input-group-btn mr-2">
              <button  id="permission_btn" class="btn btn-sm btn-success mr-2">Load Permissions</button>
            </span>
          </div>
          </div>
          <div class="form-group">
            <label for="default_franchise">Default Shop</label>
            <select name="default_franchise" id="default_franchise" class="form-control" style="width: 100%">
              <?php foreach($franchises as $franchise): ?>
                <option value="<?php echo $franchise['id'] ?>" <?php if($user->default_franchise==$franchise['id']) echo "selected"; ?>><?php echo $franchise['name'] ?></option>
              <?php endforeach; ?> 
            </select>
          </div>
          <div class="form-group">
            <label for="assigned_franchises">Assigned Shops</label>
            <select name="assigned_franchises[]" id="assigned_franchises" class="select2 form-control" style="width: 100%" multiple>
              <?php foreach($franchises as $franchise): ?>
                <option value="<?php echo $franchise['id'] ?>" <?php if(in_array($franchise['id'], $assigned_franchises)) echo "selected"; ?>><?php echo $franchise['name'] ?></option>
              <?php endforeach; ?> 
            </select>
          </div>
          <div class="form-group">
            <label for="allowed_status">Allowed Status</label>
            <select name="allowed_status[]" id="allowed_status" class="select2 form-control" style="width: 100%" multiple>
              <?php foreach($order_statuses as $order_status): ?>
                <option value="<?php echo $order_status['id'] ?>" <?php if(in_array($order_status['id'], $allowed_order_status)) echo "selected"; ?>><?php echo $order_status['status'] ?></option>
              <?php endforeach; ?> 
            </select>
          </div>
          <div class="checkbox">
            <label for="disablecheckbox">
                <input type="checkbox" name="reset_password" id="disablecheckbox">
                Reset Login Details
             </label>  
          </div>
          <div id="disablediv">
              <div class="form-group">
                <label for="name">Username</label>
                <input type="text" class="form-control" name="username" id="username" placeholder="Enter Username" value="<?php echo $user->user_name;?>" disabled>
              </div>
              <div class="form-group">
                <label for="name">Password</label>
                <input type="password" class="form-control" name="password" id="password" placeholder="Enter Password" value="" disabled>
              </div>
          </div>      

        </div>
        <!-- /.box-body -->
      </div>
    </div>
    
    <div class="col-md-7">
      <div class="nav-tabs-custom">
        <ul class="nav nav-tabs">
          <?php $i = 0; ?>
          <?php foreach($permissions as $key => $permission): ?>
            <li <?php if($i==0){echo 'class="active"';} ?>><a href="#tab_<?php echo $key ?>" data-toggle="tab"><?php echo ucwords(str_replace("_", " ", $key)); ?></a></li>
            <?php $i++; ?>
          <?php endforeach; ?>
        </ul>
        <div class="tab-content">
          <?php $i = 0; ?>
          <?php foreach($permissions as $key => $permission): ?>
            <div class="tab-pane <?php if($i==0){echo 'active';} ?>" id="tab_<?php echo $key ?>">
              <?php foreach($permission as $item): ?>
                <div class="checkbox">
                  <label for="permission_<?php echo $i; ?>">
                    <input type="checkbox" name="permission[<?php echo $i; ?>]" id="permission_<?php echo $i; ?>" value="<?php echo $item['id']; ?>" <?php if(in_array($item['id'], $user_permissions)){echo "checked";} ?>>
                     <?php echo $item['display_text']; ?>
                  </label>  
                </div>
                <?php $i++; ?>
              <?php endforeach; ?>  
            </div>
          <?php endforeach; ?>
        </div>
        <div class="box-footer">
          <button type="submit"  id="btn_form_sumbmit" class="btn btn-primary pull-right">Submit</button>
        </div>
        <!-- /.tab-content -->
      </div>
    </div>  
  </div>  
</section>      

<script>
var user_role_permissions = <?php echo json_encode($permissions_role); ?>;
  window.onload = function(){
    $('.select2').select2();
    $("#permission_btn").click(function() {
        var user_role_id = $('#user_role').val();
        console.log("yes");
        let magenicVendors = user_role_permissions.filter(vendor => vendor['user_role'] === user_role_id);
        $('.permisson_val').each(function() {
            let magenicVendors2 = magenicVendors.some(vendor => vendor['permission'] === $(this).val());
            if (magenicVendors2) {
                $(this).attr("checked", true);
            } else {
                $(this).attr("checked", false);
            }
        });
    });
  }
  
</script>