<section class="content-header">
    <h1>
      Users 
      <small>All Users</small>
    </h1>
    <ol class="breadcrumb">
      <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
      <li><a href="#">Users</a></li>
    </ol>
  </section>

  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Users</h3>
          </div>
          
          <div class="box-body">
            <div class="col-xs-12 table-responsive">
              <table id="datatable" class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <td>ID</td>
                    <td>Name</td>
                    <td>User Role</td>
                    <td>Default Franchise</td>
                    <td>Actions</td>
                  </tr>
                </thead>
              </table>  
            </div>
          </div>
        </div>
      </div>
    </div>    
  </section>

  <?php
    $i = 0;
    foreach ($users as $user) {
      $users[$i]['edit'] = '<a href="'.base_url().'user/users/edit/'.$user['id'].'" target="_blank" class="btn btn-primary btn-sm"><i class="fa fa-edit"></i></a>';
      $i++;
    }
  ?>

  <script>
    var users = <?php echo json_encode($users); ?>;
    
    
    window.onload = function(){
      var buttonCommon = {
        exportOptions: {
            format: {
                body: function ( data, row, column, node ) { 
                    return column === 0||1 ? data.replace(/<.*?>/ig, ""): data;
                }
            }
        }
      };
      
      $('#datatable').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        'order'       : [0, 'asc'],
        'info'        : true,
        'autoWidth'   : true,
        'responsive'  : true,
        //'column'      : String,
        'data'        : users,
        'columns'     : [
            {"data": "id"},
            {"data": "name"},
            {"data": "user_role"},
            {"data": "default_franchise"},
            {"data": "edit"}
        ],
        'dom': 'Bfrtip',
          'buttons': [
            $.extend( true, {}, buttonCommon, {
                extend: 'copyHtml5'
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'excelHtml5',
                title: null
            } ),
            $.extend( true, {}, buttonCommon, {
                extend: 'pdfHtml5'
            } )
        ]
      });
    }
      
  </script>