$(document).ready(function($){
    $.ajaxSetup({data: {token: CFG.token}});
    $(document).ajaxSuccess(function(e,x) {
        var result = $.parseJSON(x.responseText);
        $('input:hidden[name="token"]').val(result.token);
        $.ajaxSetup({data: {token: result.token}});
    });
});

$(document).ajaxStart(function () {
	Pace.restart()
});

var row_count = 0;

function uploadExcel(){
	$('#table_body').html("");
	var myFile = document.getElementById('file');
	var input = myFile;
	var reader = new FileReader();
	reader.onload = function(){
		var fileData = reader.result;
		var workbook = XLSX.read(fileData,{type: 'binary'});
		workbook.SheetNames.forEach(function(SheetName){
			var rowObject = XLSX.utils.sheet_to_row_object_array(workbook.Sheets[SheetName]);
			excelJsonObj = rowObject;
		});

		var keyNames = Object.keys(excelJsonObj[0]);
		if (arraysEqual(keyNames,columns)) {
			showAlert("Valid File found","success");
			var i = 0;
			for (i = 0; i < excelJsonObj.length; i++) {
				var data = excelJsonObj[i];
				var table_row = "";
				columns.forEach(function(item){
					
					table_row+= '<td><input type="text" class="form-control" name="'+item+'['+i+']" id="'+item+'_'+i+'" value="'+data[item]+'" required></td>';

				});	
				$('#result_table tbody:last-child').append("<tr id='row_"+i+"'>"+table_row+"</tr>");
			}
			$('#RowCount').val(i);
			row_count = i;
			validate();
		}else{
			showAlert("Invalid File Format","warning");
		}
		  
	};

	reader.readAsBinaryString(input.files[0]);
}

var is_valid; 
function validate(){
      for (var i = 0; i < row_count; i++) {
	  	$('#row_'+i).prop('style', "background-color: none;");
	  }
	  var num = 0, run;
	  is_valid = true; 
	  run = function(){
	     check_city_and_product($('#City_'+num).val(),$('#Product_id_'+num).val(),num);
	     if(num++ < row_count){
	        setTimeout(run, 1000);
	     }else{
	     	if (is_valid) {
			  $('#submit').prop('style', "display: block;");
			  $('#validate').prop('style', "display: none;");
			} 
	     }
	  }
	  run();
}

function check_city_and_product(city,product,index){
	$.post(CFG.url + '/order/orders/check_city_and_product_ajax',
    {
      "city": city,
      "product": product
    },
    function(data){
    	var response = data.response;
    	//console.log(response);
      	if (response.success==true) {
      		if ($('#Phone_'+index).val().charAt(0)!='0' && $('#Phone_'+index).val().length==9) {
		      var str = "0"+$('#Phone_'+index).val();
		      $('#Phone_'+index).val(str);
		    }
		    if($('#Order_status_'+index).val()!='confirm' && $('#Order_status_'+index).val()!='pending'){
		    	$('#Order_status_'+index).val('pending');
		    }
		    if ($('#Phone_'+index).val().length!=10 || isNaN($('#Phone_'+index).val())) {
		      $('#row_'+index).prop('style', "background-color: #FA8686;");
		      is_valid = false;
		    }else{
		    	$('#row_'+index).prop('style', "background-color: #00ff00;");
		    }
      	}else{
      		$('#row_'+index).prop('style', "background-color: #FA8686;");
      		is_valid = false;
      	}
    },'json');
}

function copy(select_id){
	var val = $('#'+select_id).val();
	var value= `<input value="`+val+`" id="selVal" />`;
	$(value).insertAfter('#'+select_id);
	$("#selVal").select();
	document.execCommand("Copy");
	$('body').find("#selVal").remove();
}


function arraysEqual(arr1, arr2) {

    if (!Array.isArray(arr1) || ! Array.isArray(arr2) || arr1.length !== arr2.length)
      return false;

    for (var i = 0; i < arr1.length; i++) {

        if (arr1[i] !== arr2[i])
            return false;

    }
    return true;
}

function showAlert(msg,type){
	swal({
        title: msg,
        text: "",
        type: type,
        showCancelButton : false,
        showConfirmButton : false,
        timer : 2000
    });
}