$(document).ready(function($){
    $.ajaxSetup({data: {token: CFG.token}});
    $(document).ajaxSuccess(function(e,x) {
        var result = $.parseJSON(x.responseText);
        $('input:hidden[name="token"]').val(result.token);
        $.ajaxSetup({data: {token: result.token}});
    });
});

$(document).ajaxStart(function () {
	Pace.restart()
});


function hold_order(index){

	if ($('#hold_until').val()=="") {
		$('#complaint_div').attr("class", "input-group margin has-error");
		alert("Please select a date");
		return;
	}
	var selectedDate = new Date($('#hold_until').val());
	var today = new Date();
	if (selectedDate < today) {
		$('#complaint_div').attr("class", "input-group margin has-error");
		alert("Please select a date after todays date");
		return;
	}

	$.post(CFG.url + '/order/orders/hold_order_ajax',
    {
      "order": order_list[index].id,
      "hold_until": $('#hold_until').val()
    },
    function(data){
    	//console.log(data);
    	var response = data.response;
      	alert(response.message + " ("+order_list[index].search_code+")");
      	if (response.success) {
      		order_list[index].status = "hold";
      		$('#order_status').html(order_list[index].status);
      		$('#status_'+index).html(order_list[index].status);
      		order_list[index].call_attempts = parseInt(order_list[index].call_attempts)+1;
      		$('#call_attempts').html(order_list[index].call_attempts);
      		$('#call_attempts_'+index).html(order_list[index].call_attempts);
      		$('#complaint_div').attr("class", "input-group margins");
      		order_list[index].hold_until = $('#hold_until').val();
      	}
    },'json');
}

function return_informed(index){

	if (confirm('Do you really want to mark as return informed '+order_list[index].search_code+'?')) {
		$.post(CFG.url + '/order/orders/return_informed_ajax',
	    {
	      "order": order_list[index].id
	    },
	    function(data){
	    	//console.log(data);
	    	var response = data.response;
	      	alert(response.message + " ("+order_list[index].search_code+")");
	      	if (response.success) {
	      		$('#btn_rtn_inform').attr("disabled", "disabled");
	      		$('#btn_rtn_inform').html("Return Informed");
				$('#btn_rtn_inform').attr("onclick", "");
	      	}
	    },'json');
	}
}

function update_customer_notes(index){

	if ($('#customer_notes').val()=="") {
		$('#customer_notes_div').attr("class", "input-group margin has-error");
		alert("Please fill customer notes");
		return;
	}

	$.post(CFG.url + '/order/orders/update_customer_notes_ajax',
    {
      "order": order_list[index].id,
      "customer_notes": $('#customer_notes').val()
    },
    function(data){
    	console.log(data);
    	var response = data.response;
      	alert(response.message + " ("+order_list[index].search_code+")");
      	if (response.success) {
      		order_list[index].customer_notes = $('#customer_notes').val();
      	}
    },'json');
	
	//alert($('#hold_until').val());
}

function update_delivery_notes(index){

	if ($('#delivery_notes').val()=="") {
		$('#delivery_notes_div').attr("class", "input-group margin has-error");
		alert("Please fill delivery notes");
		return;
	}

	$.post(CFG.url + '/order/orders/update_delivery_notes_ajax',
    {
      "order": order_list[index].id,
      "delivery_notes": $('#delivery_notes').val()
    },
    function(data){
    	console.log(data);
    	var response = data.response;
      	alert(response.message + " ("+order_list[index].search_code+")");
      	if (response.success) {
      		order_list[index].delivery_notes = $('#delivery_notes').val();
      	}
    },'json');
	
	//alert($('#hold_until').val());
}

function load_modal(index){
	//reversing validation errors
	$('#complaint_div').attr("class", "form-group input-group margin");
	$('#customer_notes_div').attr("class", "form-group input-group margin");
	$('#delivery_notes_div').attr("class", "form-group input-group margin");
	//loading order details into the modal
	$('#modal_title').html(order_list[index].title);
	$('#phone_one').html(order_list[index].phone_one);
	$('#phone_two').html(order_list[index].phone_two);
	$('#address').html(order_list[index].address+','+order_list[index].city);
	$('#item_description').html(order_list[index].item_description);
	$('#grand_total').html(order_list[index].grand_total);
	$('#call_attempts').html(order_list[index].call_attempts);
	$('#edit_order').attr("href", order_list[index].edit);
	$('#customer_notes').val(order_list[index].customer_notes);
	$('#last_modified').html(order_list[index].last_modified);
	$('#courier').html(order_list[index].courier);
	$('#courier_ref').html(order_list[index].courier_ref);
	if (order_list[index].status=="hold") {
		$('#order_status').html(order_list[index].status+" ("+order_list[index].hold_until+")");
	}else if (order_list[index].status=="not_confirm") {
		$('#order_status').html(order_list[index].status+" ("+order_list[index].reason+")");
	}else{
		$('#order_status').html(order_list[index].status);
	}
	//loading actions in the modal
	$('#complaint').val('');
	$('#add_complaint').attr("action", order_list[index].add_complaint);
	$('#btn_view_additional_info').attr("href", order_list[index].view_additional_info);
	$('#btn_view_order').attr("href", order_list[index].view_order);
	$('#update_customer_notes').attr("onclick", "update_customer_notes("+index+");");
	if(order_list[index].return_informed==1){
	    $('#btn_rtn_inform').removeAttr("onclick");
	    $('#btn_rtn_inform').html("Return Informed");
	    $('#btn_rtn_inform').attr("disabled", "disabled");
	}else{
	    $('#btn_rtn_inform').removeAttr("disabled");
	    $('#btn_rtn_inform').attr("onclick", "return_informed("+index+");");  
	    $('#btn_rtn_inform').html("Mark as Return Informed");  
	}
}
