$(document).ready(function($){
    $.ajaxSetup({data: {token: CFG.token}});
    $(document).ajaxSuccess(function(e,x) {
        var result = $.parseJSON(x.responseText);
        $('input:hidden[name="token"]').val(result.token);
        $.ajaxSetup({data: {token: result.token}});
    });
});

$(document).ajaxStart(function () {
	Pace.restart()
})

function confirm_order(index){
	$('.btn_close').attr("onclick", "");

	$.post(CFG.url + '/order/orders/confirm_order_ajax',
    {
      "order": order_list[index].id,
      "call_duration": get_and_reset_call_duration()
    },
    function(data){
    	//console.log(data);
    	var response = data.response;
      	alert(response.message + " ("+order_list[index].search_code+")");
      	if (response.success) {
      		order_list[index].status = "confirm";
      		$('#order_status').html(order_list[index].status);
      		$('#status_'+index).html(order_list[index].status);
      		order_list[index].call_attempts = parseInt(order_list[index].call_attempts)+1;
      		$('#call_attempts').html(order_list[index].call_attempts);
      		$('#call_attempts_'+index).html(order_list[index].call_attempts);
      		$('#btn_confirm').attr("disabled", "disabled");
			$('#btn_confirm').attr("onclick", "");
      	}
    },'json');
}

function not_confirm_order(reason,index){
	$('.btn_close').attr("onclick", "");

	$.post(CFG.url + '/order/orders/not_confirm_order_ajax',
    {
      "order": order_list[index].id,
      "reason": reason,
      "call_duration": get_and_reset_call_duration()
    },
    function(data){
    	//console.log(data);
    	var response = data.response;
      	alert(response.message + " ("+order_list[index].search_code+")");
      	if (response.success) {
      		order_list[index].status = "not_confirm("+reason+")";
      		$('#order_status').html(order_list[index].status);
      		$('#status_'+index).html(order_list[index].status);
      		order_list[index].call_attempts = parseInt(order_list[index].call_attempts)+1;
      		$('#call_attempts').html(order_list[index].call_attempts);
      		$('#call_attempts_'+index).html(order_list[index].call_attempts);
      		order_list[index].reason = reason;
      	}
    },'json');
}

function hold_order(index){
	$('.btn_close').attr("onclick", "");

	if ($('#hold_until').val()=="") {
		$('#hold_div').attr("class", "input-group margin has-error");
		alert("Please select a date");
		return;
	}
	var selectedDate = new Date($('#hold_until').val());
	var today = new Date();
	if (selectedDate < today) {
		$('#hold_div').attr("class", "input-group margin has-error");
		alert("Please select a date after todays date");
		return;
	}

	$.post(CFG.url + '/order/orders/hold_order_ajax',
    {
      "order": order_list[index].id,
      "hold_until": $('#hold_until').val(),
      "call_duration": get_and_reset_call_duration()
    },
    function(data){
    	//console.log(data);
    	var response = data.response;
      	alert(response.message + " ("+order_list[index].search_code+")");
      	if (response.success) {
      		order_list[index].status = "hold("+$('#hold_until').val()+")";
      		$('#order_status').html(order_list[index].status);
      		$('#status_'+index).html(order_list[index].status);
      		order_list[index].call_attempts = parseInt(order_list[index].call_attempts)+1;
      		$('#call_attempts').html(order_list[index].call_attempts);
      		$('#call_attempts_'+index).html(order_list[index].call_attempts);
      		$('#hold_div').attr("class", "input-group margins");
      		order_list[index].hold_until = $('#hold_until').val();
      	}
    },'json');
}

function cancel_order(index){
	$('.btn_close').attr("onclick", "");

	if (confirm('Do you really want to cancel '+order_list[index].search_code+'?')) {
		$.post(CFG.url + '/order/orders/cancel_order_ajax',
	    {
	      "order": order_list[index].id,
	      "call_duration": get_and_reset_call_duration()
	    },
	    function(data){
	    	//console.log(data);
	    	var response = data.response;
	      	alert(response.message + " ("+order_list[index].search_code+")");
	      	if (response.success) {
	      		order_list[index].status = "cancelled";
	      		$('#order_status').html(order_list[index].status);
	      		$('#status_'+index).html(order_list[index].status);
	      		order_list[index].call_attempts = parseInt(order_list[index].call_attempts)+1;
	      		$('#call_attempts').html(order_list[index].call_attempts);
	      		$('#call_attempts_'+index).html(order_list[index].call_attempts);
	      		$('#btn_cancel').attr("disabled", "disabled");
				$('#btn_cancel').attr("onclick", "");
	      	}
	    },'json');
	}
}

function close_modal(index){

	$.post(CFG.url + '/order/orders/close_call_modal_ajax',
    {
      "order": order_list[index].id,
      "call_duration": get_and_reset_call_duration()
    },
    function(data){
    	//console.log(data);
    	var response = data.response;
      	alert(response.message + " ("+order_list[index].search_code+")");
      	
    },'json');
}

function update_customer_notes(index){
	$('.btn_close').attr("onclick", "");

	if ($('#customer_notes').val()=="") {
		$('#customer_notes_div').attr("class", "input-group margin has-error");
		alert("Please fill customer notes");
		return;
	}

	$.post(CFG.url + '/order/orders/update_customer_notes_ajax',
    {
      "order": order_list[index].id,
      "customer_notes": $('#customer_notes').val()
    },
    function(data){
    	console.log(data);
    	var response = data.response;
      	alert(response.message + " ("+order_list[index].search_code+")");
      	if (response.success) {
      		order_list[index].customer_notes = $('#customer_notes').val();
      	}
    },'json');
	
	//alert($('#hold_until').val());
}

function update_delivery_notes(index){
	$('.btn_close').attr("onclick", "");

	if ($('#delivery_notes').val()=="") {
		$('#delivery_notes_div').attr("class", "input-group margin has-error");
		alert("Please fill delivery notes");
		return;
	}

	$.post(CFG.url + '/order/orders/update_delivery_notes_ajax',
    {
      "order": order_list[index].id,
      "delivery_notes": $('#delivery_notes').val()
    },
    function(data){
    	console.log(data);
    	var response = data.response;
      	alert(response.message + " ("+order_list[index].search_code+")");
      	if (response.success) {
      		order_list[index].delivery_notes = $('#delivery_notes').val();
      	}
    },'json');
	
	//alert($('#hold_until').val());
}

function load_modal(index){
	call_timer = setInterval(start_call_timer ,1000)
	//reversing validation errors
	$('#hold_div').attr("class", "form-group input-group margin");
	$('#customer_notes_div').attr("class", "form-group input-group margin");
	$('#delivery_notes_div').attr("class", "form-group input-group margin");
	//loading order details into the modal
	$('#modal_title').html(order_list[index].title);
	$('#address').html(order_list[index].address+","+order_list[index].city);
	$('#private_reference').html(order_list[index].private_reference);
	$('#phone_one').html(order_list[index].phone_one);
	$('#phone_two').html(order_list[index].phone_two);
	$('#item_description').html(order_list[index].item_description);
	$('#grand_total').html(order_list[index].grand_total);
	$('#call_attempts').html(order_list[index].call_attempts);
	$('#edit_order').attr("href", order_list[index].edit);
	$('#customer_notes').val(order_list[index].customer_notes);
	$('#delivery_notes').val(order_list[index].delivery_notes);
	$('#last_modified').html(order_list[index].last_modified);
	$('#order_status').html(order_list[index].status);
	$('#order_items').html(order_list[index].order_items);
	/*if (order_list[index].status=="hold") {
		$('#order_status').html(order_list[index].status+" ("+order_list[index].hold_until+")");
	}else if (order_list[index].status=="not_confirm") {
		$('#order_status').html(order_list[index].status+" ("+order_list[index].reason+")");
	}else{
		$('#order_status').html(order_list[index].status);
	}*/
	//loading actions in the modal
	if (order_list[index].status=="confirm") {
		$('#btn_confirm').attr("disabled", "disabled");
		$('#btn_confirm').attr("onclick", "");
	}else{
		$('#btn_confirm').attr("onclick", "confirm_order("+index+");");
		$('#btn_confirm').removeAttr("disabled");
	}
	if (order_list[index].status=="cancelled") {
		$('#btn_cancel').attr("disabled", "disabled");
		$('#btn_cancel').attr("onclick", "");
	}else{
		$('#btn_cancel').attr("onclick", "cancel_order("+index+");");
		$('#btn_cancel').removeAttr("disabled");
	}
	
	$('#btn_view_order').attr("href", order_list[index].view_order);
	$('.btn_close').attr("onclick", "close_modal("+index+");");
	$('#update_customer_notes').attr("onclick", "update_customer_notes("+index+");");
	$('#update_delivery_notes').attr("onclick", "update_delivery_notes("+index+");");
	$('#no_answer').attr("onclick", "not_confirm_order('No Answer',"+index+");");
	$('#phone_off').attr("onclick", "not_confirm_order('Phone Off',"+index+");");
	$('#busy').attr("onclick", "not_confirm_order('Number Busy',"+index+");");
	$('#not_responding').attr("onclick", "not_confirm_order('Phone Not Responding',"+index+");");
	$('#call_later').attr("onclick", "not_confirm_order('Call Later',"+index+");");
	$('#wrong_number').attr("onclick", "not_confirm_order('Wrong Number',"+index+");");
	$('#want_information').attr("onclick", "not_confirm_order('Want Information',"+index+");");
	$('#btn_hold').attr("onclick", "hold_order("+index+");");
}


var hours=0, minutes=0, seconds=0;
var call_duration = "00:00:00";
var call_timer;

function start_call_timer() {
	seconds++;
	if(seconds==60){
	    seconds=0;
	  	minutes++;
	}
	if(minutes==60){
	    minutes=0;
	  	hours++;
	}
	call_duration = add_zero(hours)+":"+add_zero(minutes)+":"+add_zero(seconds)
	document.getElementById("call_duration").innerHTML = call_duration;
}

function add_zero(num){
	if (num.toString().length == 1) {
    	num = "0" + num;  
  	}
  	return num;
}

function get_and_reset_call_duration(){
	clearInterval(call_timer);
	hours = 0;
	minutes = 0;
	seconds = 0;
	return call_duration;
}

