$(document).ready(function($){
    $.ajaxSetup({data: {token: CFG.token}});
    $(document).ajaxSuccess(function(e,x) {
        var result = $.parseJSON(x.responseText);
        $('input:hidden[name="token"]').val(result.token);
        $.ajaxSetup({data: {token: result.token}});
    });
});

$(document).ajaxStart(function () {
	Pace.restart()
});

var num = 0;
var item_count = 0;
var product_list = new Array();

document.addEventListener("keydown", keyDownTextField, false);

function keyDownTextField(e) {
  var keyCode = e.keyCode;
  if(keyCode==13) {
    e.preventDefault();
    add_item();
  }
}

function add_item(){
  if ($('#add_item').val()!="") {
  	var ref = $('#add_item').val();

  	if (product_list.includes(ref)) {
        showAlert("Item already scanned","warning");
        $('#add_item').val("");
        return;
    }
  	
  	var td = '';
    td += '<td><input type="text" class="form-control" name="courier_reference_'+num+'" id="courier_reference_'+num+'" value="'+$('#add_item').val()+'" readonly></td>';
    td += '<td><a id="search_code_'+num+'" href=""></a></td>';
    td += '<td id="order_status_'+num+'"></td>';
    td += '<td><a class="btn btn-xs" onclick="remove_item('+num+');"><i class="fa fa-close"></i></a></td>';
    var row = '<tr id="row_'+num+'">'+td+'</tr>';
    $('#return_items tr:first').after(row);
    num++;
    $('#RowCount').val(num);
    item_count++;
    $('#item_count').html('Item Count: '+item_count);
    $('#add_item').val("");
    product_list.push(ref);
    get_order(ref,num-1);
    return false;
  }else{
    return true;
  }
}

function get_order(ref,index){
	$.post(CFG.url + '/order/orders/get_dispatching_order_ajax',
    {
      "courier_reference": ref
    },
    function(data){
    	var response = data.response;
    	//console.log(response);
      	if (response.success) {
      		$('#search_code_'+index).html(response.search_code);
      		$('#search_code_'+index).attr("href", CFG.url+"/orders/edit/"+response.search_code);
      		$('#order_status_'+index).html(response.order_status);
      		if(response.order_status!='in_courier') {
      			showAlert("order is not in in courier","warning");
      			remove_item(index);
      		}
      	}else{
      		showAlert("order does not exist","warning");
      		remove_item(index);
      	}
    },'json');
}

function remove_item(row){
  for( var i = 0; i < product_list.length; i++){ 
     if (product_list[i] == $('#courier_reference_'+row).val()) {
       product_list.splice(i, 1); 
     }
  }
  $('#row_'+row).remove(); 
  item_count--;
  $('#item_count').html('Item Count: '+item_count);
}

function showAlert(msg,type){
	swal({
        title: msg,
        text: "",
        type: type,
        showCancelButton : false,
        showConfirmButton : false,
        timer : 1000
    });
}

function loadReferences(){
  var courier_refs = $('#manual_input').val().split('\n');
  var i = 0, run;
  run = function(){
     $('#add_item').val(courier_refs[i]);
     add_item();
     if(i++ < courier_refs.length){
        setTimeout(run, 1000);
     }
  }
  run();
  return false;
}